#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::event_func_1155()
{
    // event 1031_5
    {
        // group: Wings
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_1031_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(17)) == (1))) goto event_1031_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(8)) == (0))) goto event_1031_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(17, 0); // 'Player'
    }
    event_1031_5_end: ;
}
void Frames::event_func_1156()
{
    // event 1032_5
    {
        // group: Wings
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(17)) == (1))) goto event_1032_5_end;
        ((Active*)get_instance(spritewings_222_instances))->move_back(((Active*)get_instance(sprite_121_instances)));
        ((Active*)get_instance(spritewings_222_instances))->set_x(((Active*)get_instance(player_115_instances))->get_x());
        ((Active*)get_instance(spritewings_222_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()+4);
        ((Active*)get_instance(spritewings_222_instances))->set_visible(true);
    }
    event_1032_5_end: ;
}
void Frames::event_func_1157()
{
    // event 1033_5
    {
        // group: Wings
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(17)) == (0))) goto event_1033_5_end;
        ((Active*)get_instance(spritewings_222_instances))->set_visible(false);
    }
    event_1033_5_end: ;
}
void Frames::event_func_1158()
{
    // event 1034_5
    {
        // group: Wings
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(2)) == (0))) goto event_1034_5_end;
        ((Active*)get_instance(spritewings_222_instances))->set_visible(false);
    }
    event_1034_5_end: ;
}
void Frames::event_func_1159()
{
    // event 1035_5
    {
        // group: Laser redirectors
        every_1035_5_0 += manager.dt;
        if (every_1035_5_0 < 1.0) goto event_1035_5_end;
        every_1035_5_0 -= 1.0;
        screenfar_299_instances.clear_selection();
        objlasergun_223_instances.clear_selection();
        if (!check_overlap(screenfar_299_instances, objlasergun_223_instances)) goto event_1035_5_end;
        for (ObjectIterator it(objlasergun_223_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
        FrameObject * single_instance_1035_5_1; single_instance_1035_5_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(objlasergun_223_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaser_224(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_1035_5_1 == NULL)
                    single_instance_1035_5_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_1035_5_1))->set_direction(((Active*)get_single(objlasergun_223_instances, default_active_instance))->get_direction());
    }
    event_1035_5_end: ;
}
void Frames::event_func_1160()
{
    // event 1046_5
    {
        // group: Laser redirectors
        every_1046_5_0 += manager.dt;
        if (every_1046_5_0 < 1.0) goto event_1046_5_end;
        every_1046_5_0 -= 1.0;
        screen_170_instances.clear_selection();
        objlasergun_223_instances.clear_selection();
        if (!check_overlap(screen_170_instances, objlasergun_223_instances)) goto event_1046_5_end;
        if (frame_time - restrict_1046_5 < 0.99) goto event_1046_5_end;
        restrict_1046_5 = frame_time;
        media.set_sample_volume(SOUND_ZAP_17, 0.3*global_values->get(12));
        media.play_id(SOUND_ZAP_17, -1, 1);
    }
    event_1046_5_end: ;
}
void Frames::event_func_1161()
{
    // event 1047_5
    {
        // group: Laser redirectors
        enemylaser_224_instances.clear_selection();
        for (ObjectIterator it(enemylaser_224_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) < (8))) { it.deselect(); continue; }
        }
        if (!enemylaser_224_instances.has_selection()) goto event_1047_5_end;
        for (ObjectIterator it(enemylaser_224_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(1, 1); // 'enemy-laser'
        }
    }
    event_1047_5_end: ;
}
void Frames::event_func_1162()
{
    // event 1057_5
    {
        // group: Laser redirectors
        every_1057_5_0 += manager.dt;
        if (every_1057_5_0 < 1.0) goto event_1057_5_end;
        every_1057_5_0 -= 1.0;
        objlasergunorange_278_instances.clear_selection();
        for (ObjectIterator it(objlasergunorange_278_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(15)))) { it.deselect(); continue; }
        }
        if (!objlasergunorange_278_instances.has_selection()) goto event_1057_5_end;
        for (ObjectIterator it(objlasergunorange_278_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
        FrameObject * single_instance_1057_5_1; single_instance_1057_5_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(objlasergunorange_278_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaser_224(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_1057_5_1 == NULL)
                    single_instance_1057_5_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_1057_5_1))->set_direction(((Active*)get_single(objlasergunorange_278_instances, default_active_instance))->get_direction());
        ((Active*)((Active*)single_instance_1057_5_1))->alterables->values.set(2, 1); // 'enemy-laser'
        ((Active*)((Active*)single_instance_1057_5_1))->force_animation(12);
    }
    event_1057_5_end: ;
}
void Frames::event_func_1163()
{
    // event 1063_5
    {
        // group: Laser redirectors
        every_1063_5_0 += manager.dt;
        if (every_1063_5_0 < 1.0) goto event_1063_5_end;
        every_1063_5_0 -= 1.0;
        screen_170_instances.clear_selection();
        objlasergunorange_278_instances.clear_selection();
        if (!check_overlap(screen_170_instances, objlasergunorange_278_instances)) goto event_1063_5_end;
        if (frame_time - restrict_1063_5 < 1.0) goto event_1063_5_end;
        restrict_1063_5 = frame_time;
        media.set_sample_volume(SOUND_ZAP_17, 0.3*global_values->get(12));
        media.play_id(SOUND_ZAP_17, -1, 1);
    }
    event_1063_5_end: ;
}
void Frames::event_func_1164()
{
    // event 1065_5
    {
        // group: Laser redirectors
        enemylaser_224_instances.clear_selection();
        for (ObjectIterator it(enemylaser_224_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (1))) { it.deselect(); continue; }
        }
        if (!enemylaser_224_instances.has_selection()) goto event_1065_5_end;
        for (ObjectIterator it(enemylaser_224_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    event_1065_5_end: ;
}
void Frames::event_func_1165()
{
    // event 1071_5
    {
        // group: Enemy Gates
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_1071_5_end;
        detector_116_instances.clear_selection();
        objenemygate_257_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objenemygate_257_instances)) goto event_1071_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(8)) == (0))) goto event_1071_5_end;
        for (ObjectIterator it(objenemygate_257_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!objenemygate_257_instances.has_selection()) goto event_1071_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(2, 1); // 'Player'
    }
    event_1071_5_end: ;
}
void Frames::event_func_1166()
{
    // event 1072_5
    {
        // group: Enemy Gates
        detector_116_instances.clear_selection();
        objenemygate_257_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objenemygate_257_instances)) goto event_1072_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_1072_5_end;
        for (ObjectIterator it(objenemygate_257_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!objenemygate_257_instances.has_selection()) goto event_1072_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_1072_5_end: ;
}
void Frames::event_func_1167()
{
    // event 1073_5
    {
        // group: Enemy Gates
        detector_116_instances.clear_selection();
        objenemygate_257_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objenemygate_257_instances)) goto event_1073_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_1073_5_end;
        for (ObjectIterator it(objenemygate_257_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!objenemygate_257_instances.has_selection()) goto event_1073_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_1073_5_end: ;
}
void Frames::event_func_1168()
{
    // event 1074_5
    {
        // group: Enemy Gates
        detector_116_instances.clear_selection();
        objenemygate_257_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objenemygate_257_instances)) goto event_1074_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) >= (0))) goto event_1074_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_1074_5_end;
        for (ObjectIterator it(objenemygate_257_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!objenemygate_257_instances.has_selection()) goto event_1074_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_1074_5_end: ;
}
void Frames::event_func_1169()
{
    // event 1075_5
    {
        // group: Enemy Gates
        detector_116_instances.clear_selection();
        objenemygate_257_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objenemygate_257_instances)) goto event_1075_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_1075_5_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_1075_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_1075_5_end;
        for (ObjectIterator it(objenemygate_257_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!objenemygate_257_instances.has_selection()) goto event_1075_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_1075_5_end: ;
}
void Frames::event_func_1170()
{
    // event 1076_5
    {
        // group: Enemy Gates
        detector_116_instances.clear_selection();
        objenemygate_257_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objenemygate_257_instances)) goto event_1076_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_1076_5_end;
        for (ObjectIterator it(objenemygate_257_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!objenemygate_257_instances.has_selection()) goto event_1076_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_1076_5_end: ;
}
void Frames::event_func_1171()
{
    // event 1077_5
    {
        // group: Enemy Gates
        player_115_instances.clear_selection();
        objenemygate_257_instances.clear_selection();
        if (!check_overlap(player_115_instances, objenemygate_257_instances)) goto event_1077_5_end;
        for (ObjectIterator it(objenemygate_257_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!objenemygate_257_instances.has_selection()) goto event_1077_5_end;
        if (!((((Active*)get_instance(player_115_instances))->get_y()) >= (((Active*)get_single(objenemygate_257_instances, default_active_instance))->get_y()+18))) goto event_1077_5_end;
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()+(((Active*)get_instance(player_115_instances))->get_y()-((Active*)get_single(objenemygate_257_instances, default_active_instance))->get_y())-16);
        ((Active*)get_instance(player_115_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_1077_5_end: ;
}
void Frames::event_func_1172()
{
    // event 1078_5
    {
        // group: Enemy Gates
        player_115_instances.clear_selection();
        objenemygate_257_instances.clear_selection();
        if (!check_overlap(player_115_instances, objenemygate_257_instances)) goto event_1078_5_end;
        for (ObjectIterator it(objenemygate_257_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!objenemygate_257_instances.has_selection()) goto event_1078_5_end;
        if (!((((Active*)get_instance(player_115_instances))->get_y()) < (((Active*)get_single(objenemygate_257_instances, default_active_instance))->get_y()+18))) goto event_1078_5_end;
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()-(((Active*)get_instance(player_115_instances))->get_y()-((Active*)get_single(objenemygate_257_instances, default_active_instance))->get_y())-22);
        ((Active*)get_instance(player_115_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_1078_5_end: ;
}
void Frames::event_func_1173()
{
    // event 1079_5
    {
        // group: Enemy Gates
        enemylonestar_255_instances.clear_selection();
        if (!check_not_overlap(enemylonestar_255_instances, screen_170_instances)) goto event_1079_5_end;
        enemyevileye_266_instances.clear_selection();
        if (!check_not_overlap(enemyevileye_266_instances, screen_170_instances)) goto event_1079_5_end;
        objenemygate_257_instances.clear_selection();
        for (ObjectIterator it(objenemygate_257_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 1); // 'obj-enemygate'
        }
    }
    event_1079_5_end: ;
}
void Frames::event_func_1174()
{
    // event 1080_5
    {
        // group: Enemy Gates
        objenemygate_257_instances.clear_selection();
        for (ObjectIterator it(objenemygate_257_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!objenemygate_257_instances.has_selection()) goto event_1080_5_end;
        for (ObjectIterator it(objenemygate_257_instances); !it.end(); ++it) {
            ((Active*)*it)->blend_color.set_alpha_coefficient(0);
        }
    }
    event_1080_5_end: ;
}
void Frames::event_func_1175()
{
    // event 1081_5
    {
        // group: Enemy Gates
        objenemygate_257_instances.clear_selection();
        for (ObjectIterator it(objenemygate_257_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (1))) { it.deselect(); continue; }
        }
        if (!objenemygate_257_instances.has_selection()) goto event_1081_5_end;
        for (ObjectIterator it(objenemygate_257_instances); !it.end(); ++it) {
            ((Active*)*it)->blend_color.set_alpha_coefficient(175);
        }
    }
    event_1081_5_end: ;
}
void Frames::event_func_1176()
{
    // event 1082_5
    bool or_result_1082_5 = false;
    bool or_temp_result_1082_5_0 = false;
    {
        // group: Enemy Gates
        enemyevileye_266_instances.clear_selection();
        screen_170_instances.clear_selection();
        if (!check_overlap(enemyevileye_266_instances, screen_170_instances)) goto or_event_1082_5_0_end;
        or_result_1082_5 = true;
        or_temp_result_1082_5_0 = true;
    }
    or_event_1082_5_0_end: ;
    enemyevileye_266_instances.clear_saved_selection();
    screen_170_instances.clear_saved_selection();
    if (or_temp_result_1082_5_0) {
        screen_170_instances.save_selection();
        enemyevileye_266_instances.save_selection();
    }
    // event 1082_5
    bool or_temp_result_1082_5_1 = false;
    {
        // group: Enemy Gates
        enemylonestar_255_instances.clear_selection();
        screen_170_instances.clear_selection();
        if (!check_overlap(enemylonestar_255_instances, screen_170_instances)) goto or_event_1082_5_1_end;
        or_result_1082_5 = true;
        or_temp_result_1082_5_1 = true;
        or_event_1082_5_1_end: ;
        enemylonestar_255_instances.clear_saved_selection();
        if (or_temp_result_1082_5_1) {
            enemylonestar_255_instances.save_selection();
            screen_170_instances.save_selection();
        }
        if (!or_result_1082_5) goto or_final_or_event_1082_5_1_end;
        enemyevileye_266_instances.clear_selection();
        screen_170_instances.clear_selection();
        enemylonestar_255_instances.clear_selection();
        if (or_temp_result_1082_5_0 || or_temp_result_1082_5_1) {
            screen_170_instances.restore_selection();
        }
        if (or_temp_result_1082_5_1) {
            enemylonestar_255_instances.restore_selection();
        }
        if (or_temp_result_1082_5_0) {
            enemyevileye_266_instances.restore_selection();
        }
        objenemygate_257_instances.clear_selection();
        for (ObjectIterator it(objenemygate_257_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 0); // 'obj-enemygate'
        }
    }
    or_final_or_event_1082_5_1_end: ;
}
void Frames::event_func_1177()
{
    // event 1083_5
    {
        // group: Counter
        screen_170_instances.clear_selection();
        enemytickbomb_225_instances.clear_selection();
        if (!check_overlap(screen_170_instances, enemytickbomb_225_instances)) goto event_1083_5_end;
        for (ObjectIterator it(enemytickbomb_225_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(2, 1); // 'enemy-tickbomb'
        }
    }
    event_1083_5_end: ;
}
void Frames::event_func_1178()
{
    // event 1084_5
    {
        // group: Counter
        enemytickbomb_225_instances.clear_selection();
        for (ObjectIterator it(enemytickbomb_225_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (80))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(18)) { it.deselect(); continue; }
        }
        if (!enemytickbomb_225_instances.has_selection()) goto event_1084_5_end;
        for (ObjectIterator it(enemytickbomb_225_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    event_1084_5_end: ;
}
void Frames::event_func_1179()
{
    // event 1085_5
    {
        // group: Counter
        enemytickbomb_225_instances.clear_selection();
        for (ObjectIterator it(enemytickbomb_225_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (160))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (80))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(18)) { it.deselect(); continue; }
        }
        if (!enemytickbomb_225_instances.has_selection()) goto event_1085_5_end;
        for (ObjectIterator it(enemytickbomb_225_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(13);
        }
    }
    event_1085_5_end: ;
}
void Frames::event_func_1180()
{
    // event 1086_5
    {
        // group: Counter
        enemytickbomb_225_instances.clear_selection();
        for (ObjectIterator it(enemytickbomb_225_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (240))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (160))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(18)) { it.deselect(); continue; }
        }
        if (!enemytickbomb_225_instances.has_selection()) goto event_1086_5_end;
        for (ObjectIterator it(enemytickbomb_225_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(14);
        }
    }
    event_1086_5_end: ;
}
void Frames::event_func_1181()
{
    // event 1087_5
    {
        // group: Counter
        enemytickbomb_225_instances.clear_selection();
        for (ObjectIterator it(enemytickbomb_225_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (320))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (240))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(18)) { it.deselect(); continue; }
        }
        if (!enemytickbomb_225_instances.has_selection()) goto event_1087_5_end;
        for (ObjectIterator it(enemytickbomb_225_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_1087_5_end: ;
}
void Frames::event_func_1182()
{
    // event 1088_5
    {
        // group: Counter
        enemytickbomb_225_instances.clear_selection();
        for (ObjectIterator it(enemytickbomb_225_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (400))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (320))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(18)) { it.deselect(); continue; }
        }
        if (!enemytickbomb_225_instances.has_selection()) goto event_1088_5_end;
        for (ObjectIterator it(enemytickbomb_225_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_1088_5_end: ;
}
void Frames::event_func_1183()
{
    // event 1089_5
    {
        // group: Counter
        enemytickbomb_225_instances.clear_selection();
        for (ObjectIterator it(enemytickbomb_225_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (500))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (400))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(17)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(18)) { it.deselect(); continue; }
        }
        if (!enemytickbomb_225_instances.has_selection()) goto event_1089_5_end;
        for (ObjectIterator it(enemytickbomb_225_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(17);
        }
    }
    event_1089_5_end: ;
}
void Frames::event_func_1184()
{
    // event 1090_5
    {
        // group: Counter
        enemytickbomb_225_instances.clear_selection();
        for (ObjectIterator it(enemytickbomb_225_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (500))) { it.deselect(); continue; }
        }
        if (!enemytickbomb_225_instances.has_selection()) goto event_1090_5_end;
        FrameObject * single_instance_1090_5_0; single_instance_1090_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemytickbomb_225_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_bigexplosion_199(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_1090_5_0 == NULL)
                    single_instance_1090_5_0 = new_obj;
            }
        }
        FrameObject * single_instance_1090_5_1; single_instance_1090_5_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemytickbomb_225_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_homept1_227(0, 0), parent->layer);
                if (single_instance_1090_5_1 == NULL)
                    single_instance_1090_5_1 = new_obj;
                parent->shoot(new_obj, 50, 16);
            }
        }
        FrameObject * single_instance_1090_5_2; single_instance_1090_5_2 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemytickbomb_225_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_homept1_227(0, 0), parent->layer);
                if (single_instance_1090_5_2 == NULL)
                    single_instance_1090_5_2 = new_obj;
                parent->shoot(new_obj, 50, 12);
            }
        }
        FrameObject * single_instance_1090_5_3; single_instance_1090_5_3 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemytickbomb_225_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_homept1_227(0, 0), parent->layer);
                if (single_instance_1090_5_3 == NULL)
                    single_instance_1090_5_3 = new_obj;
                parent->shoot(new_obj, 50, 8);
            }
        }
        FrameObject * single_instance_1090_5_4; single_instance_1090_5_4 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemytickbomb_225_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_homept1_227(0, 0), parent->layer);
                if (single_instance_1090_5_4 == NULL)
                    single_instance_1090_5_4 = new_obj;
                parent->shoot(new_obj, 50, 4);
            }
        }
        FrameObject * single_instance_1090_5_5; single_instance_1090_5_5 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemytickbomb_225_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_homept1_227(0, 0), parent->layer);
                if (single_instance_1090_5_5 == NULL)
                    single_instance_1090_5_5 = new_obj;
                parent->shoot(new_obj, 50, 0);
            }
        }
        FrameObject * single_instance_1090_5_6; single_instance_1090_5_6 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemytickbomb_225_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_homept1_227(0, 0), parent->layer);
                if (single_instance_1090_5_6 == NULL)
                    single_instance_1090_5_6 = new_obj;
                parent->shoot(new_obj, 50, 28);
            }
        }
        FrameObject * single_instance_1090_5_7; single_instance_1090_5_7 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemytickbomb_225_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_homept1_227(0, 0), parent->layer);
                if (single_instance_1090_5_7 == NULL)
                    single_instance_1090_5_7 = new_obj;
                parent->shoot(new_obj, 50, 24);
            }
        }
        FrameObject * single_instance_1090_5_8; single_instance_1090_5_8 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemytickbomb_225_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_homept1_227(0, 0), parent->layer);
                if (single_instance_1090_5_8 == NULL)
                    single_instance_1090_5_8 = new_obj;
                parent->shoot(new_obj, 50, 20);
            }
        }
        for (ObjectIterator it(enemytickbomb_225_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_1090_5_end: ;
}
void Frames::event_func_1185()
{
    // event 1091_5
    {
        // group: Counter
        homept1_227_instances.clear_selection();
        for (ObjectIterator it(homept1_227_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(0, 1); // 'home-pt1'
        }
    }
    event_1091_5_end: ;
}
void Frames::event_func_1186()
{
    // event 1092_5
    {
        // group: Counter
        homept1_227_instances.clear_selection();
        for (ObjectIterator it(homept1_227_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) >= (20))) { it.deselect(); continue; }
        }
        if (!homept1_227_instances.has_selection()) goto event_1092_5_end;
        for (ObjectIterator it(homept1_227_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        FrameObject * single_instance_1092_5_0; single_instance_1092_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(homept1_227_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_homept2_228(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_1092_5_0 == NULL)
                    single_instance_1092_5_0 = new_obj;
            }
        }
    }
    event_1092_5_end: ;
}
void Frames::event_func_1187()
{
    // event 1093_5
    {
        // group: Counter
        homept2_228_instances.clear_selection();
        for (ObjectIterator it(homept2_228_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
        }
        if (!homept2_228_instances.has_selection()) goto event_1093_5_end;
        for (ObjectIterator it(homept2_228_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(get_direction_int(((Active*)*it)->x, ((Active*)*it)->y, ((Active*)get_instance(player_115_instances))->x + 0, ((Active*)get_instance(player_115_instances))->y + 0));
            ((Active*)*it)->alterables->values.set(0, 1); // 'home-pt2'
        }
    }
    event_1093_5_end: ;
}
void Frames::event_func_1188()
{
    // event 1096_5
    {
        // group: Counter
        every_1096_5_0 += manager.dt;
        if (every_1096_5_0 < 0.01) goto event_1096_5_end;
        every_1096_5_0 -= 0.01;
        counterspawner_226_instances.clear_selection();
        for (ObjectIterator it(counterspawner_226_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) > (0))) { it.deselect(); continue; }
        }
        if (!counterspawner_226_instances.has_selection()) goto event_1096_5_end;
        for (ObjectIterator it(counterspawner_226_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(3, 1); // 'counter-spawner'
        }
    }
    event_1096_5_end: ;
}
void Frames::event_func_1189()
{
    // event 1097_5
    {
        // group: Counter
        enemytickbomb_225_instances.clear_selection();
        for (ObjectIterator it(enemytickbomb_225_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemytickbomb_225_instances.has_selection()) goto event_1097_5_end;
        FrameObject * single_instance_1097_5_0; single_instance_1097_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemytickbomb_225_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_152(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_1097_5_0 == NULL)
                    single_instance_1097_5_0 = new_obj;
            }
        }
        for (ObjectIterator it(enemytickbomb_225_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)get_single(enemytickbomb_225_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)get_single(enemytickbomb_225_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        {
            loop_debris_running = true;
            int times = int(13);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_5();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_1097_5_end: ;
}
void Frames::event_func_1190()
{
    // event 1099_5
    {
        // group: Counter
        screen_170_instances.clear_selection();
        if (!check_not_overlap(screen_170_instances, homept2_228_instances)) goto event_1099_5_end;
        homept2_228_instances.clear_selection();
        for (ObjectIterator it(homept2_228_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_1099_5_end: ;
}
void Frames::event_func_1191()
{
    // event 1100_5
    {
        // group: Counter
        enemytickbomb_225_instances.clear_selection();
        if (!check_not_overlap(enemytickbomb_225_instances, screen_170_instances)) goto event_1100_5_end;
        for (ObjectIterator it(enemytickbomb_225_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 0); // 'enemy-tickbomb'
        }
    }
    event_1100_5_end: ;
}
void Frames::event_func_1192()
{
    // event 1101_5
    {
        // group: Counter
        enemytickbomb_225_instances.clear_selection();
        if (!check_overlap(enemytickbomb_225_instances, enemytickbomb_225_instances)) goto event_1101_5_end;
        FrameObject * single_instance_1101_5_0; single_instance_1101_5_0 = pick_random(enemytickbomb_225_instances);
        if (single_instance_1101_5_0 == NULL) goto event_1101_5_end;
        ((Active*)((Active*)single_instance_1101_5_0))->destroy();
    }
    event_1101_5_end: ;
}
void Frames::event_func_1193()
{
    // event 1103_5
    {
        // group: Platform Spawners
        ((Active*)get_instance(horizspawner_231_instances))->alterables->values.add(0, 1); // 'horizspawner'
    }
    event_1103_5_end: ;
}
void Frames::event_func_1194()
{
    // event 1104_5
    {
        // group: Platform Spawners
        if (!((((Active*)get_instance(horizspawner_231_instances))->alterables->values.get(0)) >= (60))) goto event_1104_5_end;
        ((Active*)get_instance(horizspawner_231_instances))->alterables->values.set(0, 0); // 'horizspawner'
        FrameObject * single_instance_1104_5_0; single_instance_1104_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(horizspawner_231_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_movingplatform_119(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_1104_5_0 == NULL)
                    single_instance_1104_5_0 = new_obj;
            }
        }
        FrameObject * single_instance_1104_5_1; single_instance_1104_5_1 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(horizspawner_231_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_platform2_120(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_1104_5_1 == NULL)
                    single_instance_1104_5_1 = new_obj;
            }
        }
    }
    event_1104_5_end: ;
}
void Frames::event_func_1195()
{
    // event 1105_5
    {
        // group: Platform Spawners
        ((Active*)get_instance(vertspawner_232_instances))->alterables->values.add(0, 1); // 'vertspawner'
    }
    event_1105_5_end: ;
}
void Frames::event_func_1196()
{
    // event 1106_5
    {
        // group: Platform Spawners
        if (!((((Active*)get_instance(vertspawner_232_instances))->alterables->values.get(0)) >= (60))) goto event_1106_5_end;
        ((Active*)get_instance(vertspawner_232_instances))->alterables->values.set(0, 0); // 'vertspawner'
        FrameObject * single_instance_1106_5_0; single_instance_1106_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(vertspawner_232_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_vertplatform_128(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_1106_5_0 == NULL)
                    single_instance_1106_5_0 = new_obj;
            }
        }
        FrameObject * single_instance_1106_5_1; single_instance_1106_5_1 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(vertspawner_232_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_vertdetector_129(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_1106_5_1 == NULL)
                    single_instance_1106_5_1 = new_obj;
            }
        }
    }
    event_1106_5_end: ;
}
void Frames::event_func_1197()
{
    // event 1115_5
    bool or_result_1115_5 = false;
    bool or_temp_result_1115_5_0 = false;
    {
        // group: Platform Spawners
        objshootspawner_254_instances.clear_selection();
        enemydown_182_instances.clear_selection();
        if (!check_overlap(objshootspawner_254_instances, enemydown_182_instances)) goto or_event_1115_5_0_end;
        or_result_1115_5 = true;
        or_temp_result_1115_5_0 = true;
    }
    or_event_1115_5_0_end: ;
    enemydown_182_instances.clear_saved_selection();
    objshootspawner_254_instances.clear_saved_selection();
    if (or_temp_result_1115_5_0) {
        enemydown_182_instances.save_selection();
        objshootspawner_254_instances.save_selection();
    }
    // event 1115_5
    bool or_temp_result_1115_5_1 = false;
    {
        // group: Platform Spawners
        objshootspawner_254_instances.clear_selection();
        enemyup_184_instances.clear_selection();
        if (!check_overlap(objshootspawner_254_instances, enemyup_184_instances)) goto or_event_1115_5_1_end;
        or_result_1115_5 = true;
        or_temp_result_1115_5_1 = true;
        or_event_1115_5_1_end: ;
        enemyup_184_instances.clear_saved_selection();
        if (or_temp_result_1115_5_1) {
            objshootspawner_254_instances.save_selection();
            enemyup_184_instances.save_selection();
        }
        if (!or_result_1115_5) goto or_final_or_event_1115_5_1_end;
        enemydown_182_instances.empty_selection();
        objshootspawner_254_instances.empty_selection();
        enemyup_184_instances.empty_selection();
        if (or_temp_result_1115_5_0) {
            enemydown_182_instances.restore_selection();
        }
        if (or_temp_result_1115_5_1) {
            enemyup_184_instances.restore_selection();
        }
        if (or_temp_result_1115_5_0 || or_temp_result_1115_5_1) {
            objshootspawner_254_instances.restore_selection();
        }
        for (ObjectIterator it(objshootspawner_254_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 1); // 'obj-shootspawner'
        }
    }
    or_final_or_event_1115_5_1_end: ;
}
void Frames::event_func_1198()
{
    // event 1122_5
    bool or_result_1122_5 = false;
    bool or_temp_result_1122_5_0 = false;
    {
        // group: Platform Spawners
        if (!((((Active*)get_instance(horizspawner_231_instances))->alterables->values.get(0)) >= (59))) goto or_event_1122_5_0_end;
        horizspawner_231_instances.clear_selection();
        screen_170_instances.clear_selection();
        if (!check_overlap(horizspawner_231_instances, screen_170_instances)) goto or_event_1122_5_0_end;
        if (frame_time - restrict_1122_5_0 < 0.3) goto or_event_1122_5_0_end;
        restrict_1122_5_0 = frame_time;
        or_result_1122_5 = true;
        or_temp_result_1122_5_0 = true;
    }
    or_event_1122_5_0_end: ;
    horizspawner_231_instances.clear_saved_selection();
    screen_170_instances.clear_saved_selection();
    if (or_temp_result_1122_5_0) {
        horizspawner_231_instances.save_selection();
        screen_170_instances.save_selection();
    }
    // event 1122_5
    bool or_temp_result_1122_5_1 = false;
    {
        // group: Platform Spawners
        if (!((((Active*)get_instance(vertspawner_232_instances))->alterables->values.get(0)) >= (59))) goto or_event_1122_5_1_end;
        vertspawner_232_instances.clear_selection();
        screen_170_instances.clear_selection();
        if (!check_overlap(vertspawner_232_instances, screen_170_instances)) goto or_event_1122_5_1_end;
        if (frame_time - restrict_1122_5_1 < 0.3) goto or_event_1122_5_1_end;
        restrict_1122_5_1 = frame_time;
        or_result_1122_5 = true;
        or_temp_result_1122_5_1 = true;
        or_event_1122_5_1_end: ;
        vertspawner_232_instances.clear_saved_selection();
        if (or_temp_result_1122_5_1) {
            vertspawner_232_instances.save_selection();
            screen_170_instances.save_selection();
        }
        if (!or_result_1122_5) goto or_final_or_event_1122_5_1_end;
        horizspawner_231_instances.clear_selection();
        screen_170_instances.clear_selection();
        vertspawner_232_instances.clear_selection();
        if (or_temp_result_1122_5_1) {
            vertspawner_232_instances.restore_selection();
        }
        if (or_temp_result_1122_5_0) {
            horizspawner_231_instances.restore_selection();
        }
        if (or_temp_result_1122_5_0 || or_temp_result_1122_5_1) {
            screen_170_instances.restore_selection();
        }
        media.play_id(SOUND_SPWNPLAT16MONO_18, -1, 1);
        media.set_sample_volume(SOUND_SPWNPLAT16MONO_18, 0.5*global_values->get(12));
    }
    or_final_or_event_1122_5_1_end: ;
}
void Frames::event_func_1199()
{
    // event 1123_5
    {
        // group: Timer
        global_values->set(6, (frame_time * 1000.0)/MathHelper()/1000.0);
    }
    event_1123_5_end: ;
}
void Frames::event_func_1200()
{
    // event 1124_5
    {
        // group: Timer
        if (!(is_key_pressed(SDLK_LCTRL))) goto event_1124_5_end;
        if (!(is_key_pressed_once(SDLK_d))) goto event_1124_5_end;
        global_values->sub(0, global_values->get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_5();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
    }
    event_1124_5_end: ;
}
void Frames::event_func_1201()
{
    // event 1126_5
    {
        // group: Timer
        if (!(is_key_pressed_once(SDLK_s))) goto event_1126_5_end;
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 20); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 20); // 'camera shaker'
    }
    event_1126_5_end: ;
}
void Frames::event_func_1202()
{
    // event 1127_5
    {
        // group: Timer
        every_1127_5_0 += manager.dt;
        if (every_1127_5_0 < 0.03) goto event_1127_5_end;
        every_1127_5_0 -= 0.03;
        ((Text*)get_instance(timer_167_instances))->set_string(number_to_string(int(100*(global_values->get(6)+global_values->get(7)))/MathHelper()/100.0));
    }
    event_1127_5_end: ;
}
void Frames::event_func_1203()
{
    // event 1128_5
    {
        // group: Checkpoint
        if (!(is_player_pressed_once(1, CONTROL_BUTTON4))) goto event_1128_5_end;
        if (!((global_values->get(10)) > (0))) goto event_1128_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(22);
        }
    }
    event_1128_5_end: ;
}
void Frames::event_func_1204()
{
    // event 1129_5
    {
        // group: Checkpoint
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_frame()) == (5))) { it.deselect(); continue; }
            if (!(((Active*)(*it))->test_directions(1))) { it.deselect(); continue; }
            if (!(((Active*)(*it))->test_animation(22))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_1129_5_end;
        if (not_always_1129_5_0 > loop_count) {
            not_always_1129_5_0 = loop_count + 2;
            goto event_1129_5_end;
        }
        not_always_1129_5_0 = loop_count + 2;
        FrameObject * single_instance_1129_5_1; single_instance_1129_5_1 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_objcheckpointspawner_252(parent->get_action_x() - parent->layer->off_x + 32, parent->get_action_y() - parent->layer->off_y + 16), parent->layer);
                if (single_instance_1129_5_1 == NULL)
                    single_instance_1129_5_1 = new_obj;
            }
        }
        global_values->sub(10, 1);
    }
    event_1129_5_end: ;
}
void Frames::event_func_1205()
{
    // event 1131_5
    {
        // group: Checkpoint
        objcheckpoint_112_instances.clear_selection();
        for (ObjectIterator it(objcheckpoint_112_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (60))) { it.deselect(); continue; }
        }
        if (!objcheckpoint_112_instances.has_selection()) goto event_1131_5_end;
        if (not_always_1131_5_0 > loop_count) {
            not_always_1131_5_0 = loop_count + 2;
            goto event_1131_5_end;
        }
        not_always_1131_5_0 = loop_count + 2;
        global_values->set(8, ((Active*)get_single(objcheckpoint_112_instances, default_active_instance))->get_action_x());
        global_values->set(9, ((Active*)get_single(objcheckpoint_112_instances, default_active_instance))->get_action_y());
    }
    event_1131_5_end: ;
}
void Frames::event_func_1206()
{
    // event 1132_5
    {
        // group: Checkpoint
        objcheckpoint_112_instances.clear_selection();
        for (ObjectIterator it(objcheckpoint_112_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(0, 1); // 'obj-checkpoint'
        }
    }
    event_1132_5_end: ;
}
void Frames::event_func_1207()
{
    // event 1133_5
    {
        // group: Checkpoint
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(65536))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_frame()) == (5))) { it.deselect(); continue; }
            if (!(((Active*)(*it))->test_animation(22))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_1133_5_end;
        if (not_always_1133_5_0 > loop_count) {
            not_always_1133_5_0 = loop_count + 2;
            goto event_1133_5_end;
        }
        not_always_1133_5_0 = loop_count + 2;
        FrameObject * single_instance_1133_5_1; single_instance_1133_5_1 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_objcheckpointspawner_252(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 16), parent->layer);
                if (single_instance_1133_5_1 == NULL)
                    single_instance_1133_5_1 = new_obj;
            }
        }
        global_values->sub(10, 1);
    }
    event_1133_5_end: ;
}
void Frames::event_func_1208()
{
    // event 1135_5
    {
        // group: Checkpoint
        ((Text*)get_instance(checkpoints_253_instances))->set_string(str_x_18+number_to_string(global_values->get(10)));
    }
    event_1135_5_end: ;
}
void Frames::event_func_1209()
{
    // event 1137_5
    {
        // group: Checkpoint
        objcheckpointspawner_252_instances.clear_selection();
        if (!check_not_overlap(objcheckpointspawner_252_instances, screen_170_instances)) goto event_1137_5_end;
        if (!((objcheckpointspawner_252_instances.size()) > (0))) goto event_1137_5_end;
        for (ObjectIterator it(objcheckpointspawner_252_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        global_values->sub(10, -1);
    }
    event_1137_5_end: ;
}
void Frames::event_func_1210()
{
    // event 1141_5
    {
        // group: Checkpoint
        if (!((global_values->get(8)) == (0))) goto event_1141_5_end;
        every_1141_5_0 += manager.dt;
        if (every_1141_5_0 < 11.0) goto event_1141_5_end;
        every_1141_5_0 -= 11.0;
        ((Active*)get_instance(uiflag_263_instances))->force_animation(12);
    }
    event_1141_5_end: ;
}
void Frames::event_func_1211()
{
    // event 1142_5
    {
        // group: Checkpoint
        if (!((global_values->get(8)) == (0))) goto event_1142_5_end;
        every_1142_5_0 += manager.dt;
        if (every_1142_5_0 < 8.0) goto event_1142_5_end;
        every_1142_5_0 -= 8.0;
        ((Active*)get_instance(uiflag_263_instances))->force_animation(13);
    }
    event_1142_5_end: ;
}
void Frames::event_func_1212()
{
    // event 1143_5
    {
        // group: Checkpoint
        if (!((global_values->get(8)) == (0))) goto event_1143_5_end;
        every_1143_5_0 += manager.dt;
        if (every_1143_5_0 < 23.0) goto event_1143_5_end;
        every_1143_5_0 -= 23.0;
        ((Active*)get_instance(uiflag_263_instances))->force_animation(14);
    }
    event_1143_5_end: ;
}
void Frames::event_func_1213()
{
    // event 1146_5
    {
        // group: Checkpoint
        objcheckpointspawner_252_instances.clear_selection();
        for (ObjectIterator it(objcheckpointspawner_252_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+4);
        }
    }
    event_1146_5_end: ;
}
void Frames::event_func_1214()
{
    // event 1148_5
    {
        // group: Music
        if (!((global_values->get(0)) <= (0))) goto event_1148_5_end;
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(8, 0); // 'FrameDataStore'
    }
    event_1148_5_end: ;
}
void Frames::event_func_1215()
{
    // event 1149_5
    {
        // group: Music
        if (!((((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(4)) == (1))) goto event_1149_5_end;
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(8, 0); // 'FrameDataStore'
    }
    event_1149_5_end: ;
}
void Frames::event_func_1216()
{
    // event 1150_5
    {
        // group: Music
        if (!((global_values->get(19)) > (((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(8)))) goto event_1150_5_end;
        global_values->sub(19, 0.66);
    }
    event_1150_5_end: ;
}
void Frames::event_func_1217()
{
    // event 1151_5
    {
        // group: Music
        if (!((global_values->get(19)) < (((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(8)))) goto event_1151_5_end;
        global_values->sub(19, -0.66);
    }
    event_1151_5_end: ;
}
void Frames::event_func_1218()
{
    // event 1153_5
    {
        // group: None
        media.set_sample_volume(SOUND_DASH_2_1, 0.5*global_values->get(12));
        media.set_sample_volume(SOUND_GUNSHOT_0, 0.5*global_values->get(12));
        media.set_sample_volume(SOUND_GETONGROUND_2, 0.4*global_values->get(12));
        media.set_sample_volume(SOUND_ENEMYHIT_3, 0.45*global_values->get(12));
        media.set_sample_volume(SOUND_HURT_5, 0.5*global_values->get(12));
        media.set_sample_volume(SOUND_SPRING_4, 0.8*global_values->get(12));
        media.set_sample_volume(SOUND_EXPLOSION_6, 0.25*global_values->get(12));
        media.set_channel_volume(3-1, global_values->get(12)*0.5);
        media.set_channel_volume(4-1, 0.25*global_values->get(12));
        media.set_sample_volume(SOUND_POWERGUNSHOT_BASS_13, 0.3*global_values->get(12));
        media.set_sample_volume(SOUND_ZAP_17, 0.3*global_values->get(12));
        media.set_sample_volume(SOUND_EYEBLOCK_14, 1.0*global_values->get(12));
        media.set_sample_volume(SOUND_CANNON_4_12, global_values->get(12));
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12));
        media.set_sample_volume(SOUND_KEY_11, global_values->get(12));
        media.set_sample_volume(SOUND_SPWNPLAT16MONO_18, 0.5*global_values->get(12));
        media.set_sample_volume(SOUND_BOOM_16, 1*global_values->get(12));
        media.set_sample_volume(SOUND_WEUW_24, 0.2*global_values->get(12));
        media.set_sample_volume(SOUND_SQUEAKYBOOM_28, 0.8*global_values->get(12));
    }
    event_1153_5_end: ;
}
void Frames::event_func_1219()
{
    // event 1155_5
    {
        // group: Killplanes
        if (!((((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(4)) == (1))) goto event_1155_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.add(10, 1); // 'Player'
        manager.ignore_controls = true;
    }
    event_1155_5_end: ;
}
void Frames::event_func_1220()
{
    // event 1156_5
    {
        // group: BG
        ((Active*)get_instance(bgwheel_262_instances))->set_angle(((Active*)get_instance(bgwheel_262_instances))->get_angle()+1, 0);
    }
    event_1156_5_end: ;
}
void Frames::event_func_1221()
{
    // event 1157_5
    {
        // group: BG
        ((Active*)get_instance(bgcog1_290_instances))->set_angle(((Active*)get_instance(bgcog1_290_instances))->get_angle()+0.1*((Active*)get_instance(bgcog1_290_instances))->alterables->values.get(0), 0);
    }
    event_1157_5_end: ;
}
void Frames::event_func_1222()
{
    // event 1158_5
    {
        // group: BG
        ((Active*)get_instance(bgcog2_291_instances))->set_angle(((Active*)get_instance(bgcog2_291_instances))->get_angle()+0.2*((Active*)get_instance(bgcog2_291_instances))->alterables->values.get(0), 0);
    }
    event_1158_5_end: ;
}
void Frames::event_func_1223()
{
    // event 1160_5
    {
        // group: BG
        if (!((layers[0].x) < (-1024))) goto event_1160_5_end;
        ((LayerObject*)get_instance(layerobject_305_instances))->set_x(0, layers[0].x+1024);
    }
    event_1160_5_end: ;
}
void Frames::event_func_1224()
{
    // event 1161_5
    {
        // group: BG
        if (!((layers[0].x) > (0))) goto event_1161_5_end;
        ((LayerObject*)get_instance(layerobject_305_instances))->set_x(0, layers[0].x-1024);
    }
    event_1161_5_end: ;
}
void Frames::event_func_1225()
{
    // event 1167_5
    {
        // group: Incentives
        objbonustime_280_instances.clear_selection();
        for (ObjectIterator it(objbonustime_280_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) < (global_values->get(6)+global_values->get(7)))) { it.deselect(); continue; }
        }
        if (!objbonustime_280_instances.has_selection()) goto event_1167_5_end;
        if (!(frame_time >= 0.1)) goto event_1167_5_end;
        for (ObjectIterator it(objbonustime_280_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) != (0))) { it.deselect(); continue; }
        }
        if (!objbonustime_280_instances.has_selection()) goto event_1167_5_end;
        if (!check_not_overlap(objbonustime_280_instances, screen_170_instances)) goto event_1167_5_end;
        for (ObjectIterator it(objbonustime_280_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 1); // 'obj-bonus-time'
        }
    }
    event_1167_5_end: ;
}
void Frames::event_func_1226()
{
    // event 1169_5
    {
        // group: Incentives
        objbonusdeathless_279_instances.clear_selection();
        for (ObjectIterator it(objbonusdeathless_279_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (1))) { it.deselect(); continue; }
        }
        if (!objbonusdeathless_279_instances.has_selection()) goto event_1169_5_end;
        for (ObjectIterator it(objbonusdeathless_279_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_1169_5_end: ;
}
void Frames::event_func_1227()
{
    // event 1170_5
    {
        // group: Incentives
        objbonustime_280_instances.clear_selection();
        for (ObjectIterator it(objbonustime_280_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (1))) { it.deselect(); continue; }
        }
        if (!objbonustime_280_instances.has_selection()) goto event_1170_5_end;
        for (ObjectIterator it(objbonustime_280_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_1170_5_end: ;
}
void Frames::event_func_1228()
{
    // event 1172_5
    {
        // group: Incentives
        if (!(frame_time >= 0.1)) goto event_1172_5_end;
        objbonustime_280_instances.clear_selection();
        for (ObjectIterator it(objbonustime_280_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (global_values->get(14)))) { it.deselect(); continue; }
        }
        if (!objbonustime_280_instances.has_selection()) goto event_1172_5_end;
        for (ObjectIterator it(objbonustime_280_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 1); // 'obj-bonus-time'
        }
    }
    event_1172_5_end: ;
}
void Frames::event_func_1229()
{
    // event 1173_5
    {
        // group: Incentives
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(10)) > (0))) goto event_1173_5_end;
        if (!((global_values->get(8)) == (0))) goto event_1173_5_end;
        global_values->set(14, 0);
    }
    event_1173_5_end: ;
}
void Frames::event_func_1230()
{
    // event 1174_5
    {
        // group: Incentives
        if (!((global_values->get(2)) == (0))) goto event_1174_5_end;
        objbonusdeathless_279_instances.clear_selection();
        for (ObjectIterator it(objbonusdeathless_279_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(1, 1); // 'obj-bonus-deathless'
        }
    }
    event_1174_5_end: ;
}
void Frames::event_func_1231()
{
    // event 1175_5
    {
        // group: Incentives
        if (!((global_values->get(2)) != (0))) goto event_1175_5_end;
        objbonusdeathless_279_instances.clear_selection();
        for (ObjectIterator it(objbonusdeathless_279_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) == (1))) { it.deselect(); continue; }
        }
        if (!objbonusdeathless_279_instances.has_selection()) goto event_1175_5_end;
        for (ObjectIterator it(objbonusdeathless_279_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 1); // 'obj-bonus-deathless'
        }
    }
    event_1175_5_end: ;
}
void Frames::event_func_1232()
{
    // event 1177_5
    {
        // group: Incentives
        if (!((global_values->get(2)) == (0))) goto event_1177_5_end;
        if (!(frame_time <= 0.86)) goto event_1177_5_end;
        screen_170_instances.clear_selection();
        objbonusdeathless_279_instances.clear_selection();
        if (!check_overlap(screen_170_instances, objbonusdeathless_279_instances)) goto event_1177_5_end;
        for (ObjectIterator it(objbonusdeathless_279_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_1177_5_end: ;
}
void Frames::event_func_1233()
{
    // event 1181_5
    {
        // group: Clockwork Block
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_1181_5_end;
        detector_116_instances.clear_selection();
        objcogblock_287_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objcogblock_287_instances)) goto event_1181_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(8)) == (0))) goto event_1181_5_end;
        for (ObjectIterator it(objcogblock_287_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objcogblock_287_instances.has_selection()) goto event_1181_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(2, 1); // 'Player'
    }
    event_1181_5_end: ;
}
void Frames::event_func_1234()
{
    // event 1182_5
    {
        // group: Clockwork Block
        detector_116_instances.clear_selection();
        objcogblock_287_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objcogblock_287_instances)) goto event_1182_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_1182_5_end;
        for (ObjectIterator it(objcogblock_287_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objcogblock_287_instances.has_selection()) goto event_1182_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_1182_5_end: ;
}
void Frames::event_func_1235()
{
    // event 1183_5
    {
        // group: Clockwork Block
        detector_116_instances.clear_selection();
        objcogblock_287_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objcogblock_287_instances)) goto event_1183_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_1183_5_end;
        for (ObjectIterator it(objcogblock_287_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objcogblock_287_instances.has_selection()) goto event_1183_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_1183_5_end: ;
}
void Frames::event_func_1236()
{
    // event 1184_5
    {
        // group: Clockwork Block
        detector_116_instances.clear_selection();
        objcogblock_287_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objcogblock_287_instances)) goto event_1184_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) >= (0))) goto event_1184_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_1184_5_end;
        for (ObjectIterator it(objcogblock_287_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objcogblock_287_instances.has_selection()) goto event_1184_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_1184_5_end: ;
}
void Frames::event_func_1237()
{
    // event 1185_5
    {
        // group: Clockwork Block
        detector_116_instances.clear_selection();
        objcogblock_287_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objcogblock_287_instances)) goto event_1185_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_1185_5_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_1185_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_1185_5_end;
        for (ObjectIterator it(objcogblock_287_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objcogblock_287_instances.has_selection()) goto event_1185_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_1185_5_end: ;
}
void Frames::event_func_1238()
{
    // event 1186_5
    {
        // group: Clockwork Block
        detector_116_instances.clear_selection();
        objcogblock_287_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objcogblock_287_instances)) goto event_1186_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_1186_5_end;
        for (ObjectIterator it(objcogblock_287_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objcogblock_287_instances.has_selection()) goto event_1186_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_1186_5_end: ;
}
void Frames::event_func_1239()
{
    // event 1187_5
    {
        // group: Clockwork Block
        player_115_instances.clear_selection();
        objcogblock_287_instances.clear_selection();
        if (!check_overlap(player_115_instances, objcogblock_287_instances)) goto event_1187_5_end;
        for (ObjectIterator it(objcogblock_287_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objcogblock_287_instances.has_selection()) goto event_1187_5_end;
        if (!((((Active*)get_instance(player_115_instances))->get_y()) >= (((Active*)get_single(objcogblock_287_instances, default_active_instance))->get_y()+18))) goto event_1187_5_end;
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()+(((Active*)get_instance(player_115_instances))->get_y()-((Active*)get_single(objcogblock_287_instances, default_active_instance))->get_y())-16);
        ((Active*)get_instance(player_115_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(9, 95); // 'Player'
    }
    event_1187_5_end: ;
}
void Frames::event_func_1240()
{
    // event 1188_5
    {
        // group: Clockwork Block
        player_115_instances.clear_selection();
        objcogblock_287_instances.clear_selection();
        if (!check_overlap(player_115_instances, objcogblock_287_instances)) goto event_1188_5_end;
        for (ObjectIterator it(objcogblock_287_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objcogblock_287_instances.has_selection()) goto event_1188_5_end;
        if (!((((Active*)get_instance(player_115_instances))->get_y()) < (((Active*)get_single(objcogblock_287_instances, default_active_instance))->get_y()+18))) goto event_1188_5_end;
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()-(((Active*)get_instance(player_115_instances))->get_y()-((Active*)get_single(objcogblock_287_instances, default_active_instance))->get_y())-22);
        ((Active*)get_instance(player_115_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(9, 95); // 'Player'
    }
    event_1188_5_end: ;
}
void Frames::event_func_1241()
{
    // event 1189_5
    {
        // group: Clockwork Block
        objcogblock_287_instances.clear_selection();
        for (ObjectIterator it(objcogblock_287_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_on(0))) { it.deselect(); continue; }
        }
        if (!objcogblock_287_instances.has_selection()) goto event_1189_5_end;
        for (ObjectIterator it(objcogblock_287_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    event_1189_5_end: ;
}
void Frames::event_func_1242()
{
    // event 1190_5
    {
        // group: Clockwork Block
        objcogblock_287_instances.clear_selection();
        for (ObjectIterator it(objcogblock_287_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objcogblock_287_instances.has_selection()) goto event_1190_5_end;
        for (ObjectIterator it(objcogblock_287_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_1190_5_end: ;
}
void Frames::event_func_1243()
{
    // event 1191_5
    {
        // group: Clockwork Block
        objcogblock_287_instances.clear_selection();
        for (ObjectIterator it(objcogblock_287_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_on(0))) { it.deselect(); continue; }
        }
        if (!objcogblock_287_instances.has_selection()) goto event_1191_5_end;
        for (ObjectIterator it(objcogblock_287_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 0); // 'obj-cogblock'
        }
    }
    event_1191_5_end: ;
}
void Frames::event_func_1244()
{
    // event 1192_5
    {
        // group: Clockwork Block
        objcogblock_287_instances.clear_selection();
        for (ObjectIterator it(objcogblock_287_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objcogblock_287_instances.has_selection()) goto event_1192_5_end;
        for (ObjectIterator it(objcogblock_287_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 1); // 'obj-cogblock'
        }
    }
    event_1192_5_end: ;
}
void Frames::event_func_1245()
{
    // event 1196_5
    bool or_result_1196_5 = false;
    bool or_temp_result_1196_5_0 = false;
    {
        // group: Clockwork Block
        detector_116_instances.clear_selection();
        for (ObjectIterator it(detector_116_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->overlaps_background())) { it.deselect(); continue; }
        }
        if (!detector_116_instances.has_selection()) goto or_event_1196_5_0_end;
        or_result_1196_5 = true;
        or_temp_result_1196_5_0 = true;
    }
    or_event_1196_5_0_end: ;
    detector_116_instances.clear_saved_selection();
    if (or_temp_result_1196_5_0) {
        detector_116_instances.save_selection();
    }
    // event 1196_5
    bool or_temp_result_1196_5_1 = false;
    {
        // group: Clockwork Block
        detector_116_instances.clear_selection();
        movingplatform_119_instances.clear_selection();
        if (!check_overlap(detector_116_instances, movingplatform_119_instances)) goto or_event_1196_5_1_end;
        or_result_1196_5 = true;
        or_temp_result_1196_5_1 = true;
    }
    or_event_1196_5_1_end: ;
    movingplatform_119_instances.clear_saved_selection();
    if (or_temp_result_1196_5_1) {
        detector_116_instances.save_selection();
        movingplatform_119_instances.save_selection();
    }
    // event 1196_5
    bool or_temp_result_1196_5_2 = false;
    {
        // group: Clockwork Block
        detector_116_instances.clear_selection();
        vertdetector_129_instances.clear_selection();
        if (!check_overlap(detector_116_instances, vertdetector_129_instances)) goto or_event_1196_5_2_end;
        or_result_1196_5 = true;
        or_temp_result_1196_5_2 = true;
    }
    or_event_1196_5_2_end: ;
    vertdetector_129_instances.clear_saved_selection();
    if (or_temp_result_1196_5_2) {
        vertdetector_129_instances.save_selection();
        detector_116_instances.save_selection();
    }
    // event 1196_5
    bool or_temp_result_1196_5_3 = false;
    {
        // group: Clockwork Block
        detector_116_instances.clear_selection();
        dissappear_175_instances.clear_selection();
        if (!check_overlap(detector_116_instances, dissappear_175_instances)) goto or_event_1196_5_3_end;
        or_result_1196_5 = true;
        or_temp_result_1196_5_3 = true;
    }
    or_event_1196_5_3_end: ;
    dissappear_175_instances.clear_saved_selection();
    if (or_temp_result_1196_5_3) {
        detector_116_instances.save_selection();
        dissappear_175_instances.save_selection();
    }
    // event 1196_5
    bool or_temp_result_1196_5_4 = false;
    {
        // group: Clockwork Block
        detector_116_instances.clear_selection();
        objcogblock_287_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objcogblock_287_instances)) goto or_event_1196_5_4_end;
        for (ObjectIterator it(objcogblock_287_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objcogblock_287_instances.has_selection()) goto or_event_1196_5_4_end;
        or_result_1196_5 = true;
        or_temp_result_1196_5_4 = true;
    }
    or_event_1196_5_4_end: ;
    objcogblock_287_instances.clear_saved_selection();
    if (or_temp_result_1196_5_4) {
        detector_116_instances.save_selection();
        objcogblock_287_instances.save_selection();
    }
    // event 1196_5
    bool or_temp_result_1196_5_5 = false;
    {
        // group: Clockwork Block
        detector_116_instances.clear_selection();
        objenemygate_257_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objenemygate_257_instances)) goto or_event_1196_5_5_end;
        or_result_1196_5 = true;
        or_temp_result_1196_5_5 = true;
    }
    or_event_1196_5_5_end: ;
    objenemygate_257_instances.clear_saved_selection();
    if (or_temp_result_1196_5_5) {
        objenemygate_257_instances.save_selection();
        detector_116_instances.save_selection();
    }
    // event 1196_5
    bool or_temp_result_1196_5_6 = false;
    {
        // group: Clockwork Block
        detector_116_instances.clear_selection();
        objjunkblock_288_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objjunkblock_288_instances)) goto or_event_1196_5_6_end;
        or_result_1196_5 = true;
        or_temp_result_1196_5_6 = true;
    }
    or_event_1196_5_6_end: ;
    objjunkblock_288_instances.clear_saved_selection();
    if (or_temp_result_1196_5_6) {
        detector_116_instances.save_selection();
        objjunkblock_288_instances.save_selection();
    }
    // event 1196_5
    bool or_temp_result_1196_5_7 = false;
    {
        // group: Clockwork Block
        detector_116_instances.clear_selection();
        objeyeblock_191_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objeyeblock_191_instances)) goto or_event_1196_5_7_end;
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_191_instances.has_selection()) goto or_event_1196_5_7_end;
        or_result_1196_5 = true;
        or_temp_result_1196_5_7 = true;
        or_event_1196_5_7_end: ;
        objeyeblock_191_instances.clear_saved_selection();
        if (or_temp_result_1196_5_7) {
            detector_116_instances.save_selection();
            objeyeblock_191_instances.save_selection();
        }
        if (!or_result_1196_5) goto or_final_or_event_1196_5_7_end;
        detector_116_instances.empty_selection();
        objeyeblock_191_instances.empty_selection();
        objjunkblock_288_instances.empty_selection();
        vertdetector_129_instances.empty_selection();
        movingplatform_119_instances.empty_selection();
        dissappear_175_instances.empty_selection();
        objcogblock_287_instances.empty_selection();
        objenemygate_257_instances.empty_selection();
        if (or_temp_result_1196_5_2) {
            vertdetector_129_instances.restore_selection();
        }
        if (or_temp_result_1196_5_5) {
            objenemygate_257_instances.restore_selection();
        }
        if (or_temp_result_1196_5_7) {
            objeyeblock_191_instances.restore_selection();
        }
        if (or_temp_result_1196_5_3) {
            dissappear_175_instances.restore_selection();
        }
        if (or_temp_result_1196_5_0 || or_temp_result_1196_5_1 || or_temp_result_1196_5_2 || or_temp_result_1196_5_3 || or_temp_result_1196_5_4 || or_temp_result_1196_5_5 || or_temp_result_1196_5_6 || or_temp_result_1196_5_7) {
            detector_116_instances.restore_selection();
        }
        if (or_temp_result_1196_5_1) {
            movingplatform_119_instances.restore_selection();
        }
        if (or_temp_result_1196_5_4) {
            objcogblock_287_instances.restore_selection();
        }
        if (or_temp_result_1196_5_6) {
            objjunkblock_288_instances.restore_selection();
        }
        player_115_instances.clear_selection();
        for (ObjectIterator it(player_115_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(18, 0); // 'Player'
        }
    }
    or_final_or_event_1196_5_7_end: ;
}
void Frames::event_func_1246()
{
    // event 1198_5
    {
        // group: Clockwork Block
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(2)) > (0))) goto event_1198_5_end;
        if (not_always_1198_5_0 > loop_count) {
            not_always_1198_5_0 = loop_count + 2;
            goto event_1198_5_end;
        }
        not_always_1198_5_0 = loop_count + 2;
        objcogblock_287_instances.clear_selection();
        for (ObjectIterator it(objcogblock_287_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->flags.toggle(0);
        }
    }
    event_1198_5_end: ;
}
void Frames::event_func_1247()
{
    // event 1199_5
    {
        // group: Clockwork Block
        objcogblock_287_instances.clear_selection();
        screen_170_instances.clear_selection();
        if (!check_overlap(objcogblock_287_instances, screen_170_instances)) goto event_1199_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(2)) > (0))) goto event_1199_5_end;
        if (not_always_1199_5_0 > loop_count) {
            not_always_1199_5_0 = loop_count + 2;
            goto event_1199_5_end;
        }
        not_always_1199_5_0 = loop_count + 2;
        media.play_id(SOUND_CLACK_29, -1, 1);
        media.set_sample_volume(SOUND_CLACK_29, global_values->get(12)*0.4);
    }
    event_1199_5_end: ;
}
void Frames::event_func_1248()
{
    // event 1203_5
    {
        // group: Crumble Block
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_1203_5_end;
        detector_116_instances.clear_selection();
        objjunkblock_288_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objjunkblock_288_instances)) goto event_1203_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(8)) == (0))) goto event_1203_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1203_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(2, 1); // 'Player'
    }
    event_1203_5_end: ;
}
void Frames::event_func_1249()
{
    // event 1204_5
    {
        // group: Crumble Block
        detector_116_instances.clear_selection();
        objjunkblock_288_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objjunkblock_288_instances)) goto event_1204_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_1204_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1204_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_1204_5_end: ;
}
void Frames::event_func_1250()
{
    // event 1205_5
    {
        // group: Crumble Block
        detector_116_instances.clear_selection();
        objjunkblock_288_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objjunkblock_288_instances)) goto event_1205_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_1205_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1205_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_1205_5_end: ;
}
void Frames::event_func_1251()
{
    // event 1206_5
    {
        // group: Crumble Block
        detector_116_instances.clear_selection();
        objjunkblock_288_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objjunkblock_288_instances)) goto event_1206_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) >= (0))) goto event_1206_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_1206_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1206_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_1206_5_end: ;
}
void Frames::event_func_1252()
{
    // event 1207_5
    {
        // group: Crumble Block
        detector_116_instances.clear_selection();
        objjunkblock_288_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objjunkblock_288_instances)) goto event_1207_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_1207_5_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_1207_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_1207_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1207_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_1207_5_end: ;
}
void Frames::event_func_1253()
{
    // event 1208_5
    {
        // group: Crumble Block
        detector_116_instances.clear_selection();
        objjunkblock_288_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objjunkblock_288_instances)) goto event_1208_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_1208_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1208_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_1208_5_end: ;
}
void Frames::event_func_1254()
{
    // event 1209_5
    {
        // group: Crumble Block
        player_115_instances.clear_selection();
        objjunkblock_288_instances.clear_selection();
        if (!check_overlap(player_115_instances, objjunkblock_288_instances)) goto event_1209_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (1))) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1209_5_end;
        if (!((((Active*)get_instance(player_115_instances))->get_y()) >= (((Active*)get_single(objjunkblock_288_instances, default_active_instance))->get_y()+18))) goto event_1209_5_end;
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()+(((Active*)get_instance(player_115_instances))->get_y()-((Active*)get_instance(objcogblock_287_instances, default_active_instance))->get_y())-16);
        ((Active*)get_instance(player_115_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(9, 95); // 'Player'
    }
    event_1209_5_end: ;
}
