#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::event_func_1255()
{
    // event 1210_5
    {
        // group: Crumble Block
        player_115_instances.clear_selection();
        objjunkblock_288_instances.clear_selection();
        if (!check_overlap(player_115_instances, objjunkblock_288_instances)) goto event_1210_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (1))) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1210_5_end;
        if (!((((Active*)get_instance(player_115_instances))->get_y()) < (((Active*)get_single(objjunkblock_288_instances, default_active_instance))->get_y()+18))) goto event_1210_5_end;
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_instance(player_115_instances))->get_y()-(((Active*)get_instance(player_115_instances))->get_y()-((Active*)get_instance(objcogblock_287_instances, default_active_instance))->get_y())-22);
        ((Active*)get_instance(player_115_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(9, 95); // 'Player'
    }
    event_1210_5_end: ;
}
void Frames::event_func_1256()
{
    // event 1214_5
    {
        // group: Crumble Block
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) < (-5))) goto event_1214_5_end;
        objjunkblock_288_instances.clear_selection();
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_on(1))) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1214_5_end;
        if (not_always_1214_5_0 > loop_count) {
            not_always_1214_5_0 = loop_count + 2;
            goto event_1214_5_end;
        }
        not_always_1214_5_0 = loop_count + 2;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
            ((Active*)*it)->alterables->flags.disable(1);
        }
        media.set_sample_volume(SOUND_IMPAKT_33, 0.25*global_values->get(12));
        media.stop_sample(SOUND_IMPAKT_33);
        media.play_id(SOUND_IMPAKT_33, -1, 1);
        media.set_sample_volume(SOUND_IMPAKT_33, 0.25*global_values->get(12));
    }
    event_1214_5_end: ;
}
void Frames::event_func_1257()
{
    // event 1215_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        if (!check_not_overlap(objjunkblock_288_instances, detectorbelow_289_instances)) goto event_1215_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->flags.disable(1);
        }
    }
    event_1215_5_end: ;
}
void Frames::event_func_1258()
{
    // event 1216_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->flags.disable(1);
        }
    }
    event_1216_5_end: ;
}
void Frames::event_func_1259()
{
    // event 1217_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        detectorbelow_289_instances.clear_selection();
        if (!check_overlap(objjunkblock_288_instances, detectorbelow_289_instances)) goto event_1217_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->flags.enable(1);
        }
    }
    event_1217_5_end: ;
}
void Frames::event_func_1260()
{
    // event 1218_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        if (!check_not_overlap(objjunkblock_288_instances, detectorbelow_289_instances)) goto event_1218_5_end;
        detector_116_instances.clear_selection();
        if (!check_overlap(objjunkblock_288_instances, detector_116_instances)) goto event_1218_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->flags.enable(1);
        }
    }
    event_1218_5_end: ;
}
void Frames::event_func_1261()
{
    // event 1219_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        if (!check_overlap(objjunkblock_288_instances, objjunkblock_288_instances)) goto event_1219_5_end;
        FrameObject * single_instance_1219_5_0; single_instance_1219_5_0 = pick_random(objjunkblock_288_instances);
        if (single_instance_1219_5_0 == NULL) goto event_1219_5_end;
        ((Active*)((Active*)single_instance_1219_5_0))->destroy();
        ((Active*)((Active*)single_instance_1219_5_0))->set_visible(false);
        ((Active*)((Active*)single_instance_1219_5_0))->alterables->values.set(5, 0); // 'obj-junkblock'
    }
    event_1219_5_end: ;
}
void Frames::event_func_1262()
{
    // event 1221_5
    {
        // group: Crumble Block
        screenfar_299_instances.clear_selection();
        if (!check_not_overlap(screenfar_299_instances, objjunkblock_288_instances)) goto event_1221_5_end;
        objjunkblock_288_instances.clear_selection();
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_1221_5_end: ;
}
void Frames::event_func_1263()
{
    // event 1222_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        enemyup_184_instances.clear_selection();
        if (!check_overlap(objjunkblock_288_instances, enemyup_184_instances)) goto event_1222_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(5, 4); // 'obj-junkblock'
        }
    }
    event_1222_5_end: ;
}
void Frames::event_func_1264()
{
    // event 1223_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        enemyright_181_instances.clear_selection();
        if (!check_overlap(objjunkblock_288_instances, enemyright_181_instances)) goto event_1223_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(5, 5); // 'obj-junkblock'
        }
    }
    event_1223_5_end: ;
}
void Frames::event_func_1265()
{
    // event 1224_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        enemydown_182_instances.clear_selection();
        if (!check_overlap(objjunkblock_288_instances, enemydown_182_instances)) goto event_1224_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(5, 8); // 'obj-junkblock'
        }
    }
    event_1224_5_end: ;
}
void Frames::event_func_1266()
{
    // event 1225_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        enemyleft_183_instances.clear_selection();
        if (!check_overlap(objjunkblock_288_instances, enemyleft_183_instances)) goto event_1225_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(5, 7); // 'obj-junkblock'
        }
    }
    event_1225_5_end: ;
}
void Frames::event_func_1267()
{
    // event 1227_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (1))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(4)) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1227_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_1227_5_end: ;
}
void Frames::event_func_1268()
{
    // event 1228_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (2))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(4)) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1228_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(17);
        }
    }
    event_1228_5_end: ;
}
void Frames::event_func_1269()
{
    // event 1229_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (3))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(4)) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1229_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(18);
        }
    }
    event_1229_5_end: ;
}
void Frames::event_func_1270()
{
    // event 1230_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (4))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(4)) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1230_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    event_1230_5_end: ;
}
void Frames::event_func_1271()
{
    // event 1231_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (5))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(4)) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1231_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(13);
        }
    }
    event_1231_5_end: ;
}
void Frames::event_func_1272()
{
    // event 1232_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (6))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(4)) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1232_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(14);
        }
    }
    event_1232_5_end: ;
}
void Frames::event_func_1273()
{
    // event 1233_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (7))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(4)) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1233_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_1233_5_end: ;
}
void Frames::event_func_1274()
{
    // event 1234_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (8))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(4)) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1234_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(19);
        }
    }
    event_1234_5_end: ;
}
void Frames::event_func_1275()
{
    // event 1235_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (1))) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1235_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(6, 1); // 'obj-junkblock'
            ((Active*)*it)->alterables->values.set(8, 1); // 'obj-junkblock'
        }
    }
    event_1235_5_end: ;
}
void Frames::event_func_1276()
{
    // event 1236_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (2))) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1236_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(9, 1); // 'obj-junkblock'
            ((Active*)*it)->alterables->values.set(7, 1); // 'obj-junkblock'
        }
    }
    event_1236_5_end: ;
}
void Frames::event_func_1277()
{
    // event 1237_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (3))) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1237_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(9, 1); // 'obj-junkblock'
            ((Active*)*it)->alterables->values.set(7, 1); // 'obj-junkblock'
            ((Active*)*it)->alterables->values.set(6, 1); // 'obj-junkblock'
            ((Active*)*it)->alterables->values.set(8, 1); // 'obj-junkblock'
        }
    }
    event_1237_5_end: ;
}
void Frames::event_func_1278()
{
    // event 1238_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (4))) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1238_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(6, 1); // 'obj-junkblock'
        }
    }
    event_1238_5_end: ;
}
void Frames::event_func_1279()
{
    // event 1239_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (5))) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1239_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(7, 1); // 'obj-junkblock'
        }
    }
    event_1239_5_end: ;
}
void Frames::event_func_1280()
{
    // event 1240_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (6))) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1240_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(8, 1); // 'obj-junkblock'
        }
    }
    event_1240_5_end: ;
}
void Frames::event_func_1281()
{
    // event 1241_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (7))) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1241_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(9, 1); // 'obj-junkblock'
        }
    }
    event_1241_5_end: ;
}
void Frames::event_func_1282()
{
    // event 1242_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_animation(4))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(6)) == (1))) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1242_5_end;
        if (not_always_1242_5_0 > loop_count) {
            not_always_1242_5_0 = loop_count + 2;
            goto event_1242_5_end;
        }
        not_always_1242_5_0 = loop_count + 2;
        FrameObject * single_instance_1242_5_1; single_instance_1242_5_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(objjunkblock_288_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active2_172(parent->x + 16, parent->y + 16), parent->layer);
                if (single_instance_1242_5_1 == NULL)
                    single_instance_1242_5_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_1242_5_1))->set_direction(8);
    }
    event_1242_5_end: ;
}
void Frames::event_func_1283()
{
    // event 1243_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_animation(4))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(7)) == (1))) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1243_5_end;
        if (not_always_1243_5_0 > loop_count) {
            not_always_1243_5_0 = loop_count + 2;
            goto event_1243_5_end;
        }
        not_always_1243_5_0 = loop_count + 2;
        FrameObject * single_instance_1243_5_1; single_instance_1243_5_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(objjunkblock_288_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active2_172(parent->x + 16, parent->y + 16), parent->layer);
                if (single_instance_1243_5_1 == NULL)
                    single_instance_1243_5_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_1243_5_1))->set_direction(0);
    }
    event_1243_5_end: ;
}
void Frames::event_func_1284()
{
    // event 1244_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_animation(4))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(8)) == (1))) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1244_5_end;
        if (not_always_1244_5_0 > loop_count) {
            not_always_1244_5_0 = loop_count + 2;
            goto event_1244_5_end;
        }
        not_always_1244_5_0 = loop_count + 2;
        FrameObject * single_instance_1244_5_1; single_instance_1244_5_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(objjunkblock_288_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active2_172(parent->x + 16, parent->y + 16), parent->layer);
                if (single_instance_1244_5_1 == NULL)
                    single_instance_1244_5_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_1244_5_1))->set_direction(24);
    }
    event_1244_5_end: ;
}
void Frames::event_func_1285()
{
    // event 1245_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_animation(4))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(9)) == (1))) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1245_5_end;
        if (not_always_1245_5_0 > loop_count) {
            not_always_1245_5_0 = loop_count + 2;
            goto event_1245_5_end;
        }
        not_always_1245_5_0 = loop_count + 2;
        FrameObject * single_instance_1245_5_1; single_instance_1245_5_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(objjunkblock_288_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active2_172(parent->x + 16, parent->y + 16), parent->layer);
                if (single_instance_1245_5_1 == NULL)
                    single_instance_1245_5_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_1245_5_1))->set_direction(16);
    }
    event_1245_5_end: ;
}
void Frames::event_func_1286()
{
    // event 1246_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (8))) { it.deselect(); continue; }
            if (!(((Active*)(*it))->test_animation(4))) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1246_5_end;
        FrameObject * single_instance_1246_5_0; single_instance_1246_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(objjunkblock_288_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaser_224(parent->x + 16, parent->y + 16), parent->layer);
                if (single_instance_1246_5_0 == NULL)
                    single_instance_1246_5_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_1246_5_0))->set_direction(get_direction_int(((Active*)single_instance_1246_5_0)->x, ((Active*)single_instance_1246_5_0)->y, ((Active*)get_instance(player_115_instances))->x + 0, ((Active*)get_instance(player_115_instances))->y + 0));
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(5, 0); // 'obj-junkblock'
        }
        ((Active*)((Active*)single_instance_1246_5_0))->alterables->values.set(3, 1); // 'enemy-laser'
        ((Active*)((Active*)single_instance_1246_5_0))->force_animation(13);
        ((Active*)((Active*)single_instance_1246_5_0))->get_movement()->set_speed(50);
        ((Active*)((Active*)single_instance_1246_5_0))->get_movement()->stop(0);
        media.stop_sample(SOUND_ZAP_17);
        media.set_sample_volume(SOUND_ZAP_17, 0.3*global_values->get(12));
        media.play_id(SOUND_ZAP_17, -1, 1);
        media.set_sample_volume(SOUND_ZAP_17, 0.3*global_values->get(12));
    }
    event_1246_5_end: ;
}
void Frames::event_func_1287()
{
    // event 1247_5
    {
        // group: Crumble Block
        objjunkblock_288_instances.clear_selection();
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (8))) { it.deselect(); continue; }
            if (!(((Active*)(*it))->is_animation_finished(4))) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1247_5_end;
        FrameObject * single_instance_1247_5_0; single_instance_1247_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(objjunkblock_288_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaser_224(parent->x + 16, parent->y + 16), parent->layer);
                if (single_instance_1247_5_0 == NULL)
                    single_instance_1247_5_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_1247_5_0))->set_direction(get_direction_int(((Active*)single_instance_1247_5_0)->x, ((Active*)single_instance_1247_5_0)->y, ((Active*)get_instance(player_115_instances))->x + 0, ((Active*)get_instance(player_115_instances))->y + 0));
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(5, 0); // 'obj-junkblock'
        }
        ((Active*)((Active*)single_instance_1247_5_0))->alterables->values.set(3, 1); // 'enemy-laser'
        ((Active*)((Active*)single_instance_1247_5_0))->force_animation(13);
        ((Active*)((Active*)single_instance_1247_5_0))->get_movement()->set_speed(50);
        ((Active*)((Active*)single_instance_1247_5_0))->get_movement()->stop(0);
        media.stop_sample(SOUND_ZAP_17);
        media.set_sample_volume(SOUND_ZAP_17, 0.3*global_values->get(12));
        media.play_id(SOUND_ZAP_17, -1, 1);
        media.set_sample_volume(SOUND_ZAP_17, 0.3*global_values->get(12));
    }
    event_1247_5_end: ;
}
void Frames::event_func_1288()
{
    // event 1248_5
    {
        // group: Crumble Block
        enemylaser_224_instances.clear_selection();
        if (!check_not_overlap(enemylaser_224_instances, screen_170_instances)) goto event_1248_5_end;
        for (ObjectIterator it(enemylaser_224_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) > (0))) { it.deselect(); continue; }
        }
        if (!enemylaser_224_instances.has_selection()) goto event_1248_5_end;
        for (ObjectIterator it(enemylaser_224_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(3, 1); // 'enemy-laser'
        }
    }
    event_1248_5_end: ;
}
void Frames::event_func_1289()
{
    // event 1249_5
    {
        // group: Crumble Block
        enemylaser_224_instances.clear_selection();
        for (ObjectIterator it(enemylaser_224_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) > (15))) { it.deselect(); continue; }
        }
        if (!enemylaser_224_instances.has_selection()) goto event_1249_5_end;
        for (ObjectIterator it(enemylaser_224_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_1249_5_end: ;
}
void Frames::event_func_1290()
{
    // event 1250_5
    {
        // group: Crumble Block
        enemylaser_224_instances.clear_selection();
        for (ObjectIterator it(enemylaser_224_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 13)) { it.deselect(); continue; }
        }
        if (!enemylaser_224_instances.has_selection()) goto event_1250_5_end;
        for (ObjectIterator it(enemylaser_224_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(50);
            ((Active*)*it)->get_movement()->start();
        }
    }
    event_1250_5_end: ;
}
void Frames::event_func_1291()
{
    // event 1251_5
    {
        // group: Crumble Block
        enemylaser_224_instances.clear_selection();
        for (ObjectIterator it(enemylaser_224_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->get_movement()->is_stopped())) { it.deselect(); continue; }
        }
        if (!enemylaser_224_instances.has_selection()) goto event_1251_5_end;
        for (ObjectIterator it(enemylaser_224_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(13);
        }
    }
    event_1251_5_end: ;
}
void Frames::event_func_1292()
{
    // event 1252_5
    {
        // group: Prompts
        if (!(frame_time >= 60.0)) goto event_1252_5_end;
        if (!((global_values->get(8)) == (0))) goto event_1252_5_end;
        if (!((global_values->get(9)) == (0))) goto event_1252_5_end;
        if (not_always_1252_5_0 > loop_count) {
            not_always_1252_5_0 = loop_count + 2;
            goto event_1252_5_end;
        }
        not_always_1252_5_0 = loop_count + 2;
        uihelpbubble_298_instances.empty_selection();
        // select single: false false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_uihelpbubble_298(76, 406), 7);
            uihelpbubble_298_instances.add_back();
        }
        for (ObjectIterator it(uihelpbubble_298_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 66); // 'ui-helpbubble'
            ((Active*)*it)->alterables->values.set(1, 25); // 'ui-helpbubble'
            ((Active*)*it)->alterables->values.set(2, 361); // 'ui-helpbubble'
        }
    }
    event_1252_5_end: ;
}
void Frames::event_func_1293()
{
    // event 1253_5
    {
        // group: Prompts
        uihelpbubble_298_instances.clear_selection();
        for (ObjectIterator it(uihelpbubble_298_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)get_instance(uilivesactive_281_instances))->get_x()+((Active*)*it)->alterables->values.get(0));
            ((Active*)*it)->set_y(((Active*)get_instance(uilivesactive_281_instances))->get_y()+((Active*)*it)->alterables->values.get(2));
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->alterables->values.get(2)-((((Active*)*it)->alterables->values.get(2)-((Active*)*it)->alterables->values.get(1))/MathHelper()/5.0)); // 'ui-helpbubble'
        }
    }
    event_1253_5_end: ;
}
void Frames::event_func_1294()
{
    // event 1255_5
    {
        // group: Prompts
        uihelpbubble_298_instances.clear_selection();
        for (ObjectIterator it(uihelpbubble_298_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(4, 1); // 'ui-helpbubble'
        }
    }
    event_1255_5_end: ;
}
void Frames::event_func_1295()
{
    // event 1256_5
    {
        // group: Prompts
        uihelpbubble_298_instances.clear_selection();
        for (ObjectIterator it(uihelpbubble_298_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) > (((Active*)*it)->alterables->values.get(3)))) { it.deselect(); continue; }
        }
        if (!uihelpbubble_298_instances.has_selection()) goto event_1256_5_end;
        for (ObjectIterator it(uihelpbubble_298_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_1256_5_end: ;
}
void Frames::event_func_1296()
{
    // event 1257_5
    {
        // group: Prompts
        if (!(is_key_pressed(SDLK_ESCAPE))) goto event_1257_5_end;
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(6, 1); // 'FrameDataStore'
    }
    event_1257_5_end: ;
}
void Frames::event_func_1297()
{
    // event 1258_5
    {
        // group: Prompts
        if (is_key_pressed(SDLK_ESCAPE)) goto event_1258_5_end;
        uihelpbubble_298_instances.clear_selection();
        for (ObjectIterator it(uihelpbubble_298_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_animation(1))) { it.deselect(); continue; }
        }
        if (!uihelpbubble_298_instances.has_selection()) goto event_1258_5_end;
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(6, 0); // 'FrameDataStore'
        for (ObjectIterator it(uihelpbubble_298_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_1258_5_end: ;
}
void Frames::event_func_1298()
{
    // event 1259_5
    {
        // group: Prompts
        if (!(is_key_pressed_once(SDLK_ESCAPE))) goto event_1259_5_end;
        uihelpbubble_298_instances.empty_selection();
        // select single: false false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_uihelpbubble_298(76, 406), 7);
            uihelpbubble_298_instances.add_back();
        }
        for (ObjectIterator it(uihelpbubble_298_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 320); // 'ui-helpbubble'
            ((Active*)*it)->alterables->values.set(1, 180); // 'ui-helpbubble'
            ((Active*)*it)->alterables->values.set(2, 361); // 'ui-helpbubble'
            ((Active*)*it)->force_animation(1);
        }
    }
    event_1259_5_end: ;
}
void Frames::event_func_1299()
{
    // event 1260_5
    {
        // group: Prompts
        uihelpbubble_298_instances.clear_selection();
        for (ObjectIterator it(uihelpbubble_298_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 1)) { it.deselect(); continue; }
        }
        if (!uihelpbubble_298_instances.has_selection()) goto event_1260_5_end;
        media.stop_channel(31-1);
        global_values->set(6, 0);
        global_values->set(7, 0);
        global_values->set(2, global_values->get(15));
        global_values->set(10, global_values->get(16));
        global_values->set(3, 0);
        global_values->set(0, 100);
        next_frame = 2 + 0;    
    
        global_values->set(8, 0);
        global_values->set(9, 0);
    }
    event_1260_5_end: ;
}
void Frames::event_func_1300()
{
    // event 1261_5
    {
        // group: Prompts
        if (!(is_player_pressed_once(1, CONTROL_BUTTON4))) goto event_1261_5_end;
        if (!((global_values->get(10)) <= (0))) goto event_1261_5_end;
        uihelpbubble_298_instances.empty_selection();
        // select single: false false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_uihelpbubble_298(76, 406), 7);
            uihelpbubble_298_instances.add_back();
        }
        for (ObjectIterator it(uihelpbubble_298_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 66); // 'ui-helpbubble'
            ((Active*)*it)->alterables->values.set(1, 25); // 'ui-helpbubble'
            ((Active*)*it)->alterables->values.set(2, 361); // 'ui-helpbubble'
            ((Active*)*it)->force_animation(2);
        }
    }
    event_1261_5_end: ;
}
void Frames::event_func_1301()
{
    // event 1262_5
    {
        // group: Prompts
        if (!(is_player_pressed_once(1, CONTROL_BUTTON4))) goto event_1262_5_end;
        if (((Active*)get_instance(detector_116_instances))->overlaps_background()) goto event_1262_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(1)) == (0))) goto event_1262_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(7)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(8)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(17)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(18)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(20)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(19)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_1262_5_end;
        uihelpbubble_298_instances.empty_selection();
        // select single: false false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_uihelpbubble_298(76, 406), 7);
            uihelpbubble_298_instances.add_back();
        }
        for (ObjectIterator it(uihelpbubble_298_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 320); // 'ui-helpbubble'
            ((Active*)*it)->alterables->values.set(1, 180); // 'ui-helpbubble'
            ((Active*)*it)->alterables->values.set(2, 361); // 'ui-helpbubble'
            ((Active*)*it)->force_animation(5);
            ((Active*)*it)->alterables->values.set(3, 120); // 'ui-helpbubble'
        }
    }
    event_1262_5_end: ;
}
void Frames::event_func_1302()
{
    // event 1266_5
    {
        // group: Segments
        if (!((((Active*)get_instance(player_115_instances))->get_x()) < (((Active*)get_instance(segment1_312_instances))->get_x()))) goto event_1266_5_end;
        objlasergunorange_278_instances.clear_selection();
        for (ObjectIterator it(objlasergunorange_278_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 0); // 'obj-lasergun-orange'
        }
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(15, 0); // 'FrameDataStore'
    }
    event_1266_5_end: ;
}
void Frames::event_func_1303()
{
    // event 1267_5
    {
        // group: Segments
        if (!((((Active*)get_instance(player_115_instances))->get_x()) > (((Active*)get_instance(segment1_312_instances))->get_x()))) goto event_1267_5_end;
        if (!((((Active*)get_instance(player_115_instances))->get_x()) < (((Active*)get_instance(segment2_313_instances))->get_x()))) goto event_1267_5_end;
        objlasergunorange_278_instances.clear_selection();
        for (ObjectIterator it(objlasergunorange_278_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 1); // 'obj-lasergun-orange'
        }
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(15, 1); // 'FrameDataStore'
    }
    event_1267_5_end: ;
}
void Frames::event_func_1304()
{
    // event 1268_5
    {
        // group: Segments
        if (!((((Active*)get_instance(player_115_instances))->get_x()) > (((Active*)get_instance(segment2_313_instances))->get_x()))) goto event_1268_5_end;
        if (!((((Active*)get_instance(player_115_instances))->get_x()) < (((Active*)get_instance(segment3_315_instances))->get_x()))) goto event_1268_5_end;
        objlasergunorange_278_instances.clear_selection();
        for (ObjectIterator it(objlasergunorange_278_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 2); // 'obj-lasergun-orange'
        }
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(15, 2); // 'FrameDataStore'
    }
    event_1268_5_end: ;
}
void Frames::event_func_1305()
{
    // event 1269_5
    {
        // group: Segments
        if (!((((Active*)get_instance(player_115_instances))->get_x()) > (((Active*)get_instance(segment3_315_instances))->get_x()))) goto event_1269_5_end;
        if (!((((Active*)get_instance(player_115_instances))->get_x()) < (((Active*)get_instance(segment4_316_instances))->get_x()))) goto event_1269_5_end;
        objlasergunorange_278_instances.clear_selection();
        for (ObjectIterator it(objlasergunorange_278_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 3); // 'obj-lasergun-orange'
        }
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(15, 3); // 'FrameDataStore'
    }
    event_1269_5_end: ;
}
void Frames::event_func_1306()
{
    // event 1270_5
    {
        // group: Segments
        if (!((((Active*)get_instance(player_115_instances))->get_x()) > (((Active*)get_instance(segment4_316_instances))->get_x()))) goto event_1270_5_end;
        objlasergunorange_278_instances.clear_selection();
        for (ObjectIterator it(objlasergunorange_278_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 4); // 'obj-lasergun-orange'
        }
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(15, 4); // 'FrameDataStore'
    }
    event_1270_5_end: ;
}
void Frames::event_func_1307()
{
    // event 1271_5
    {
        // group: Segments
        objlasergunorange_278_instances.clear_selection();
        for (ObjectIterator it(objlasergunorange_278_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(segment1_312_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!objlasergunorange_278_instances.has_selection()) goto event_1271_5_end;
        for (ObjectIterator it(objlasergunorange_278_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 0); // 'obj-lasergun-orange'
        }
    }
    event_1271_5_end: ;
}
void Frames::event_func_1308()
{
    // event 1272_5
    {
        // group: Segments
        objlasergunorange_278_instances.clear_selection();
        for (ObjectIterator it(objlasergunorange_278_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(segment1_312_instances))->get_x()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(segment2_313_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!objlasergunorange_278_instances.has_selection()) goto event_1272_5_end;
        for (ObjectIterator it(objlasergunorange_278_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 1); // 'obj-lasergun-orange'
        }
    }
    event_1272_5_end: ;
}
void Frames::event_func_1309()
{
    // event 1273_5
    {
        // group: Segments
        objlasergunorange_278_instances.clear_selection();
        for (ObjectIterator it(objlasergunorange_278_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(segment2_313_instances))->get_x()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(segment3_315_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!objlasergunorange_278_instances.has_selection()) goto event_1273_5_end;
        for (ObjectIterator it(objlasergunorange_278_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 2); // 'obj-lasergun-orange'
        }
    }
    event_1273_5_end: ;
}
void Frames::event_func_1310()
{
    // event 1274_5
    {
        // group: Segments
        objlasergunorange_278_instances.clear_selection();
        for (ObjectIterator it(objlasergunorange_278_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(segment3_315_instances))->get_x()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(segment4_316_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!objlasergunorange_278_instances.has_selection()) goto event_1274_5_end;
        for (ObjectIterator it(objlasergunorange_278_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 3); // 'obj-lasergun-orange'
        }
    }
    event_1274_5_end: ;
}
void Frames::event_func_1311()
{
    // event 1275_5
    {
        // group: Segments
        objlasergunorange_278_instances.clear_selection();
        for (ObjectIterator it(objlasergunorange_278_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(segment4_316_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!objlasergunorange_278_instances.has_selection()) goto event_1275_5_end;
        for (ObjectIterator it(objlasergunorange_278_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 4); // 'obj-lasergun-orange'
        }
    }
    event_1275_5_end: ;
}
void Frames::event_func_1312()
{
    // event 1276_5
    {
        // group: Segments
        enemyboxspawner_285_instances.clear_selection();
        for (ObjectIterator it(enemyboxspawner_285_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(segment1_312_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!enemyboxspawner_285_instances.has_selection()) goto event_1276_5_end;
        for (ObjectIterator it(enemyboxspawner_285_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 0); // 'enemy-boxspawner'
        }
    }
    event_1276_5_end: ;
}
void Frames::event_func_1313()
{
    // event 1277_5
    {
        // group: Segments
        enemyboxspawner_285_instances.clear_selection();
        for (ObjectIterator it(enemyboxspawner_285_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(segment1_312_instances))->get_x()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(segment2_313_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!enemyboxspawner_285_instances.has_selection()) goto event_1277_5_end;
        for (ObjectIterator it(enemyboxspawner_285_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 1); // 'enemy-boxspawner'
        }
    }
    event_1277_5_end: ;
}
void Frames::event_func_1314()
{
    // event 1278_5
    {
        // group: Segments
        enemyboxspawner_285_instances.clear_selection();
        for (ObjectIterator it(enemyboxspawner_285_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(segment2_313_instances))->get_x()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(segment3_315_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!enemyboxspawner_285_instances.has_selection()) goto event_1278_5_end;
        for (ObjectIterator it(enemyboxspawner_285_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 2); // 'enemy-boxspawner'
        }
    }
    event_1278_5_end: ;
}
void Frames::event_func_1315()
{
    // event 1279_5
    {
        // group: Segments
        enemyboxspawner_285_instances.clear_selection();
        for (ObjectIterator it(enemyboxspawner_285_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(segment3_315_instances))->get_x()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(segment4_316_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!enemyboxspawner_285_instances.has_selection()) goto event_1279_5_end;
        for (ObjectIterator it(enemyboxspawner_285_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 3); // 'enemy-boxspawner'
        }
    }
    event_1279_5_end: ;
}
void Frames::event_func_1316()
{
    // event 1280_5
    {
        // group: Segments
        enemyboxspawner_285_instances.clear_selection();
        for (ObjectIterator it(enemyboxspawner_285_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(segment4_316_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!enemyboxspawner_285_instances.has_selection()) goto event_1280_5_end;
        for (ObjectIterator it(enemyboxspawner_285_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 4); // 'enemy-boxspawner'
        }
    }
    event_1280_5_end: ;
}
void Frames::event_func_1317()
{
    // event 1281_5
    {
        // group: Segments
        objenemybounce_237_instances.clear_selection();
        for (ObjectIterator it(objenemybounce_237_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(segment1_312_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!objenemybounce_237_instances.has_selection()) goto event_1281_5_end;
        for (ObjectIterator it(objenemybounce_237_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(1, 0); // 'obj-enemybounce'
        }
    }
    event_1281_5_end: ;
}
void Frames::event_func_1318()
{
    // event 1282_5
    {
        // group: Segments
        objenemybounce_237_instances.clear_selection();
        for (ObjectIterator it(objenemybounce_237_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(segment1_312_instances))->get_x()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(segment2_313_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!objenemybounce_237_instances.has_selection()) goto event_1282_5_end;
        for (ObjectIterator it(objenemybounce_237_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(1, 1); // 'obj-enemybounce'
        }
    }
    event_1282_5_end: ;
}
void Frames::event_func_1319()
{
    // event 1283_5
    {
        // group: Segments
        objenemybounce_237_instances.clear_selection();
        for (ObjectIterator it(objenemybounce_237_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(segment2_313_instances))->get_x()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(segment3_315_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!objenemybounce_237_instances.has_selection()) goto event_1283_5_end;
        for (ObjectIterator it(objenemybounce_237_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(1, 2); // 'obj-enemybounce'
        }
    }
    event_1283_5_end: ;
}
void Frames::event_func_1320()
{
    // event 1284_5
    {
        // group: Segments
        objenemybounce_237_instances.clear_selection();
        for (ObjectIterator it(objenemybounce_237_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(segment3_315_instances))->get_x()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(segment4_316_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!objenemybounce_237_instances.has_selection()) goto event_1284_5_end;
        for (ObjectIterator it(objenemybounce_237_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(1, 3); // 'obj-enemybounce'
        }
    }
    event_1284_5_end: ;
}
void Frames::event_func_1321()
{
    // event 1285_5
    {
        // group: Segments
        objenemybounce_237_instances.clear_selection();
        for (ObjectIterator it(objenemybounce_237_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(segment4_316_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!objenemybounce_237_instances.has_selection()) goto event_1285_5_end;
        for (ObjectIterator it(objenemybounce_237_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(1, 4); // 'obj-enemybounce'
        }
    }
    event_1285_5_end: ;
}
void Frames::event_func_1322()
{
    // event 1287_5
    {
        // group: Segments
        objeyeblock_191_instances.clear_selection();
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(cameratarget_106_instances))->get_x()-1280))) { it.deselect(); continue; }
        }
        if (!objeyeblock_191_instances.has_selection()) goto event_1287_5_end;
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_1287_5_end: ;
}
void Frames::event_func_1323()
{
    // event 1288_5
    {
        // group: Segments
        objlasergunorange_278_instances.clear_selection();
        for (ObjectIterator it(objlasergunorange_278_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(cameratarget_106_instances))->get_x()-1280))) { it.deselect(); continue; }
        }
        if (!objlasergunorange_278_instances.has_selection()) goto event_1288_5_end;
        for (ObjectIterator it(objlasergunorange_278_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_1288_5_end: ;
}
void Frames::event_func_1324()
{
    // event 1289_5
    {
        // group: None
        objjunkblock_288_instances.clear_selection();
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_y()) < (((Active*)get_instance(player_115_instances))->get_y()+720))) { it.deselect(); continue; }
        }
        if (!objjunkblock_288_instances.has_selection()) goto event_1289_5_end;
        for (ObjectIterator it(objjunkblock_288_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_1289_5_end: ;
}
void Frames::event_func_1325()
{
    // event 1290_5
    {
        // group: None
        spawnerjunkblock_304_instances.clear_selection();
        for (ObjectIterator it(spawnerjunkblock_304_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_y()) < (((Active*)get_instance(player_115_instances))->get_y()+720))) { it.deselect(); continue; }
        }
        if (!spawnerjunkblock_304_instances.has_selection()) goto event_1290_5_end;
        for (ObjectIterator it(spawnerjunkblock_304_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_1290_5_end: ;
}
void Frames::event_func_1326()
{
    // event 1291_5
    {
        // group: None
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_1291_5_end;
        detectorbelow_289_instances.clear_selection();
        active8_9_instances.clear_selection();
        if (!check_overlap(detectorbelow_289_instances, active8_9_instances)) goto event_1291_5_end;
        if (not_always_1291_5_0 > loop_count) {
            not_always_1291_5_0 = loop_count + 2;
            goto event_1291_5_end;
        }
        not_always_1291_5_0 = loop_count + 2;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, -13); // 'Player'
    }
    event_1291_5_end: ;
}
void Frames::event_func_1327()
{
    // event 1292_5
    {
        // group: None
        if (!(frame_time <= 0.17)) goto event_1292_5_end;
        enemylaser_224_instances.clear_selection();
        objeyeblock_191_instances.clear_selection();
        if (!check_overlap(enemylaser_224_instances, objeyeblock_191_instances)) goto event_1292_5_end;
        for (ObjectIterator it(enemylaser_224_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_1292_5_end: ;
}
void Frames::event_func_1328()
{
    // event 1293_5
    {
        // group: None
        hurter_154_instances.clear_selection();
        objeyeblock_191_instances.clear_selection();
        if (!check_overlap(hurter_154_instances, objeyeblock_191_instances)) goto event_1293_5_end;
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->flags.toggle(0);
        }
        for (ObjectIterator it(hurter_154_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_1293_5_end: ;
}
void Frames::event_func_1329()
{
    // event 1294_5
    {
        // group: None
        if (!(is_key_pressed_once(SDLK_a))) goto event_1294_5_end;
        {
            ((Active*)get_instance(player_115_instances))->set_global_position(18608, 540);
            pos_end_1294_5_0: ;
        }
    }
    event_1294_5_end: ;
}
void Frames::event_func_1330()
{
    // event 1295_5
    {
        // group: None
        every_1295_5_0 += manager.dt;
        if (every_1295_5_0 < 2.42) goto event_1295_5_end;
        every_1295_5_0 -= 2.42;
        FrameObject * single_instance_1295_5_1; single_instance_1295_5_1 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(screen_170_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_bgparticles_320(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_1295_5_1 == NULL)
                    single_instance_1295_5_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_1295_5_1))->set_layer(4-1);
        ((Active*)((Active*)single_instance_1295_5_1))->set_y(((Active*)single_instance_1295_5_1)->get_y()-180);
        ((Active*)((Active*)single_instance_1295_5_1))->set_x(((Active*)single_instance_1295_5_1)->get_x()-320+randrange_event(840));
        ((Active*)((Active*)single_instance_1295_5_1))->get_movement()->set_speed(7);
        ((Active*)((Active*)single_instance_1295_5_1))->alterables->values.set(0, randrange_event(1000)); // 'bg-particles'
        ((Active*)((Active*)single_instance_1295_5_1))->alterables->values.set(1, ((Active*)single_instance_1295_5_1)->get_x()); // 'bg-particles'
    }
    event_1295_5_end: ;
}
void Frames::event_func_1331()
{
    // event 1296_5
    {
        // group: None
        every_1296_5_0 += manager.dt;
        if (every_1296_5_0 < 1.87) goto event_1296_5_end;
        every_1296_5_0 -= 1.87;
        FrameObject * single_instance_1296_5_1; single_instance_1296_5_1 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(screen_170_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_bgparticles_320(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_1296_5_1 == NULL)
                    single_instance_1296_5_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_1296_5_1))->set_layer(3-1);
        ((Active*)((Active*)single_instance_1296_5_1))->set_y(((Active*)single_instance_1296_5_1)->get_y()-180);
        ((Active*)((Active*)single_instance_1296_5_1))->set_x(((Active*)single_instance_1296_5_1)->get_x()-320+randrange_event(840));
        ((Active*)((Active*)single_instance_1296_5_1))->get_movement()->set_speed(5);
        ((Active*)((Active*)single_instance_1296_5_1))->force_animation(1);
        ((Active*)((Active*)single_instance_1296_5_1))->set_layer(3-1);
        ((Active*)((Active*)single_instance_1296_5_1))->alterables->values.set(0, randrange_event(1000)); // 'bg-particles'
        ((Active*)((Active*)single_instance_1296_5_1))->alterables->values.set(1, ((Active*)single_instance_1296_5_1)->get_x()); // 'bg-particles'
    }
    event_1296_5_end: ;
}
void Frames::event_func_1332()
{
    // event 1297_5
    {
        // group: None
        every_1297_5_0 += manager.dt;
        if (every_1297_5_0 < 1.18) goto event_1297_5_end;
        every_1297_5_0 -= 1.18;
        FrameObject * single_instance_1297_5_1; single_instance_1297_5_1 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(screen_170_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_bgparticles_320(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_1297_5_1 == NULL)
                    single_instance_1297_5_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_1297_5_1))->set_layer(2-1);
        ((Active*)((Active*)single_instance_1297_5_1))->set_y(((Active*)single_instance_1297_5_1)->get_y()-180);
        ((Active*)((Active*)single_instance_1297_5_1))->set_x(((Active*)single_instance_1297_5_1)->get_x()-320+randrange_event(840));
        ((Active*)((Active*)single_instance_1297_5_1))->get_movement()->set_speed(4);
        ((Active*)((Active*)single_instance_1297_5_1))->force_animation(2);
        ((Active*)((Active*)single_instance_1297_5_1))->set_layer(2-1);
        ((Active*)((Active*)single_instance_1297_5_1))->alterables->values.set(0, randrange_event(1000)); // 'bg-particles'
        ((Active*)((Active*)single_instance_1297_5_1))->alterables->values.set(1, ((Active*)single_instance_1297_5_1)->get_x()); // 'bg-particles'
    }
    event_1297_5_end: ;
}
void Frames::event_func_1333()
{
    // event 1298_5
    {
        // group: None
        every_1298_5_0 += manager.dt;
        if (every_1298_5_0 < 0.47) goto event_1298_5_end;
        every_1298_5_0 -= 0.47;
        FrameObject * single_instance_1298_5_1; single_instance_1298_5_1 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(screen_170_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_bgparticles_320(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_1298_5_1 == NULL)
                    single_instance_1298_5_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_1298_5_1))->set_layer(1-1);
        ((Active*)((Active*)single_instance_1298_5_1))->set_y(((Active*)single_instance_1298_5_1)->get_y()-180);
        ((Active*)((Active*)single_instance_1298_5_1))->set_x(((Active*)single_instance_1298_5_1)->get_x()-320+randrange_event(840));
        ((Active*)((Active*)single_instance_1298_5_1))->get_movement()->set_speed(3);
        ((Active*)((Active*)single_instance_1298_5_1))->force_animation(5);
        ((Active*)((Active*)single_instance_1298_5_1))->set_layer(1-1);
        ((Active*)((Active*)single_instance_1298_5_1))->alterables->values.set(0, randrange_event(1000)); // 'bg-particles'
        ((Active*)((Active*)single_instance_1298_5_1))->alterables->values.set(1, ((Active*)single_instance_1298_5_1)->get_x()); // 'bg-particles'
    }
    event_1298_5_end: ;
}
void Frames::event_func_1334()
{
    // event 1299_5
    {
        // group: None
        bgparticles_320_instances.clear_selection();
        for (ObjectIterator it(bgparticles_320_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_animation(0))) { it.deselect(); continue; }
        }
        if (!bgparticles_320_instances.has_selection()) goto event_1299_5_end;
        for (ObjectIterator it(bgparticles_320_instances); !it.end(); ++it) {
            ((Active*)*it)->set_layer(4-1);
        }
    }
    event_1299_5_end: ;
}
void Frames::event_func_1335()
{
    // event 1300_5
    {
        // group: None
        bgparticles_320_instances.clear_selection();
        for (ObjectIterator it(bgparticles_320_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_animation(1))) { it.deselect(); continue; }
        }
        if (!bgparticles_320_instances.has_selection()) goto event_1300_5_end;
        for (ObjectIterator it(bgparticles_320_instances); !it.end(); ++it) {
            ((Active*)*it)->set_layer(3-1);
        }
    }
    event_1300_5_end: ;
}
void Frames::event_func_1336()
{
    // event 1301_5
    {
        // group: None
        bgparticles_320_instances.clear_selection();
        for (ObjectIterator it(bgparticles_320_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_animation(2))) { it.deselect(); continue; }
        }
        if (!bgparticles_320_instances.has_selection()) goto event_1301_5_end;
        for (ObjectIterator it(bgparticles_320_instances); !it.end(); ++it) {
            ((Active*)*it)->set_layer(2-1);
        }
    }
    event_1301_5_end: ;
}
void Frames::event_func_1337()
{
    // event 1302_5
    {
        // group: None
        bgparticles_320_instances.clear_selection();
        for (ObjectIterator it(bgparticles_320_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_animation(5))) { it.deselect(); continue; }
        }
        if (!bgparticles_320_instances.has_selection()) goto event_1302_5_end;
        for (ObjectIterator it(bgparticles_320_instances); !it.end(); ++it) {
            ((Active*)*it)->set_layer(1-1);
        }
    }
    event_1302_5_end: ;
}
void Frames::event_func_1338()
{
    // event 1303_5
    {
        // group: None
        bgparticles_320_instances.clear_selection();
        for (ObjectIterator it(bgparticles_320_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_y()) > (((Active*)get_instance(screen_170_instances))->get_y()+250))) { it.deselect(); continue; }
        }
        if (!bgparticles_320_instances.has_selection()) goto event_1303_5_end;
        for (ObjectIterator it(bgparticles_320_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_1303_5_end: ;
}
void Frames::event_func_1339()
{
    // event 1304_5
    {
        // group: Transition
        ((Active*)get_instance(active11_12_instances))->alterables->values.set(2, ((Active*)get_instance(active11_12_instances))->alterables->values.get(2)-get_floor((((Active*)get_instance(active11_12_instances))->alterables->values.get(2)-((Active*)get_instance(active11_12_instances))->alterables->values.get(0))/MathHelper()/8.0)); // 'Active 11'
    }
    event_1304_5_end: ;
}
void Frames::event_func_1340()
{
    // event 1305_5
    {
        // group: Transition
        ((Active*)get_instance(active11_12_instances))->alterables->values.set(3, ((Active*)get_instance(uilivesactive_281_instances))->get_x()-10); // 'Active 11'
        ((Active*)get_instance(active11_12_instances))->alterables->values.set(4, ((Active*)get_instance(uilivesactive_281_instances))->get_y()+1); // 'Active 11'
        ((Active*)get_instance(active11_12_instances))->set_x(((Active*)get_instance(active11_12_instances))->alterables->values.get(3)+((Active*)get_instance(active11_12_instances))->alterables->values.get(1));
        ((Active*)get_instance(active11_12_instances))->set_y(((Active*)get_instance(active11_12_instances))->alterables->values.get(2)+((Active*)get_instance(active11_12_instances))->alterables->values.get(4));
    }
    event_1305_5_end: ;
}
void Frames::event_func_1341()
{
    // event 1306_5
    {
        // group: Transition
        if (!(frame_time >= 0.24)) goto event_1306_5_end;
        if (not_always_1306_5_0 > loop_count) {
            not_always_1306_5_0 = loop_count + 2;
            goto event_1306_5_end;
        }
        not_always_1306_5_0 = loop_count + 2;
        ((LayerObject*)get_instance(layerobject_305_instances))->show_layer(1-1);
        ((LayerObject*)get_instance(layerobject_305_instances))->show_layer(2-1);
        ((LayerObject*)get_instance(layerobject_305_instances))->show_layer(3-1);
        ((LayerObject*)get_instance(layerobject_305_instances))->show_layer(4-1);
        ((LayerObject*)get_instance(layerobject_305_instances))->show_layer(5-1);
        ((LayerObject*)get_instance(layerobject_305_instances))->show_layer(6-1);
        ((LayerObject*)get_instance(layerobject_305_instances))->show_layer(7-1);
        ((Active*)get_instance(active11_12_instances))->alterables->values.set(0, -355); // 'Active 11'
    }
    event_1306_5_end: ;
}
void Frames::event_func_1342()
{
    // event 1308_5
    {
        // group: Transition
        if (!((((Active*)get_instance(active11_12_instances))->alterables->values.get(2)) < (-347))) goto event_1308_5_end;
        ((Active*)get_instance(active11_12_instances))->set_visible(false);
    }
    event_1308_5_end: ;
}
void Frames::event_func_1343()
{
    // event 1309_5
    {
        // group: Transition
        if (!((((Active*)get_instance(active11_12_instances))->alterables->values.get(2)) > (-347))) goto event_1309_5_end;
        ((Active*)get_instance(active11_12_instances))->set_visible(true);
    }
    event_1309_5_end: ;
}
void Frames::event_func_1344()
{
    // event 1310_5
    {
        // group: Transition
        ((Active*)get_instance(active11_12_instances))->alterables->values.set(1, -1*get_abs(get_floor((((Active*)get_instance(active11_12_instances))->alterables->values.get(2)-((Active*)get_instance(active11_12_instances))->alterables->values.get(0))/MathHelper()/2.0))%MathHelper()%64); // 'Active 11'
    }
    event_1310_5_end: ;
}
void Frames::event_func_1345()
{
    // event 1311_5
    {
        // group: Transition
        if (!((((Active*)get_instance(active11_12_instances))->alterables->values.get(2)) > (-50))) goto event_1311_5_end;
        manager.ignore_controls = true;
    }
    event_1311_5_end: ;
}
void Frames::event_func_1346()
{
    // event 1312_5
    {
        // group: Transition
        if (!((((Active*)get_instance(active11_12_instances))->alterables->values.get(2)) < (-50))) goto event_1312_5_end;
        manager.ignore_controls = false;
    }
    event_1312_5_end: ;
}
void Frames::event_func_1347()
{
    // event 1313_5
    {
        // group: mich
        if (!((((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(16)) >= (1))) goto event_1313_5_end;
        bullet_143_instances.clear_selection();
        for (ObjectIterator it(bullet_143_instances); !it.end(); ++it) {
            ((Active*)*it)->set_visible(false);
        }
    }
    event_1313_5_end: ;
}
void Frames::event_func_1348()
{
    // event 1314_5
    {
        // group: mich
        if (!((((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(16)) >= (1))) goto event_1314_5_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_1314_5_end;
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(16, 2); // 'FrameDataStore'
    }
    event_1314_5_end: ;
}
void Frames::event_func_1349()
{
    // event 1315_5
    {
        // group: mich
        if (!((((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(16)) == (2))) goto event_1315_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(25);
            ((Active*)*it)->start_animation();
        }
    }
    event_1315_5_end: ;
}
void Frames::event_func_1350()
{
    // event 1316_5
    {
        // group: mich
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_frame()) == (5))) { it.deselect(); continue; }
            if (!(((Active*)(*it))->test_animation(25))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_1316_5_end;
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(16, 1); // 'FrameDataStore'
    }
    event_1316_5_end: ;
}
void Frames::event_func_1351()
{
    // event 1317_5
    {
        // group: mich
        if (!(is_key_pressed_once(SDLK_m))) goto event_1317_5_end;
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(16, 1); // 'FrameDataStore'
    }
    event_1317_5_end: ;
}
void Frames::event_func_1352()
{
    // event 1318_5
    {
        // group: mich
        if (!((((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(16)) >= (2))) goto event_1318_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(25);
            ((Active*)*it)->force_frame(((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(16)-2);
        }
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.add(16, 1); // 'FrameDataStore'
    }
    event_1318_5_end: ;
}
void Frames::event_func_1353()
{
    // event 1319_5
    {
        // group: mich
        if (!((((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(16)) >= (11))) goto event_1319_5_end;
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(16, 1); // 'FrameDataStore'
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->start_animation();
            ((Active*)*it)->force_animation(0);
        }
    }
    event_1319_5_end: ;
}
void Frames::handle_frame_6_events()
{
    test_collisions_5();
    event_func_618();
    event_func_620();
    event_func_622();
    event_func_634();
    event_func_637();
    event_func_645();
    event_func_656();
    event_func_665();
    event_func_676();
    event_func_677();
    event_func_692();
    event_func_719();
    event_func_726();
    event_func_727();
    event_func_728();
    event_func_729();
    event_func_730();
    event_func_731();
    event_func_732();
    event_func_733();
    event_func_773();
    event_func_775();
    event_func_778();
    event_func_782();
    event_func_785();
    event_func_786();
    event_func_787();
    event_func_851();
    event_func_949();
    event_func_965();
    event_func_967();
    event_func_1009();
    event_func_1040();
    event_func_1060();
    event_func_1228();
    event_func_1290();
    event_func_1292();
    event_func_1299();
    event_func_1327();
    event_func_1341();
    if (next_frame != -1) return;
    event_func_480();
    event_func_481();
    event_func_482();
    event_func_483();
    event_func_484();
    event_func_485();
    event_func_486();
    event_func_487();
    event_func_494();
    event_func_495();
    event_func_496();
    event_func_497();
    event_func_498();
    event_func_499();
    event_func_500();
    event_func_501();
    event_func_502();
    event_func_504();
    event_func_506();
    event_func_507();
    event_func_508();
    event_func_509();
    event_func_510();
    event_func_511();
    event_func_512();
    event_func_513();
    event_func_514();
    event_func_515();
    event_func_516();
    event_func_517();
    event_func_518();
    event_func_519();
    event_func_519();
    event_func_520();
    event_func_521();
    event_func_522();
    event_func_523();
    event_func_524();
    event_func_525();
    event_func_526();
    event_func_527();
    event_func_528();
    event_func_529();
    event_func_528();
    event_func_529();
    event_func_530();
    event_func_531();
    event_func_532();
    event_func_533();
    event_func_534();
    event_func_535();
    event_func_536();
    event_func_537();
    event_func_538();
    event_func_539();
    event_func_540();
    event_func_542();
    event_func_543();
    event_func_544();
    event_func_545();
    event_func_546();
    event_func_547();
    event_func_548();
    event_func_549();
    event_func_550();
    event_func_551();
    event_func_552();
    event_func_553();
    event_func_554();
    event_func_540();
    event_func_555();
    event_func_556();
    event_func_557();
    event_func_558();
    event_func_560();
    event_func_561();
    event_func_562();
    event_func_563();
    event_func_564();
    event_func_565();
    event_func_566();
    event_func_567();
    event_func_568();
    event_func_569();
    event_func_570();
    event_func_571();
    event_func_572();
    event_func_573();
    event_func_574();
    event_func_575();
    event_func_576();
    event_func_577();
    event_func_578();
    event_func_579();
    event_func_580();
    event_func_581();
    event_func_582();
    event_func_583();
    event_func_584();
    event_func_585();
    event_func_586();
    event_func_587();
    event_func_588();
    event_func_589();
    event_func_590();
    event_func_591();
    event_func_592();
    event_func_593();
    event_func_594();
    event_func_595();
    event_func_596();
    event_func_597();
    event_func_598();
    event_func_599();
    event_func_600();
    event_func_601();
    event_func_602();
    event_func_603();
    event_func_604();
    event_func_605();
    event_func_606();
    event_func_607();
    event_func_608();
    event_func_609();
    event_func_610();
    event_func_611();
    event_func_612();
    event_func_614();
    event_func_615();
    event_func_616();
    event_func_617();
    event_func_619();
    event_func_621();
    event_func_623();
    event_func_626();
    event_func_627();
    event_func_628();
    event_func_629();
    event_func_630();
    event_func_633();
    event_func_635();
    event_func_636();
    event_func_638();
    event_func_639();
    event_func_640();
    event_func_641();
    event_func_642();
    event_func_643();
    event_func_644();
    event_func_646();
    event_func_647();
    event_func_648();
    event_func_649();
    event_func_650();
    event_func_651();
    event_func_652();
    event_func_653();
    event_func_654();
    event_func_655();
    event_func_657();
    event_func_658();
    event_func_659();
    event_func_660();
    event_func_661();
    event_func_662();
    event_func_663();
    event_func_664();
    event_func_666();
    event_func_667();
    event_func_668();
    event_func_669();
    event_func_670();
    event_func_671();
    event_func_672();
    event_func_673();
    event_func_674();
    event_func_675();
    event_func_678();
    event_func_679();
    event_func_680();
    event_func_681();
    event_func_682();
    event_func_683();
    event_func_684();
    event_func_685();
    event_func_686();
    event_func_687();
    event_func_688();
    event_func_689();
    event_func_690();
    event_func_691();
    event_func_693();
    event_func_694();
    event_func_695();
    event_func_696();
    event_func_697();
    event_func_698();
    event_func_699();
    event_func_700();
    event_func_701();
    event_func_702();
    event_func_703();
    event_func_704();
    event_func_705();
    event_func_706();
    event_func_707();
    event_func_708();
    event_func_709();
    event_func_710();
    event_func_711();
    event_func_712();
    event_func_713();
    event_func_714();
    event_func_715();
    event_func_716();
    event_func_717();
    event_func_718();
    event_func_720();
    event_func_721();
    event_func_722();
    event_func_723();
    event_func_724();
    event_func_725();
    event_func_734();
    event_func_735();
    event_func_736();
    event_func_737();
    event_func_738();
    event_func_739();
    event_func_740();
    event_func_741();
    event_func_742();
    event_func_743();
    event_func_744();
    event_func_745();
    event_func_746();
    event_func_747();
    event_func_748();
    event_func_749();
    event_func_750();
    event_func_751();
    event_func_752();
    event_func_753();
    event_func_754();
    event_func_755();
    event_func_756();
    event_func_757();
    event_func_758();
    event_func_759();
    event_func_760();
    event_func_761();
    event_func_762();
    event_func_763();
    event_func_764();
    event_func_765();
    event_func_766();
    event_func_767();
    event_func_768();
    event_func_769();
    event_func_770();
    event_func_771();
    event_func_772();
    event_func_774();
    event_func_776();
    event_func_777();
    event_func_779();
    event_func_780();
    event_func_781();
    event_func_783();
    event_func_784();
    event_func_788();
    event_func_789();
    event_func_790();
    event_func_791();
    event_func_792();
    event_func_793();
    event_func_794();
    event_func_795();
    event_func_796();
    event_func_797();
    event_func_798();
    event_func_799();
    event_func_800();
    event_func_801();
    event_func_802();
    event_func_803();
    event_func_804();
    event_func_805();
    event_func_806();
    event_func_807();
    event_func_808();
    event_func_809();
    event_func_810();
    event_func_811();
    event_func_812();
    event_func_813();
    event_func_814();
    event_func_815();
    event_func_816();
    event_func_817();
    event_func_818();
    event_func_819();
    event_func_820();
    event_func_821();
    event_func_822();
    event_func_823();
    event_func_824();
    event_func_825();
    event_func_826();
    event_func_827();
    event_func_828();
    event_func_829();
    event_func_830();
    event_func_831();
    event_func_832();
    event_func_833();
    event_func_834();
    event_func_835();
    event_func_836();
    event_func_837();
    event_func_838();
    event_func_839();
    event_func_840();
    event_func_841();
    event_func_842();
    event_func_843();
    event_func_844();
    event_func_845();
    event_func_846();
    event_func_847();
    event_func_848();
    event_func_849();
    event_func_850();
    event_func_852();
    event_func_853();
    event_func_854();
    event_func_855();
    event_func_856();
    event_func_857();
    event_func_858();
    event_func_859();
    event_func_860();
    event_func_861();
    event_func_862();
    event_func_863();
    event_func_864();
    event_func_865();
    event_func_866();
    event_func_867();
    event_func_868();
    event_func_869();
    event_func_870();
    event_func_871();
    event_func_872();
    event_func_873();
    event_func_874();
    event_func_875();
    event_func_876();
    event_func_877();
    event_func_878();
    event_func_879();
    event_func_880();
    event_func_881();
    event_func_882();
    event_func_883();
    event_func_884();
    event_func_885();
    event_func_886();
    event_func_887();
    event_func_888();
    event_func_889();
    event_func_890();
    event_func_891();
    event_func_892();
    event_func_893();
    event_func_894();
    event_func_895();
    event_func_896();
    event_func_897();
    event_func_898();
    event_func_899();
    event_func_900();
    event_func_901();
    event_func_902();
    event_func_903();
    event_func_904();
    event_func_905();
    event_func_906();
    event_func_907();
    event_func_908();
    event_func_909();
    event_func_910();
    event_func_911();
    event_func_912();
    event_func_913();
    event_func_914();
    event_func_915();
    event_func_916();
    event_func_917();
    event_func_918();
    event_func_919();
    event_func_920();
    event_func_921();
    event_func_922();
    event_func_923();
    event_func_924();
    event_func_925();
    event_func_926();
    event_func_927();
    event_func_928();
    event_func_929();
    event_func_930();
    event_func_931();
    event_func_932();
    event_func_933();
    event_func_934();
    event_func_935();
    event_func_936();
    event_func_937();
    event_func_938();
    event_func_939();
    event_func_940();
    event_func_941();
    event_func_942();
    event_func_943();
    event_func_944();
    event_func_945();
    event_func_946();
    event_func_947();
    event_func_948();
    event_func_950();
    event_func_951();
    event_func_952();
    event_func_953();
    event_func_954();
    event_func_955();
    event_func_956();
    event_func_957();
    event_func_958();
    event_func_959();
    event_func_960();
    event_func_961();
    event_func_962();
    event_func_963();
    event_func_964();
    event_func_966();
    event_func_968();
    event_func_969();
    event_func_970();
    event_func_971();
    event_func_972();
    event_func_973();
    event_func_974();
    event_func_975();
    event_func_976();
    event_func_977();
    event_func_978();
    event_func_979();
    event_func_980();
    event_func_981();
    event_func_982();
    event_func_983();
    event_func_984();
    event_func_985();
    event_func_986();
    event_func_987();
    event_func_988();
    event_func_989();
    event_func_990();
    event_func_991();
    event_func_992();
    event_func_993();
    event_func_994();
    event_func_995();
    event_func_996();
    event_func_997();
    event_func_998();
    event_func_999();
    event_func_1000();
    event_func_1001();
    event_func_1002();
    event_func_1003();
    event_func_1004();
    event_func_1005();
    event_func_1006();
    event_func_1007();
    event_func_1008();
    event_func_1010();
    event_func_1011();
    event_func_1012();
    event_func_1013();
    event_func_1014();
    event_func_1015();
    event_func_1016();
    event_func_1017();
    event_func_1018();
    event_func_1019();
    event_func_1020();
    event_func_1021();
    event_func_1022();
    event_func_1023();
    event_func_1024();
    event_func_1025();
    event_func_1026();
    event_func_1027();
    event_func_1028();
    event_func_1029();
    event_func_1030();
    event_func_1031();
    event_func_1032();
    event_func_1033();
    event_func_1034();
    event_func_1035();
    event_func_1036();
    event_func_1037();
    event_func_1038();
    event_func_1039();
    event_func_1041();
    event_func_1042();
    event_func_1043();
    event_func_1044();
    event_func_1045();
    event_func_1046();
    event_func_1047();
    event_func_1048();
    event_func_1049();
    event_func_1050();
    event_func_1051();
    event_func_1052();
    event_func_1053();
    event_func_1054();
    event_func_1055();
    event_func_1056();
    event_func_1057();
    event_func_1058();
    event_func_1059();
    event_func_1061();
    event_func_1062();
    event_func_1063();
    event_func_1064();
    event_func_1065();
    event_func_1066();
    event_func_1067();
    event_func_1068();
    event_func_1069();
    event_func_1070();
    event_func_1071();
    event_func_1072();
    event_func_1073();
    event_func_1074();
    event_func_1075();
    event_func_1076();
    event_func_1077();
    event_func_1078();
    event_func_1080();
    event_func_1081();
    event_func_1082();
    event_func_1083();
    event_func_1084();
    event_func_1085();
    event_func_1086();
    event_func_1087();
    event_func_1088();
    event_func_1089();
    event_func_1090();
    event_func_1091();
    event_func_1092();
    event_func_1093();
    event_func_1094();
    event_func_1095();
    event_func_1096();
    event_func_1098();
    event_func_1099();
    event_func_1100();
    event_func_1101();
    event_func_1102();
    event_func_1103();
    event_func_1104();
    event_func_1105();
    event_func_1106();
    event_func_1107();
    event_func_1108();
    event_func_1109();
    event_func_1110();
    event_func_1111();
    event_func_1112();
    event_func_1113();
    event_func_1114();
    event_func_1115();
    event_func_1116();
    event_func_1117();
    event_func_1118();
    event_func_1119();
    event_func_1120();
    event_func_1121();
    event_func_1122();
    event_func_1123();
    event_func_1124();
    event_func_1125();
    event_func_1126();
    event_func_1127();
    event_func_1128();
    event_func_1129();
    event_func_1130();
    event_func_1131();
    event_func_1132();
    event_func_1133();
    event_func_1134();
    event_func_1135();
    event_func_1136();
    event_func_1137();
    event_func_1138();
    event_func_1139();
    event_func_1140();
    event_func_1141();
    event_func_1142();
    event_func_1143();
    event_func_1144();
    event_func_1145();
    event_func_1146();
    event_func_1147();
    event_func_1148();
    event_func_1149();
    event_func_1150();
    event_func_1151();
    event_func_1152();
    event_func_1153();
    event_func_1154();
    event_func_1156();
    event_func_1157();
    event_func_1158();
    event_func_1159();
    event_func_1160();
    event_func_1161();
    event_func_1162();
    event_func_1163();
    event_func_1164();
    event_func_1166();
    event_func_1167();
    event_func_1168();
    event_func_1169();
    event_func_1170();
    event_func_1171();
    event_func_1172();
    event_func_1173();
    event_func_1174();
    event_func_1175();
    event_func_1176();
    event_func_1177();
    event_func_1178();
    event_func_1179();
    event_func_1180();
    event_func_1181();
    event_func_1182();
    event_func_1183();
    event_func_1184();
    event_func_1185();
    event_func_1186();
    event_func_1187();
    event_func_1188();
    event_func_1189();
    event_func_1190();
    event_func_1191();
    event_func_1192();
    event_func_1193();
    event_func_1194();
    event_func_1195();
    event_func_1196();
    event_func_1197();
    event_func_1198();
    event_func_1199();
    event_func_1200();
    event_func_1201();
    event_func_1202();
    event_func_1204();
    event_func_1205();
    event_func_1206();
    event_func_1207();
    event_func_1208();
    event_func_1209();
    event_func_1210();
    event_func_1211();
    event_func_1212();
    event_func_1213();
    event_func_1214();
    event_func_1215();
    event_func_1216();
    event_func_1217();
    event_func_157();
    event_func_1218();
    event_func_1219();
    event_func_1220();
    event_func_1221();
    event_func_1222();
    event_func_1223();
    event_func_1224();
    event_func_1225();
    event_func_1226();
    event_func_1227();
    event_func_1229();
    event_func_1230();
    event_func_1231();
    event_func_1232();
    event_func_1234();
    event_func_1235();
    event_func_1236();
    event_func_1237();
    event_func_1238();
    event_func_1239();
    event_func_1240();
    event_func_1241();
    event_func_1242();
    event_func_1243();
    event_func_1244();
    event_func_509();
    event_func_1245();
    event_func_1246();
    event_func_1247();
    event_func_1249();
    event_func_1250();
    event_func_1251();
    event_func_1252();
    event_func_1253();
    event_func_1254();
    event_func_1255();
    event_func_1256();
    event_func_1257();
    event_func_1258();
    event_func_1259();
    event_func_1260();
    event_func_1261();
    event_func_1262();
    event_func_1263();
    event_func_1264();
    event_func_1265();
    event_func_1266();
    event_func_1267();
    event_func_1268();
    event_func_1269();
    event_func_1270();
    event_func_1271();
    event_func_1272();
    event_func_1273();
    event_func_1274();
    event_func_1275();
    event_func_1276();
    event_func_1277();
    event_func_1278();
    event_func_1279();
    event_func_1280();
    event_func_1281();
    event_func_1282();
    event_func_1283();
    event_func_1284();
    event_func_1285();
    event_func_1286();
    event_func_1287();
    event_func_1288();
    event_func_1289();
    event_func_1291();
    event_func_1293();
    event_func_1294();
    event_func_1295();
    event_func_1296();
    event_func_1297();
    event_func_1298();
    event_func_4();
    event_func_5();
    event_func_6();
    event_func_1302();
    event_func_1303();
    event_func_1304();
    event_func_1305();
    event_func_1306();
    event_func_1307();
    event_func_1308();
    event_func_1309();
    event_func_1310();
    event_func_1311();
    event_func_1312();
    event_func_1313();
    event_func_1314();
    event_func_1315();
    event_func_1316();
    event_func_1317();
    event_func_1318();
    event_func_1319();
    event_func_1320();
    event_func_1321();
    event_func_1322();
    event_func_1323();
    event_func_1324();
    event_func_1325();
    event_func_1328();
    event_func_1329();
    event_func_1330();
    event_func_1331();
    event_func_1332();
    event_func_1333();
    event_func_1334();
    event_func_1335();
    event_func_1336();
    event_func_1337();
    event_func_1338();
    event_func_1339();
    event_func_1340();
    event_func_1342();
    event_func_1343();
    event_func_1344();
    event_func_1345();
    event_func_1346();
    event_func_1347();
    event_func_1348();
    event_func_1349();
    event_func_1350();
    event_func_1351();
    event_func_1352();
    event_func_1353();
}
