#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::event_func_468()
{
    // event 715_5
    {
        // group: Evil Eye
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) <= (0))) goto event_715_5_end;
        if (!((((Active*)get_instance(cameratarget_106_instances))->get_y()) > (((Active*)col_instance_2)->get_y()*((Active*)col_instance_2)->alterables->values.get(1)))) goto event_715_5_end;
        FrameObject * single_instance_715_5_0; single_instance_715_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyevileye_266(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_715_5_0 == NULL)
                single_instance_715_5_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_715_5_0))->alterables->values.set(8, 1); // 'enemy-evileye'
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 480); // 'spawner-snipereye'
    }
    event_715_5_end: ;
}
void Frames::col_254_5()
{
    event_func_468();
}
void Frames::event_func_469()
{
    // event 726_5
    {
        ((Active*)((Active*)col_instance_2))->alterables->values.set(1, -1); // 'spawner-evileye'
        ((Active*)((Active*)col_instance_1))->destroy();
    }
    event_726_5_end: ;
}
void Frames::col_255_5()
{
    event_func_469();
}
void Frames::event_func_470()
{
    // event 351_5
    {
        // group: Hoppy Enemy
        screen_170_instances.clear_selection();
        if (!check_not_overlap(screen_170_instances, enemyhoppy_174_instances)) goto event_351_5_end;
        ((Active*)((Active*)col_instance_2))->destroy();
    }
    event_351_5_end: ;
}
void Frames::col_257_5()
{
    event_func_470();
}
void Frames::event_func_471()
{
    // event 917_5
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.set(0, 0); // 'enemy-smasher'
        ((Active*)((Active*)col_instance_1))->get_movement()->bounce(Movement::COLLISION);
        ((Active*)((Active*)col_instance_1))->get_movement()->set_speed(0);
        ((Active*)((Active*)col_instance_1))->alterables->values.set(1, 25); // 'enemy-smasher'
    }
    event_917_5_end: ;
}
void Frames::col_259_5()
{
    event_func_471();
}
void Frames::event_func_472()
{
    // event 483_5
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        FrameObject * single_instance_483_5_0; single_instance_483_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyexplosion_200(((Active*)col_instance_1)->x + 0, ((Active*)col_instance_1)->y + 0), ((Active*)col_instance_1)->layer);
            if (single_instance_483_5_0 == NULL)
                single_instance_483_5_0 = new_obj;
        }
    }
    event_483_5_end: ;
}
void Frames::col_261_5()
{
    event_func_472();
}
void Frames::event_func_473()
{
    // event 610_5
    {
        // group: Drop Bro
        if (!(((Active*)col_instance_1)->test_directions(16777216))) goto event_610_5_end;
        ((Active*)((Active*)col_instance_1))->alterables->values.set(2, 1); // 'droppo-shot'
        media.play_id(SOUND_CROOM_43, -1, 1);
        media.set_sample_volume(SOUND_CROOM_43, global_values->get(12)*0.35);
    }
    event_610_5_end: ;
}
void Frames::col_262_5()
{
    event_func_473();
}
void Frames::event_func_474()
{
    // event 529_5
    {
        // group: Blobulule
        if (!((((Active*)col_instance_1)->alterables->values.get(3)) == (0))) goto event_529_5_end;
        if (!((((Active*)col_instance_1)->alterables->values.get(2)) == (0))) goto event_529_5_end;
        ((Active*)((Active*)col_instance_1))->get_movement()->bounce(Movement::COLLISION);
        ((Active*)((Active*)col_instance_1))->alterables->values.set(3, 1); // 'enemy-blobulule-phase2'
        ((Active*)((Active*)col_instance_1))->force_animation(1);
        ((Active*)((Active*)col_instance_1))->get_movement()->set_speed(0);
        enemygoo_235_instances.empty_selection();
        // select single: false true false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemygoo_235(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + -12, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + -2), ((Active*)col_instance_1)->layer);
            enemygoo_235_instances.add_back();
        }
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemygoo_235(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + -9, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + -2), ((Active*)col_instance_1)->layer);
            enemygoo_235_instances.add_back();
        }
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemygoo_235(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + -6, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + -2), ((Active*)col_instance_1)->layer);
            enemygoo_235_instances.add_back();
        }
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemygoo_235(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + -3, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + -2), ((Active*)col_instance_1)->layer);
            enemygoo_235_instances.add_back();
        }
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemygoo_235(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + 3, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + -2), ((Active*)col_instance_1)->layer);
            enemygoo_235_instances.add_back();
        }
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemygoo_235(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + 6, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + -2), ((Active*)col_instance_1)->layer);
            enemygoo_235_instances.add_back();
        }
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemygoo_235(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + 9, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + -2), ((Active*)col_instance_1)->layer);
            enemygoo_235_instances.add_back();
        }
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemygoo_235(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + 12, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + -2), ((Active*)col_instance_1)->layer);
            enemygoo_235_instances.add_back();
        }
        for (ObjectIterator it(enemygoo_235_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, randrange_event(4)); // 'enemy-goo'
        }
        ((Active*)((Active*)col_instance_1))->set_direction(get_direction_int(((Active*)col_instance_1)->x, ((Active*)col_instance_1)->y, ((Active*)get_instance(player_115_instances))->x + 0, ((Active*)get_instance(player_115_instances))->y + 0));
        // select single: false false true
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemygoo_235(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + 0, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + -2), ((Active*)col_instance_1)->layer);
            enemygoo_235_instances.add_back();
        }
        ((Active*)((Active*)col_instance_1))->alterables->values.add(6, 1); // 'enemy-blobulule-phase2'
        ((Active*)((Active*)col_instance_1))->set_y(((Active*)col_instance_1)->get_y()-1);
    }
    event_529_5_end: ;
}
void Frames::event_func_475()
{
    // event 530_5
    {
        ((Active*)((Active*)col_instance_1))->get_movement()->bounce(Movement::COLLISION);
        ((Active*)((Active*)col_instance_1))->get_movement()->set_speed(((Active*)col_instance_1)->get_movement()->get_speed()/MathHelper()/3);
    }
    event_530_5_end: ;
}
void Frames::col_265_5()
{
    event_func_474();
    event_func_475();
}
void Frames::event_func_476()
{
    // event 813_5
    {
        // group: Bouncer
        screen_170_instances.clear_selection();
        if (!check_overlap(screen_170_instances, ((Active*)col_instance_1))) goto event_813_5_end;
        media.stop_sample(SOUND_THWAP_22);
        media.play_id(SOUND_THWAP_22, -1, 1);
        media.set_sample_volume(SOUND_THWAP_22, 0.25*global_values->get(12));
    }
    event_813_5_end: ;
}
void Frames::col_266_5()
{
    event_func_334();
    event_func_334();
    event_func_476();
}
void Frames::event_func_477()
{
    // event 738_5
    {
        // group: Shootythingy
        if (!(((Active*)col_instance_1)->test_directions(16777472))) goto event_738_5_end;
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)col_instance_1)->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)col_instance_1)->get_y()); // 'FrameDataStore'
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        ((Active*)((Active*)col_instance_1))->destroy();
        FrameObject * single_instance_738_5_0; single_instance_738_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_explosion_152(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + 0, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + 0), ((Active*)col_instance_1)->layer);
            if (single_instance_738_5_0 == NULL)
                single_instance_738_5_0 = new_obj;
        }
        {
            loop_debris_running = true;
            int times = int(7);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_5();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
    }
    event_738_5_end: ;
}
void Frames::col_267_5()
{
    event_func_477();
}
void Frames::event_func_478()
{
    // event 1130_5
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        objcheckpoint_112_instances.clear_selection();
        for (ObjectIterator it(objcheckpoint_112_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        // select single: false false true
        {
            FrameObject * new_obj;
            new_obj = add_object(create_objcheckpoint_112(((Active*)col_instance_1)->x + 0, ((Active*)col_instance_1)->y + -1), ((Active*)col_instance_1)->layer);
            objcheckpoint_112_instances.add_back();
        }
    }
    event_1130_5_end: ;
}
void Frames::col_271_5()
{
    event_func_478();
}
void Frames::col_274_5()
{
    event_func_475();
}
void Frames::event_func_479()
{
    // event 431_5
    {
        // group: Shooter
        if (!((((Active*)col_instance_1)->alterables->values.get(3)) >= (10))) goto event_431_5_end;
        screen_170_instances.clear_selection();
        if (!check_overlap(((Active*)col_instance_1), screen_170_instances)) goto event_431_5_end;
        if (!check_not_overlap(((Active*)col_instance_1), active8_9_instances)) goto event_431_5_end;
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        FrameObject * single_instance_431_5_0; single_instance_431_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_bigexplosion_199(((Active*)col_instance_1)->x + 0, ((Active*)col_instance_1)->y + 0), ((Active*)col_instance_1)->layer);
            if (single_instance_431_5_0 == NULL)
                single_instance_431_5_0 = new_obj;
        }
        FrameObject * single_instance_431_5_1; single_instance_431_5_1 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_objcollisionbox_318(((Active*)col_instance_1)->x + 0, ((Active*)col_instance_1)->y + 0), ((Active*)col_instance_1)->layer);
            if (single_instance_431_5_1 == NULL)
                single_instance_431_5_1 = new_obj;
        }
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 11); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 11); // 'camera shaker'
    }
    event_431_5_end: ;
}
void Frames::col_275_5()
{
    event_func_479();
}
void Frames::test_collisions_5()
{
    test_collisions(bullet_143_instances, objcogblock_287_instances, 1, 1, (EventFunction)&Frames::col_0_5);
    test_collisions(screen_170_instances, spawnerbouncingball_329_instances, 1, 1, (EventFunction)&Frames::col_1_5);
    test_collisions(screen_170_instances, spawnerzappa_243_instances, 2, 1, (EventFunction)&Frames::col_2_5);
    test_collisions(boxdestroyer_159_instances, enemylonestar_255_instances, 1, 1, (EventFunction)&Frames::col_3_5);
    test_collisions(bullet_143_instances, enemygearoflaw_286_instances, 2, 1, (EventFunction)&Frames::col_4_5);
    test_collisions(player_115_instances, helpdesk_136_instances, 1, 1, (EventFunction)&Frames::col_5_5);
    test_collisions(bullet_143_instances, enemyblobululephase2_234_instances, 4, 1, (EventFunction)&Frames::col_6_5);
    test_collisions(detector_116_instances, objcogblock_287_instances, 1, 2, (EventFunction)&Frames::col_7_5);
    test_collisions(sendright_178_instances, objlasergunorange_278_instances, 1, 1, (EventFunction)&Frames::col_8_5);
    test_collisions(bullet_143_instances, enemyfirebar_324_instances, 8, 1, (EventFunction)&Frames::col_9_5);
    test_collisions(sendleft_180_instances, spawnerboxman_295_instances, 1, 1, (EventFunction)&Frames::col_10_5);
    test_collisions(objenemybounce_237_instances, objcogblock_287_instances, 1, 4, (EventFunction)&Frames::col_11_5);
    test_collisions(bullet_143_instances, enemycannonroot_309_instances, 16, 1, (EventFunction)&Frames::col_12_5);
    test_collisions(boxdestroyer_159_instances, enemylonestarnew_300_instances, 2, 1, (EventFunction)&Frames::col_3_5);
    test_collisions(enemylaser_224_instances, enemytoolio_282_instances, 1, 1, (EventFunction)&Frames::col_14_5);
    test_collisions(bullet_143_instances, enemytoolio_282_instances, 32, 2, (EventFunction)&Frames::col_15_5);
    test_collisions(hurtbox_196_instances, homept2_228_instances, 1, 1, (EventFunction)&Frames::col_16_5);
    test_collisions_save(enemyboxman_284_instances, active_1_instances, 1, 1, (EventFunction)&Frames::col_17_5);
    test_collisions(active2_172_instances, objeyeblock_191_instances, 1, 1, (EventFunction)&Frames::col_18_5);
    test_collisions(bullet_143_instances, objjunkblock_288_instances, 64, 1, (EventFunction)&Frames::col_19_5);
    test_collisions(senddown_179_instances, enemylaser_224_instances, 1, 2, (EventFunction)&Frames::col_20_5);
    test_collisions(bullet_143_instances, enemydangerned_239_instances, 128, 1, (EventFunction)&Frames::col_21_5);
    test_collisions(platform2_120_instances, boxdestroyer_159_instances, 1, 4, (EventFunction)&Frames::col_22_5);
    test_collisions(enemydown_182_instances, enemymobilebrohoriz_236_instances, 1, 1, (EventFunction)&Frames::col_23_5);
    test_collisions(senddown_179_instances, spawnermobilebro_238_instances, 2, 1, (EventFunction)&Frames::col_24_5);
    test_collisions(bullet_143_instances, enemytickbomb_225_instances, 256, 1, (EventFunction)&Frames::col_25_5);
    test_collisions(enemymobilebrohoriz_236_instances, objenemybounce_237_instances, 2, 2, (EventFunction)&Frames::col_26_5);
    test_collisions(enemylaser_224_instances, enemylonestar_255_instances, 4, 2, (EventFunction)&Frames::col_27_5);
    test_collisions(screen_170_instances, spawnertoggleblock_314_instances, 4, 1, (EventFunction)&Frames::col_28_5);
    test_collisions(screen_170_instances, spawnercannon_319_instances, 8, 1, (EventFunction)&Frames::col_29_5);
    test_collisions(hurtbox_196_instances, objbonusdeathless_279_instances, 2, 1, (EventFunction)&Frames::col_30_5);
    test_collisions(hurtbox_196_instances, enemyronaldgrantbrook_328_instances, 4, 1, (EventFunction)&Frames::col_31_5);
    test_collisions(dropposhot_245_instances, objjunkblock_288_instances, 1, 2, (EventFunction)&Frames::col_32_5);
    test_collisions_save(tntstatic_153_instances, enemylonestar_255_instances, 1, 4, (EventFunction)&Frames::col_33_5);
    test_collisions(screen_170_instances, spawnerbrokenrobot_215_instances, 16, 1, (EventFunction)&Frames::col_34_5);
    test_collisions(enemycannon_189_instances, objgarbagedestroyer_302_instances, 1, 1, (EventFunction)&Frames::col_35_5);
    test_collisions(objjunkblock_288_instances, objgarbagedestroyer_302_instances, 4, 2, (EventFunction)&Frames::col_36_5);
    test_collisions(spikeshooter_169_instances, hurtbox_196_instances, 1, 8, (EventFunction)&Frames::col_37_5);
    test_collisions(player_115_instances, vertdetector_129_instances, 2, 1, (EventFunction)&Frames::col_38_5);
    test_collisions(bullet_143_instances, spikeshooter_169_instances, 512, 2, (EventFunction)&Frames::col_39_5);
    test_collisions(hurtbox_196_instances, enemyblobululephase2_234_instances, 16, 2, (EventFunction)&Frames::col_40_5);
    test_collisions(player_115_instances, springright_186_instances, 4, 1, (EventFunction)&Frames::col_41_5);
    test_collisions(tntstatic_153_instances, enemyzapball_207_instances, 2, 1, (EventFunction)&Frames::col_42_5);
    test_collisions(detector_116_instances, objectdashblockall_330_instances, 2, 1, (EventFunction)&Frames::col_43_5);
    test_collisions(objenemybounce_237_instances, bgcog2_291_instances, 4, 1, (EventFunction)&Frames::col_44_5);
    test_collisions(boxdestroyer_159_instances, enemypath_177_instances, 8, 1, (EventFunction)&Frames::col_3_5);
    test_collisions_save(enemygearoflaw_286_instances, objjunkblock_288_instances, 2, 8, (EventFunction)&Frames::col_46_5);
    test_collisions(hurtbox_196_instances, enemygearoflaw_286_instances, 32, 4, (EventFunction)&Frames::col_47_5);
    test_collisions(hurtbox_196_instances, enemylonestarnew_300_instances, 64, 2, (EventFunction)&Frames::col_48_5);
    test_collisions(explosion_152_instances, objshootspawner_254_instances, 1, 1, (EventFunction)&Frames::col_49_5);
    test_collisions(objenemybounce_237_instances, objbonustime_280_instances, 8, 1, (EventFunction)&Frames::col_50_5);
    test_collisions(active2_172_instances, objshootspawner_254_instances, 2, 2, (EventFunction)&Frames::col_49_5);
    test_collisions(bullet_143_instances, enemywalker_218_instances, 1024, 1, (EventFunction)&Frames::col_52_5);
    test_collisions(objenemybounce_237_instances, enemygearoflaw_286_instances, 16, 8, (EventFunction)&Frames::col_53_5);
    test_collisions_save(tntstatic_153_instances, tntconveyor_161_instances, 4, 1, (EventFunction)&Frames::col_54_5);
    test_collisions(player_115_instances, enemybrokenrobot_214_instances, 8, 1, (EventFunction)&Frames::col_55_5);
    test_collisions(bullet_143_instances, objshootspawner_254_instances, 2048, 4, (EventFunction)&Frames::col_56_5);
    test_collisions_save(objcratestopper_258_instances, enemygearoflaw_286_instances, 1, 16, (EventFunction)&Frames::col_57_5);
    test_collisions(movingplatform_119_instances, boxdestroyer_159_instances, 1, 16, (EventFunction)&Frames::col_22_5);
    test_collisions(active_1_instances, active_1_instances, 2, 2, (EventFunction)&Frames::col_59_5);
    test_collisions(sendup_176_instances, spawnermobilebro_238_instances, 1, 2, (EventFunction)&Frames::col_60_5);
    test_collisions(vertplatform_128_instances, boxdestroyer_159_instances, 1, 32, (EventFunction)&Frames::col_22_5);
    test_collisions(hurtbox_196_instances, enemyfirebar_324_instances, 128, 2, (EventFunction)&Frames::col_47_5);
    test_collisions(player_115_instances, bulletpowerup_212_instances, 16, 1, (EventFunction)&Frames::col_63_5);
    test_collisions(dropposhot_245_instances, enemycannonroot_309_instances, 2, 2, (EventFunction)&Frames::col_64_5);
    test_collisions(enemyflashbullet_190_instances, hurtbox_196_instances, 1, 256, (EventFunction)&Frames::col_65_5);
    test_collisions(hurtbox_196_instances, enemylonestar_255_instances, 512, 8, (EventFunction)&Frames::col_48_5);
    test_collisions_save(platform_117_instances, enemylonestar_255_instances, 1, 16, (EventFunction)&Frames::col_33_5);
    test_collisions(sendright_178_instances, enemydroppo_244_instances, 2, 1, (EventFunction)&Frames::col_68_5);
    test_collisions(bullet_143_instances, enemyatom_198_instances, 4096, 1, (EventFunction)&Frames::col_69_5);
    test_collisions(hurtbox_196_instances, enemylaser_224_instances, 1024, 8, (EventFunction)&Frames::col_48_5);
    test_collisions(objeyeblock_191_instances, objcheckpoint_112_instances, 2, 1, (EventFunction)&Frames::col_71_5);
    test_collisions_save(objenemybounce_237_instances, enemydroppo_244_instances, 32, 2, (EventFunction)&Frames::col_72_5);
    test_collisions_save(enemygearoflaw_286_instances, enemygearoflaw_286_instances, 32, 32, (EventFunction)&Frames::col_57_5);
    test_collisions(enemyfloater_187_instances, enemylaser_224_instances, 1, 16, (EventFunction)&Frames::col_74_5);
    test_collisions(enemylaser_224_instances, enemyevileye_266_instances, 32, 1, (EventFunction)&Frames::col_75_5);
    test_collisions(hurtbox_196_instances, enemychomper_206_instances, 2048, 1, (EventFunction)&Frames::col_76_5);
    test_collisions(sprite_121_instances, spikesright_195_instances, 1, 1, (EventFunction)&Frames::col_77_5);
    test_collisions(bullet_143_instances, enemypithopper_327_instances, 8192, 1, (EventFunction)&Frames::col_78_5);
    test_collisions(detector_116_instances, objjunkblock_288_instances, 4, 16, (EventFunction)&Frames::col_79_5);
    test_collisions(sprite_121_instances, enemygoo_235_instances, 2, 1, (EventFunction)&Frames::col_80_5);
    test_collisions(explosion_152_instances, tntstatic_153_instances, 2, 8, (EventFunction)&Frames::col_81_5);
    test_collisions(spikestop_194_instances, hurtbox_196_instances, 1, 4096, (EventFunction)&Frames::col_77_5);
    test_collisions(hurtbox_196_instances, enemysmasher_331_instances, 8192, 1, (EventFunction)&Frames::col_83_5);
    test_collisions(bullet_143_instances, enemydroppo_244_instances, 16384, 4, (EventFunction)&Frames::col_84_5);
    test_collisions(objenemybounce_237_instances, active7_8_instances, 64, 1, (EventFunction)&Frames::col_85_5);
    test_collisions(enemyrockiship_249_instances, objjunkblock_288_instances, 1, 32, (EventFunction)&Frames::col_86_5);
    test_collisions(enemylaser_224_instances, objjunkblock_288_instances, 64, 64, (EventFunction)&Frames::col_87_5);
    test_collisions(hurtbox_196_instances, enemyevileye_266_instances, 16384, 2, (EventFunction)&Frames::col_48_5);
    test_collisions(spikesbottom_193_instances, hurtbox_196_instances, 1, 32768, (EventFunction)&Frames::col_77_5);
    test_collisions(detector_116_instances, dissappear_175_instances, 8, 1, (EventFunction)&Frames::col_90_5);
    test_collisions(enemyhomingcog_283_instances, objjunkblock_288_instances, 1, 128, (EventFunction)&Frames::col_91_5);
    test_collisions(sendleft_180_instances, objlasergun_223_instances, 2, 1, (EventFunction)&Frames::col_92_5);
    test_collisions(explosion_152_instances, objjunkblock_288_instances, 4, 256, (EventFunction)&Frames::col_93_5);
    test_collisions(hurtbox_196_instances, enemyzappa_242_instances, 65536, 1, (EventFunction)&Frames::col_94_5);
    test_collisions(enemylaser_224_instances, enemymobilebrohoriz_236_instances, 128, 4, (EventFunction)&Frames::col_95_5);
    test_collisions_save(enemyblobululephase1_233_instances, enemyblobululephase1_233_instances, 1, 1, (EventFunction)&Frames::col_72_5);
    test_collisions_save(tntstatic_153_instances, objcratestopper_258_instances, 16, 2, (EventFunction)&Frames::col_97_5);
    test_collisions(hurtbox_196_instances, enemytoolio_282_instances, 131072, 4, (EventFunction)&Frames::col_31_5);
    test_collisions(spring_126_instances, tntstatic_153_instances, 1, 32, (EventFunction)&Frames::col_99_5);
    test_collisions(bullet_143_instances, active7_8_instances, 32768, 2, (EventFunction)&Frames::col_100_5);
    test_collisions(objcheckpoint_112_instances, spawnerjunkblock_304_instances, 2, 1, (EventFunction)&Frames::col_101_5);
    test_collisions(objeyeblock_191_instances, bigexplosion_199_instances, 4, 1, (EventFunction)&Frames::col_102_5);
    test_collisions(screen_170_instances, spawnerenemyshield_325_instances, 32, 1, (EventFunction)&Frames::col_103_5);
    test_collisions(boxdestroyer_159_instances, enemylaser_224_instances, 64, 256, (EventFunction)&Frames::col_3_5);
    test_collisions(objeyeblock_191_instances, dropposhot_245_instances, 8, 4, (EventFunction)&Frames::col_105_5);
    test_collisions(bullet_143_instances, enemysmasher_331_instances, 65536, 2, (EventFunction)&Frames::col_106_5);
    test_collisions(hurtbox_196_instances, enemyzapball_207_instances, 262144, 2, (EventFunction)&Frames::col_107_5);
    test_collisions(enemyleft_183_instances, enemyrockiship_249_instances, 1, 2, (EventFunction)&Frames::col_108_5);
    test_collisions(sendleft_180_instances, enemyboxman_284_instances, 4, 2, (EventFunction)&Frames::col_109_5);
    test_collisions(enemylaser_224_instances, objshootspawner_254_instances, 512, 8, (EventFunction)&Frames::col_49_5);
    test_collisions(enemylaser_224_instances, objlasergunorange_278_instances, 1024, 2, (EventFunction)&Frames::col_111_5);
    test_collisions(bullet_143_instances, enemyzappa_242_instances, 131072, 2, (EventFunction)&Frames::col_112_5);
    test_collisions(hurtbox_196_instances, enemyblobululephase1_233_instances, 524288, 2, (EventFunction)&Frames::col_48_5);
    test_collisions(enemyfloater_187_instances, enemyzapball_207_instances, 2, 4, (EventFunction)&Frames::col_74_5);
    test_collisions(player_115_instances, ojbwings_221_instances, 32, 1, (EventFunction)&Frames::col_115_5);
    test_collisions(sendup_176_instances, spawnersnipereye_268_instances, 2, 1, (EventFunction)&Frames::col_116_5);
    test_collisions(screen_170_instances, spawnerjunkblock_304_instances, 64, 2, (EventFunction)&Frames::col_117_5);
    test_collisions(screen_170_instances, spawnerhoppy_173_instances, 128, 1, (EventFunction)&Frames::col_118_5);
    test_collisions(player_115_instances, springleft_185_instances, 64, 1, (EventFunction)&Frames::col_41_5);
    test_collisions(hurtbox_196_instances, enemyatom_198_instances, 1048576, 2, (EventFunction)&Frames::col_40_5);
    test_collisions(boxdestroyer_159_instances, enemywalker_218_instances, 128, 2, (EventFunction)&Frames::col_3_5);
    test_collisions(player_115_instances, key_124_instances, 128, 1, (EventFunction)&Frames::col_122_5);
    test_collisions(enemyflashbullet_190_instances, objjunkblock_288_instances, 2, 512, (EventFunction)&Frames::col_87_5);
    test_collisions(enemypath_177_instances, objeyeblock_191_instances, 2, 16, (EventFunction)&Frames::col_124_5);
    test_collisions(dropposhot_245_instances, enemyboxman_284_instances, 8, 4, (EventFunction)&Frames::col_125_5);
    test_collisions(bullet_143_instances, boxdestroyer_159_instances, 262144, 256, (EventFunction)&Frames::col_22_5);
    test_collisions(enemypath_177_instances, hurtbox_196_instances, 4, 2097152, (EventFunction)&Frames::col_127_5);
    test_collisions_save(tntconveyor_161_instances, objcratestopper_258_instances, 2, 4, (EventFunction)&Frames::col_97_5);
    test_collisions(detector_116_instances, objectdashblockleft_210_instances, 16, 1, (EventFunction)&Frames::col_129_5);
    test_collisions(sendup_176_instances, objlasergun_223_instances, 4, 2, (EventFunction)&Frames::col_130_5);
    test_collisions(objeyeblock_191_instances, homept2_228_instances, 32, 2, (EventFunction)&Frames::col_131_5);
    test_collisions(senddown_179_instances, objlasergun_223_instances, 4, 4, (EventFunction)&Frames::col_132_5);
    test_collisions(sprite_121_instances, spikesleft_192_instances, 4, 1, (EventFunction)&Frames::col_133_5);
    test_collisions(bullet_143_instances, enemyblobululephase1_233_instances, 524288, 4, (EventFunction)&Frames::col_134_5);
    test_collisions(enemyup_184_instances, enemymobilebrohoriz_236_instances, 1, 8, (EventFunction)&Frames::col_135_5);
    test_collisions_save(objeyeblock_191_instances, enemywalker_218_instances, 64, 4, (EventFunction)&Frames::col_136_5);
    test_collisions(enemyhoppy_174_instances, hurtbox_196_instances, 1, 4194304, (EventFunction)&Frames::col_137_5);
    test_collisions(enemyboxman_284_instances, enemyboxspawner_285_instances, 8, 1, (EventFunction)&Frames::col_138_5);
    test_collisions_save(tntstatic_153_instances, objtntspawner_260_instances, 64, 1, (EventFunction)&Frames::col_97_5);
    test_collisions_save(enemygearoflaw_286_instances, objcogblock_287_instances, 64, 8, (EventFunction)&Frames::col_140_5);
    test_collisions(objeyeblock_191_instances, enemylaser_224_instances, 128, 2048, (EventFunction)&Frames::col_141_5);
    test_collisions(bullet_143_instances, objeyeblock_191_instances, 1048576, 256, (EventFunction)&Frames::col_142_5);
    test_collisions(bullet_143_instances, enemyboxman_284_instances, 2097152, 16, (EventFunction)&Frames::col_143_5);
    test_collisions(bullet_143_instances, enemypath_177_instances, 4194304, 8, (EventFunction)&Frames::col_144_5);
    test_collisions(movingplatform_119_instances, objeyeblock_191_instances, 2, 512, (EventFunction)&Frames::col_145_5);
    test_collisions(hurtbox_196_instances, enemyhomingcog_283_instances, 8388608, 2, (EventFunction)&Frames::col_47_5);
    test_collisions(enemyevileye_266_instances, objjunkblock_288_instances, 4, 1024, (EventFunction)&Frames::col_93_5);
    test_collisions(spikesbottom_193_instances, objcheckpoint_112_instances, 2, 4, (EventFunction)&Frames::col_71_5);
    test_collisions(enemyatom_198_instances, enemylaser_224_instances, 4, 4096, (EventFunction)&Frames::col_149_5);
    test_collisions(explosion_152_instances, objeyeblock_191_instances, 8, 1024, (EventFunction)&Frames::col_150_5);
    test_collisions(hurtbox_196_instances, enemyrockiship_249_instances, 16777216, 4, (EventFunction)&Frames::col_47_5);
    test_collisions(hurtbox_196_instances, dropposhot_245_instances, 33554432, 16, (EventFunction)&Frames::col_48_5);
    test_collisions(screen_170_instances, counterspawner_226_instances, 256, 1, (EventFunction)&Frames::col_153_5);
    test_collisions(detector_116_instances, spring_126_instances, 32, 2, (EventFunction)&Frames::col_154_5);
    test_collisions(enemyfloater_187_instances, enemyflashbullet_190_instances, 4, 4, (EventFunction)&Frames::col_74_5);
    test_collisions(hurtbox_196_instances, enemyboxspawner_285_instances, 67108864, 2, (EventFunction)&Frames::col_47_5);
    test_collisions(objeyeblock_191_instances, enemyzapball_207_instances, 2048, 8, (EventFunction)&Frames::col_157_5);
    test_collisions(bullet_143_instances, enemyhoppy_174_instances, 8388608, 2, (EventFunction)&Frames::col_158_5);
    test_collisions_save(enemygearoflaw_286_instances, spawnertoggleblock_314_instances, 128, 2, (EventFunction)&Frames::col_97_5);
    test_collisions(sendright_178_instances, enemylaser_224_instances, 4, 8192, (EventFunction)&Frames::col_160_5);
    test_collisions(hurtbox_196_instances, enemydroppo_244_instances, 134217728, 8, (EventFunction)&Frames::col_48_5);
    test_collisions(screen_170_instances, spikeshooterspawner_171_instances, 512, 1, (EventFunction)&Frames::col_162_5);
    test_collisions(screen_170_instances, spawneratom_197_instances, 1024, 1, (EventFunction)&Frames::col_163_5);
    test_collisions(enemyright_181_instances, enemyshield_323_instances, 1, 1, (EventFunction)&Frames::col_164_5);
    test_collisions_save(tntconveyor_161_instances, tntconveyor_161_instances, 4, 4, (EventFunction)&Frames::col_72_5);
    test_collisions(hurtbox_196_instances, enemyboxman_284_instances, 268435456, 32, (EventFunction)&Frames::col_31_5);
    test_collisions(enemyzapball_207_instances, objjunkblock_288_instances, 16, 2048, (EventFunction)&Frames::col_93_5);
    test_collisions(screen_170_instances, spawnerenemychomper_209_instances, 2048, 1, (EventFunction)&Frames::col_168_5);
    test_collisions(boxdestroyer_159_instances, enemyfloater_187_instances, 512, 8, (EventFunction)&Frames::col_169_5);
    test_collisions(screen_170_instances, spawnerwalker_219_instances, 4096, 1, (EventFunction)&Frames::col_170_5);
    test_collisions_save(objeyeblock_191_instances, enemygearoflaw_286_instances, 4096, 256, (EventFunction)&Frames::col_171_5);
    test_collisions(player_115_instances, objkillplane_261_instances, 256, 1, (EventFunction)&Frames::col_172_5);
    test_collisions(bullet_143_instances, enemychomper_206_instances, 16777216, 2, (EventFunction)&Frames::col_173_5);
    test_collisions(tntstatic_153_instances, boxdestroyer_159_instances, 128, 1024, (EventFunction)&Frames::col_22_5);
    test_collisions(objcheckpoint_112_instances, objenemygate_257_instances, 8, 1, (EventFunction)&Frames::col_101_5);
    test_collisions(screen_170_instances, spawnerevileye_267_instances, 8192, 1, (EventFunction)&Frames::col_176_5);
    test_collisions(screen_170_instances, spawnerbouncycog_293_instances, 16384, 1, (EventFunction)&Frames::col_177_5);
    test_collisions(door_125_instances, objcheckpoint_112_instances, 1, 16, (EventFunction)&Frames::col_71_5);
    test_collisions(screen_170_instances, spawnerlonestar_256_instances, 32768, 1, (EventFunction)&Frames::col_179_5);
    test_collisions(senddown_179_instances, objlasergunorange_278_instances, 8, 4, (EventFunction)&Frames::col_132_5);
    test_collisions(active2_172_instances, hurtbox_196_instances, 4, 536870912, (EventFunction)&Frames::col_181_5);
    test_collisions_save(enemylonestar_255_instances, enemylonestar_255_instances, 32, 32, (EventFunction)&Frames::col_72_5);
    test_collisions(bullet_143_instances, enemyronaldgrantbrook_328_instances, 33554432, 2, (EventFunction)&Frames::col_183_5);
    test_collisions_save(enemylonestar_255_instances, objenemygate_257_instances, 64, 2, (EventFunction)&Frames::col_184_5);
    test_collisions(bullet_143_instances, enemybrokenrobot_214_instances, 67108864, 2, (EventFunction)&Frames::col_185_5);
    test_collisions_save(objcratestopper_258_instances, enemyboxman_284_instances, 8, 64, (EventFunction)&Frames::col_186_5);
    test_collisions(enemyleft_183_instances, enemymobilebrohoriz_236_instances, 2, 16, (EventFunction)&Frames::col_109_5);
    test_collisions_save(tntstatic_153_instances, tntstatic_153_instances, 256, 256, (EventFunction)&Frames::col_72_5);
    test_collisions(hurtbox_196_instances, enemylaserbean_307_instances, 1073741824, 1, (EventFunction)&Frames::col_47_5);
    test_collisions(boxdestroyer_159_instances, enemyboxman_284_instances, 2048, 128, (EventFunction)&Frames::col_3_5);
    test_collisions(boxdestroyer_159_instances, dropposhot_245_instances, 4096, 32, (EventFunction)&Frames::col_3_5);
    test_collisions(screen_170_instances, spawnerboxman_295_instances, 65536, 2, (EventFunction)&Frames::col_192_5);
    test_collisions(senddown_179_instances, spawnerevileye_267_instances, 16, 2, (EventFunction)&Frames::col_193_5);
    test_collisions_save(enemyhoppy_174_instances, objjunkblock_288_instances, 4, 4096, (EventFunction)&Frames::col_97_5);
    test_collisions(objenemybounce_237_instances, objjunkblock_288_instances, 128, 8192, (EventFunction)&Frames::col_195_5);
    test_collisions(screen_170_instances, spawnerdropbro_303_instances, 131072, 1, (EventFunction)&Frames::col_196_5);
    test_collisions(sendleft_180_instances, objlasergunorange_278_instances, 8, 8, (EventFunction)&Frames::col_197_5);
    test_collisions(hurtbox_196_instances, enemyexplosion_200_instances, 2147483648, 1, (EventFunction)&Frames::col_198_5);
    test_collisions(bullet_143_instances, enemylonestarnew_300_instances, 134217728, 4, (EventFunction)&Frames::col_199_5);
    test_collisions(tntstatic_153_instances, enemyexplosion_200_instances, 512, 2, (EventFunction)&Frames::col_200_5);
    test_collisions(bigexplosion_199_instances, objjunkblock_288_instances, 2, 16384, (EventFunction)&Frames::col_93_5);
    test_collisions(enemyright_181_instances, enemyrockiship_249_instances, 2, 8, (EventFunction)&Frames::col_202_5);
    test_collisions(bullet_143_instances, enemyboxspawner_285_instances, 268435456, 4, (EventFunction)&Frames::col_203_5);
    test_collisions(bigexplosion_199_instances, enemyboxman_284_instances, 4, 256, (EventFunction)&Frames::col_125_5);
    test_collisions(objeyeblock_191_instances, homept1_227_instances, 8192, 1, (EventFunction)&Frames::col_205_5);
    test_collisions(sprite_121_instances, enemywalker_218_instances, 8, 8, (EventFunction)&Frames::col_48_5);
    test_collisions(objeyeblock_191_instances, enemyexplosion_200_instances, 16384, 4, (EventFunction)&Frames::col_102_5);
    test_collisions(hurtbox_196_instances, objbonustime_280_instances, 16384, 4, (EventFunction)&Frames::col_208_5);
    test_collisions(screen_170_instances, spawnerscrewthrower_294_instances, 262144, 1, (EventFunction)&Frames::col_209_5);
    test_collisions(senddown_179_instances, spawnersnipereye_268_instances, 32, 2, (EventFunction)&Frames::col_210_5);
    test_collisions(enemyleft_183_instances, enemyshield_323_instances, 4, 2, (EventFunction)&Frames::col_211_5);
    test_collisions(objeyeblock_191_instances, objenemybounce_237_instances, 32768, 256, (EventFunction)&Frames::col_131_5);
    test_collisions(player_115_instances, hurter_154_instances, 512, 1, (EventFunction)&Frames::col_213_5);
    test_collisions(bullet_143_instances, enemyevileye_266_instances, 536870912, 8, (EventFunction)&Frames::col_214_5);
    test_collisions(screen_170_instances, spawnersmasher_332_instances, 524288, 1, (EventFunction)&Frames::col_215_5);
    test_collisions(enemyflashbullet_190_instances, objeyeblock_191_instances, 8, 65536, (EventFunction)&Frames::col_216_5);
    test_collisions(hurtbox_196_instances, enemydangerned_239_instances, 8, 65536, (EventFunction)&Frames::col_48_5);
    test_collisions(screen_170_instances, spawnerspikyboy_240_instances, 1048576, 1, (EventFunction)&Frames::col_218_5);
    test_collisions(bigexplosion_199_instances, enemyboxspawner_285_instances, 8, 8, (EventFunction)&Frames::col_219_5);
    test_collisions(bullet_143_instances, enemyhomingcog_283_instances, 1073741824, 4, (EventFunction)&Frames::col_220_5);
    test_collisions(enemyzapball_207_instances, objshootspawner_254_instances, 32, 16, (EventFunction)&Frames::col_221_5);
    test_collisions(vertdetector_129_instances, boxdestroyer_159_instances, 2, 8192, (EventFunction)&Frames::col_222_5);
    test_collisions(active2_172_instances, enemyrockiship_249_instances, 8, 16, (EventFunction)&Frames::col_223_5);
    test_collisions(hurtbox_196_instances, objcollisionbox_318_instances, 8, 16, (EventFunction)&Frames::col_224_5);
    test_collisions(player_115_instances, tntstatic_153_instances, 1024, 1024, (EventFunction)&Frames::col_225_5);
    test_collisions(bullet_143_instances, enemymobilebrohoriz_236_instances, 2147483648, 32, (EventFunction)&Frames::col_226_5);
    test_collisions(enemyright_181_instances, enemymobilebrohoriz_236_instances, 4, 64, (EventFunction)&Frames::col_227_5);
    test_collisions(detector_116_instances, objeyeblock_191_instances, 64, 131072, (EventFunction)&Frames::col_228_5);
    test_collisions(enemyfloater_187_instances, homept1_227_instances, 16, 2, (EventFunction)&Frames::col_74_5);
    test_collisions(screen_170_instances, spawnermobilebro_238_instances, 2097152, 4, (EventFunction)&Frames::col_230_5);
    test_collisions_save(enemyboxman_284_instances, objcogblock_287_instances, 512, 16, (EventFunction)&Frames::col_231_5);
    test_collisions(bullet_143_instances, tntstatic_153_instances, 512, 16, (EventFunction)&Frames::col_232_5);
    test_collisions(bullet_143_instances, enemylonestar_255_instances, 512, 16, (EventFunction)&Frames::col_233_5);
    test_collisions(detector_116_instances, objectdashblockright_211_instances, 128, 1, (EventFunction)&Frames::col_234_5);
    test_collisions(active2_172_instances, objjunkblock_288_instances, 16, 32768, (EventFunction)&Frames::col_87_5);
    test_collisions(sendright_178_instances, objlasergun_223_instances, 8, 8, (EventFunction)&Frames::col_236_5);
    test_collisions(bullet_143_instances, enemyfloater_187_instances, 8, 8, (EventFunction)&Frames::col_237_5);
    test_collisions(objenemybounce_237_instances, enemypithopper_327_instances, 512, 2, (EventFunction)&Frames::col_238_5);
    test_collisions(sendup_176_instances, enemylaser_224_instances, 8, 16384, (EventFunction)&Frames::col_239_5);
    test_collisions(hurtbox_196_instances, enemypithopper_327_instances, 8, 16384, (EventFunction)&Frames::col_48_5);
    test_collisions(sendleft_180_instances, enemylaser_224_instances, 16, 32768, (EventFunction)&Frames::col_241_5);
    test_collisions(explosion_152_instances, enemylonestar_255_instances, 16, 128, (EventFunction)&Frames::col_242_5);
    test_collisions(sendup_176_instances, objlasergunorange_278_instances, 16, 16, (EventFunction)&Frames::col_243_5);
    test_collisions(screen_170_instances, active10_39_instances, 4194304, 1, (EventFunction)&Frames::col_244_5);
    test_collisions(screen_170_instances, spawnerrockitship_250_instances, 8388608, 1, (EventFunction)&Frames::col_245_5);
    test_collisions(hurtbox_196_instances, enemycannonroot_309_instances, 8388608, 1, (EventFunction)&Frames::col_246_5);
    test_collisions(bigexplosion_199_instances, objshootspawner_254_instances, 16, 32, (EventFunction)&Frames::col_221_5);
    test_collisions(active2_172_instances, enemyfloater_187_instances, 32, 32, (EventFunction)&Frames::col_248_5);
    test_collisions(enemylaser_224_instances, active7_8_instances, 65536, 4, (EventFunction)&Frames::col_249_5);
    test_collisions(bullet_143_instances, enemyshield_323_instances, 65536, 4, (EventFunction)&Frames::col_250_5);
    test_collisions(player_115_instances, objectdashblockup_213_instances, 2048, 1, (EventFunction)&Frames::col_251_5);
    test_collisions(screen_170_instances, objtntspawner_260_instances, 16777216, 2, (EventFunction)&Frames::col_252_5);
    test_collisions(hurtbox_196_instances, enemyshield_323_instances, 16777216, 2, (EventFunction)&Frames::col_80_5);
    test_collisions(screen_170_instances, spawnersnipereye_268_instances, 33554432, 4, (EventFunction)&Frames::col_254_5);
    test_collisions(sendup_176_instances, spawnerevileye_267_instances, 32, 4, (EventFunction)&Frames::col_255_5);
    test_collisions(boxdestroyer_159_instances, tntconveyor_161_instances, 16384, 8, (EventFunction)&Frames::col_3_5);
    test_collisions(boxdestroyer_159_instances, enemyhoppy_174_instances, 32768, 8, (EventFunction)&Frames::col_257_5);
    ObjectList::iterator it1, it2;
    for (it1 = tntconveyor_161_instances.begin(); it1 != tntconveyor_161_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background_save()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_97_5();
    }
    for (it1 = enemyronaldgrantbrook_328_instances.begin(); it1 != enemyronaldgrantbrook_328_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background_save()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_97_5();
    }
    for (it1 = enemyzapball_207_instances.begin(); it1 != enemyzapball_207_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_261_5();
    }
    for (it1 = enemyflashbullet_190_instances.begin(); it1 != enemyflashbullet_190_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_275_5();
    }
    for (it1 = dropposhot_245_instances.begin(); it1 != dropposhot_245_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_262_5();
    }
    for (it1 = enemylonestar_255_instances.begin(); it1 != enemylonestar_255_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background_save()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_184_5();
    }
    for (it1 = enemysmasher_331_instances.begin(); it1 != enemysmasher_331_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background_save()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_259_5();
    }
    for (it1 = enemylonestarnew_300_instances.begin(); it1 != enemylonestarnew_300_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background_save()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_97_5();
    }
    for (it1 = enemygearoflaw_286_instances.begin(); it1 != enemygearoflaw_286_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background_save()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_266_5();
    }
    for (it1 = enemywalker_218_instances.begin(); it1 != enemywalker_218_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background_save()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_274_5();
    }
    for (it1 = enemyhomingcog_283_instances.begin(); it1 != enemyhomingcog_283_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_267_5();
    }
    for (it1 = tntstatic_153_instances.begin(); it1 != tntstatic_153_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background_save()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_97_5();
    }
    for (it1 = objcheckpoint_112_instances.begin(); it1 != objcheckpoint_112_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_101_5();
    }
    for (it1 = objcheckpointspawner_252_instances.begin(); it1 != objcheckpointspawner_252_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_271_5();
    }
    for (it1 = enemyboxman_284_instances.begin(); it1 != enemyboxman_284_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background_save()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_97_5();
    }
    for (it1 = enemyblobululephase1_233_instances.begin(); it1 != enemyblobululephase1_233_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background_save()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_97_5();
    }
    for (it1 = enemyblobululephase2_234_instances.begin(); it1 != enemyblobululephase2_234_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background_save()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_265_5();
    }
    for (it1 = enemyhoppy_174_instances.begin(); it1 != enemyhoppy_174_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background_save()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_97_5();
    }
}
void Frames::event_func_480()
{
    // event 1_5
    {
        // group: Moving Platforms
        movingplatform_119_instances.clear_selection();
        for (ObjectIterator it(movingplatform_119_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()+((Active*)*it)->alterables->values.get(0));
        }
    }
    event_1_5_end: ;
}
void Frames::event_func_481()
{
    // event 2_5
    {
        // group: Moving Platforms
        platform2_120_instances.clear_selection();
        movingplatform_119_instances.clear_selection();
        if (!check_overlap(platform2_120_instances, movingplatform_119_instances)) goto event_2_5_end;
        for (ObjectIterator it(platform2_120_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_single(movingplatform_119_instances, it.current_index));
            if (parent == NULL) goto pos_end_2_5_0;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_2_5_0: ;
        }
    }
    event_2_5_end: ;
}
void Frames::event_func_482()
{
    // event 3_5
    {
        // group: Moving Platforms
        movingplatform_119_instances.clear_selection();
        enemyleft_183_instances.clear_selection();
        if (!check_overlap(movingplatform_119_instances, enemyleft_183_instances)) goto event_3_5_end;
        for (ObjectIterator it(movingplatform_119_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, -2); // 'Moving Platform'
        }
    }
    event_3_5_end: ;
}
void Frames::event_func_483()
{
    // event 4_5
    {
        // group: Moving Platforms
        movingplatform_119_instances.clear_selection();
        enemyright_181_instances.clear_selection();
        if (!check_overlap(movingplatform_119_instances, enemyright_181_instances)) goto event_4_5_end;
        for (ObjectIterator it(movingplatform_119_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 2); // 'Moving Platform'
        }
    }
    event_4_5_end: ;
}
void Frames::event_func_484()
{
    // event 6_5
    {
        // group: Gravity/Jump
        if (is_player_pressed(1, CONTROL_BUTTON1)) goto event_6_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) < (0))) goto event_6_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, ((Active*)get_instance(player_115_instances))->alterables->values.get(0)+0.45); // 'Player'
    }
    event_6_5_end: ;
}
void Frames::event_func_485()
{
    // event 7_5
    {
        // group: Gravity/Jump
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) < (10))) goto event_7_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, ((Active*)get_instance(player_115_instances))->alterables->values.get(0)+0.45); // 'Player'
    }
    event_7_5_end: ;
}
void Frames::event_func_486()
{
    // event 8_5
    {
        // group: Gravity/Jump
        detector_116_instances.clear_selection();
        spring_126_instances.clear_selection();
        if (!check_overlap(detector_116_instances, spring_126_instances)) goto event_8_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) > (0))) goto event_8_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, -12); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(2, 1); // 'Player'
        for (ObjectIterator it(spring_126_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    event_8_5_end: ;
}
void Frames::event_func_487()
{
    // event 9_5
    {
        // group: Gravity/Jump
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) != (0))) goto event_9_5_end;
        {
            loop_gravity_running = true;
            int times = int(get_abs(((Active*)get_instance(player_115_instances))->alterables->values.get(0)));
            loop_gravity_index = 0;
            while (loop_gravity_index < times) {
                loop_gravity_5();
                if (!loop_gravity_running) break;
                loop_gravity_index++;
            }
        }
    }
    event_9_5_end: ;
}
void Frames::event_func_488()
{
    // event 10_5
    {
        // group: Gravity/Jump
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_10_5_end;
        if (!(((Active*)get_instance(detector_116_instances))->overlaps_background())) goto event_10_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(8)) == (0))) goto event_10_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(2, 1); // 'Player'
    }
    event_10_5_end: ;
}
void Frames::event_func_489()
{
    // event 11_5
    {
        // group: Gravity/Jump
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_11_5_end;
        detector_116_instances.clear_selection();
        platform_117_instances.clear_selection();
        if (!check_overlap(detector_116_instances, platform_117_instances)) goto event_11_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(8)) == (0))) goto event_11_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(2, 1); // 'Player'
    }
    event_11_5_end: ;
}
void Frames::event_func_490()
{
    // event 12_5
    {
        // group: Gravity/Jump
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_12_5_end;
        detector_116_instances.clear_selection();
        platform2_120_instances.clear_selection();
        if (!check_overlap(detector_116_instances, platform2_120_instances)) goto event_12_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(8)) == (0))) goto event_12_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(2, 1); // 'Player'
    }
    event_12_5_end: ;
}
void Frames::event_func_491()
{
    // event 13_5
    {
        // group: Gravity/Jump
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_13_5_end;
        detector_116_instances.clear_selection();
        tntstatic_153_instances.clear_selection();
        if (!check_overlap(detector_116_instances, tntstatic_153_instances)) goto event_13_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(8)) == (0))) goto event_13_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(2, 1); // 'Player'
    }
    event_13_5_end: ;
}
void Frames::event_func_492()
{
    // event 14_5
    {
        // group: Gravity/Jump
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_14_5_end;
        detector_116_instances.clear_selection();
        tntconveyor_161_instances.clear_selection();
        if (!check_overlap(detector_116_instances, tntconveyor_161_instances)) goto event_14_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(8)) == (0))) goto event_14_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(2, 1); // 'Player'
    }
    event_14_5_end: ;
}
void Frames::event_func_493()
{
    // event 23_5
    {
        // group: Gravity/Jump
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_23_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(8)) == (0))) goto event_23_5_end;
        if (!((global_values->get(1)) == (1))) goto event_23_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(18)) == (1))) goto event_23_5_end;
        if (!((((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(5)) == (0))) goto event_23_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, -7); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(2, 0); // 'Player'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(5, 1); // 'FrameDataStore'
    }
    event_23_5_end: ;
}
void Frames::event_func_494()
{
    // event 24_5
    {
        // group: Gravity/Jump
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(18)) == (0))) goto event_24_5_end;
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(5, 0); // 'FrameDataStore'
    }
    event_24_5_end: ;
}
void Frames::event_func_495()
{
    // event 25_5
    {
        // group: Gravity/Jump
        if (is_player_pressed(1, CONTROL_BUTTON1)) goto event_25_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(2)) == (1))) goto event_25_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(8)) == (0))) goto event_25_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) < (0))) goto event_25_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.add(0, 1); // 'Player'
    }
    event_25_5_end: ;
}
void Frames::event_func_496()
{
    // event 26_5
    {
        // group: Horizontal
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_26_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(4)) == (0))) goto event_26_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(8)) == (0))) goto event_26_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(1, -3); // 'Player'
    }
    event_26_5_end: ;
}
void Frames::event_func_497()
{
    // event 27_5
    {
        // group: Horizontal
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_27_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(4)) == (0))) goto event_27_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(8)) == (0))) goto event_27_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(1, 3); // 'Player'
    }
    event_27_5_end: ;
}
void Frames::event_func_498()
{
    // event 28_5
    {
        // group: Horizontal
        if (is_player_pressed(1, CONTROL_LEFT)) goto event_28_5_end;
        if (is_player_pressed(1, CONTROL_RIGHT)) goto event_28_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(7)) == (0))) goto event_28_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(4)) == (0))) goto event_28_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(1, 0); // 'Player'
    }
    event_28_5_end: ;
}
void Frames::event_func_499()
{
    // event 29_5
    {
        // group: Horizontal
        detector_116_instances.clear_selection();
        platform2_120_instances.clear_selection();
        if (!check_overlap(detector_116_instances, platform2_120_instances)) goto event_29_5_end;
        movingplatform_119_instances.clear_selection();
        if (!check_overlap(platform2_120_instances, movingplatform_119_instances)) goto event_29_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) >= (0))) goto event_29_5_end;
        if (((Active*)get_instance(detector_116_instances))->overlaps_background()) goto event_29_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.add(1, ((Active*)get_single(movingplatform_119_instances, default_active_instance))->alterables->values.get(0)); // 'Player'
    }
    event_29_5_end: ;
}
void Frames::event_func_500()
{
    // event 30_5
    {
        // group: Horizontal
        detector_116_instances.clear_selection();
        conveyorr_123_instances.clear_selection();
        if (!check_overlap(detector_116_instances, conveyorr_123_instances)) goto event_30_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) >= (0))) goto event_30_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.add(1, 2); // 'Player'
    }
    event_30_5_end: ;
}
void Frames::event_func_501()
{
    // event 31_5
    {
        // group: Horizontal
        detector_116_instances.clear_selection();
        conveyorl_122_instances.clear_selection();
        if (!check_overlap(detector_116_instances, conveyorl_122_instances)) goto event_31_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) >= (0))) goto event_31_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.sub(1, 2); // 'Player'
    }
    event_31_5_end: ;
}
void Frames::event_func_502()
{
    // event 32_5
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(1)) != (0))) goto event_32_5_end;
        {
            loop_horiz_running = true;
            int times = int(get_abs(((Active*)get_instance(player_115_instances))->alterables->values.get(1)));
            loop_horiz_index = 0;
            while (loop_horiz_index < times) {
                loop_horiz_5();
                if (!loop_horiz_running) break;
                loop_horiz_index++;
            }
        }
    }
    event_32_5_end: ;
}
void Frames::event_func_503()
{
    // event 37_5
    {
        // group: Horizontal
        if (!(is_player_pressed_once(1, CONTROL_BUTTON3))) goto event_37_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(4)) == (0))) goto event_37_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(1))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_37_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(8)) == (0))) goto event_37_5_end;
        if (!((global_values->get(4)) == (1))) goto event_37_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 16); // 'Player'
    }
    event_37_5_end: ;
}
void Frames::event_func_504()
{
    // event 38_5
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(4)) > (0))) goto event_38_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.sub(4, 1); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(1, 9); // 'Player'
    }
    event_38_5_end: ;
}
void Frames::event_func_505()
{
    // event 39_5
    {
        // group: Horizontal
        if (!(is_player_pressed_once(1, CONTROL_BUTTON3))) goto event_39_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(4)) == (0))) goto event_39_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(65536))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_39_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(8)) == (0))) goto event_39_5_end;
        if (!((global_values->get(4)) == (1))) goto event_39_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, -16); // 'Player'
    }
    event_39_5_end: ;
}
void Frames::event_func_506()
{
    // event 40_5
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(4)) < (0))) goto event_40_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.sub(4, -1); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(1, -9); // 'Player'
    }
    event_40_5_end: ;
}
void Frames::event_func_507()
{
    // event 41_5
    {
        // group: Horizontal
        if (((Active*)get_instance(detector_116_instances))->overlaps_background()) goto event_41_5_end;
        detector_116_instances.clear_selection();
        if (!check_not_overlap(detector_116_instances, dissappear_175_instances)) goto event_41_5_end;
        if (!check_not_overlap(detector_116_instances, vertdetector_129_instances)) goto event_41_5_end;
        if (!check_not_overlap(detector_116_instances, movingplatform_119_instances)) goto event_41_5_end;
        if (!check_not_overlap(detector_116_instances, objenemygate_257_instances)) goto event_41_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(18, 1); // 'Player'
    }
    event_41_5_end: ;
}
void Frames::event_func_508()
{
    // event 42_5
    {
        // group: Horizontal
        detector_116_instances.clear_selection();
        if (!check_not_overlap(detector_116_instances, objeyeblock_191_instances)) goto event_42_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(18, 1); // 'Player'
    }
    event_42_5_end: ;
}
void Frames::event_func_509()
{
    // event 43_5
    {
        // group: Horizontal
        detector_116_instances.clear_selection();
        if (!check_not_overlap(detector_116_instances, objcogblock_287_instances)) goto event_43_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(18, 1); // 'Player'
    }
    event_43_5_end: ;
}
void Frames::event_func_510()
{
    // event 44_5
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(18)) == (1))) goto event_44_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(4)) == (1))) goto event_44_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.add(4, 1); // 'Player'
    }
    event_44_5_end: ;
}
void Frames::event_func_511()
{
    // event 45_5
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(18)) == (1))) goto event_45_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(4)) == (-1))) goto event_45_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.add(4, -1); // 'Player'
    }
    event_45_5_end: ;
}
void Frames::event_func_512()
{
    // event 46_5
    bool or_result_46_5 = false;
    bool or_temp_result_46_5_0 = false;
    {
        // group: Horizontal
        detector_116_instances.clear_selection();
        for (ObjectIterator it(detector_116_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->overlaps_background())) { it.deselect(); continue; }
        }
        if (!detector_116_instances.has_selection()) goto or_event_46_5_0_end;
        or_result_46_5 = true;
        or_temp_result_46_5_0 = true;
    }
    or_event_46_5_0_end: ;
    detector_116_instances.clear_saved_selection();
    if (or_temp_result_46_5_0) {
        detector_116_instances.save_selection();
    }
    // event 46_5
    bool or_temp_result_46_5_1 = false;
    {
        // group: Horizontal
        detector_116_instances.clear_selection();
        movingplatform_119_instances.clear_selection();
        if (!check_overlap(detector_116_instances, movingplatform_119_instances)) goto or_event_46_5_1_end;
        or_result_46_5 = true;
        or_temp_result_46_5_1 = true;
    }
    or_event_46_5_1_end: ;
    movingplatform_119_instances.clear_saved_selection();
    if (or_temp_result_46_5_1) {
        detector_116_instances.save_selection();
        movingplatform_119_instances.save_selection();
    }
    // event 46_5
    bool or_temp_result_46_5_2 = false;
    {
        // group: Horizontal
        detector_116_instances.clear_selection();
        vertdetector_129_instances.clear_selection();
        if (!check_overlap(detector_116_instances, vertdetector_129_instances)) goto or_event_46_5_2_end;
        or_result_46_5 = true;
        or_temp_result_46_5_2 = true;
    }
    or_event_46_5_2_end: ;
    vertdetector_129_instances.clear_saved_selection();
    if (or_temp_result_46_5_2) {
        vertdetector_129_instances.save_selection();
        detector_116_instances.save_selection();
    }
    // event 46_5
    bool or_temp_result_46_5_3 = false;
    {
        // group: Horizontal
        detector_116_instances.clear_selection();
        dissappear_175_instances.clear_selection();
        if (!check_overlap(detector_116_instances, dissappear_175_instances)) goto or_event_46_5_3_end;
        or_result_46_5 = true;
        or_temp_result_46_5_3 = true;
    }
    or_event_46_5_3_end: ;
    dissappear_175_instances.clear_saved_selection();
    if (or_temp_result_46_5_3) {
        detector_116_instances.save_selection();
        dissappear_175_instances.save_selection();
    }
    // event 46_5
    bool or_temp_result_46_5_4 = false;
    {
        // group: Horizontal
        detector_116_instances.clear_selection();
        objeyeblock_191_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objeyeblock_191_instances)) goto or_event_46_5_4_end;
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_191_instances.has_selection()) goto or_event_46_5_4_end;
        or_result_46_5 = true;
        or_temp_result_46_5_4 = true;
    }
    or_event_46_5_4_end: ;
    objeyeblock_191_instances.clear_saved_selection();
    if (or_temp_result_46_5_4) {
        detector_116_instances.save_selection();
        objeyeblock_191_instances.save_selection();
    }
    // event 46_5
    bool or_temp_result_46_5_5 = false;
    {
        // group: Horizontal
        detector_116_instances.clear_selection();
        objenemygate_257_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objenemygate_257_instances)) goto or_event_46_5_5_end;
        or_result_46_5 = true;
        or_temp_result_46_5_5 = true;
    }
    or_event_46_5_5_end: ;
    objenemygate_257_instances.clear_saved_selection();
    if (or_temp_result_46_5_5) {
        objenemygate_257_instances.save_selection();
        detector_116_instances.save_selection();
    }
    // event 46_5
    bool or_temp_result_46_5_6 = false;
    {
        // group: Horizontal
        detector_116_instances.clear_selection();
        objcogblock_287_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objcogblock_287_instances)) goto or_event_46_5_6_end;
        for (ObjectIterator it(objcogblock_287_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objcogblock_287_instances.has_selection()) goto or_event_46_5_6_end;
        or_result_46_5 = true;
        or_temp_result_46_5_6 = true;
    }
    or_event_46_5_6_end: ;
    objcogblock_287_instances.clear_saved_selection();
    if (or_temp_result_46_5_6) {
        detector_116_instances.save_selection();
        objcogblock_287_instances.save_selection();
    }
    // event 46_5
    bool or_temp_result_46_5_7 = false;
    {
        // group: Horizontal
        detector_116_instances.clear_selection();
        objjunkblock_288_instances.clear_selection();
        if (!check_overlap(detector_116_instances, objjunkblock_288_instances)) goto or_event_46_5_7_end;
        or_result_46_5 = true;
        or_temp_result_46_5_7 = true;
        or_event_46_5_7_end: ;
        objjunkblock_288_instances.clear_saved_selection();
        if (or_temp_result_46_5_7) {
            detector_116_instances.save_selection();
            objjunkblock_288_instances.save_selection();
        }
        if (!or_result_46_5) goto or_final_or_event_46_5_7_end;
        detector_116_instances.empty_selection();
        objeyeblock_191_instances.empty_selection();
        objjunkblock_288_instances.empty_selection();
        vertdetector_129_instances.empty_selection();
        movingplatform_119_instances.empty_selection();
        dissappear_175_instances.empty_selection();
        objcogblock_287_instances.empty_selection();
        objenemygate_257_instances.empty_selection();
        if (or_temp_result_46_5_2) {
            vertdetector_129_instances.restore_selection();
        }
        if (or_temp_result_46_5_5) {
            objenemygate_257_instances.restore_selection();
        }
        if (or_temp_result_46_5_6) {
            objcogblock_287_instances.restore_selection();
        }
        if (or_temp_result_46_5_3) {
            dissappear_175_instances.restore_selection();
        }
        if (or_temp_result_46_5_0 || or_temp_result_46_5_1 || or_temp_result_46_5_2 || or_temp_result_46_5_3 || or_temp_result_46_5_4 || or_temp_result_46_5_5 || or_temp_result_46_5_6 || or_temp_result_46_5_7) {
            detector_116_instances.restore_selection();
        }
        if (or_temp_result_46_5_1) {
            movingplatform_119_instances.restore_selection();
        }
        if (or_temp_result_46_5_4) {
            objeyeblock_191_instances.restore_selection();
        }
        if (or_temp_result_46_5_7) {
            objjunkblock_288_instances.restore_selection();
        }
        player_115_instances.clear_selection();
        for (ObjectIterator it(player_115_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(18, 0); // 'Player'
        }
    }
    or_final_or_event_46_5_7_end: ;
}
void Frames::event_func_513()
{
    // event 47_5
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(4)) > (0))) goto event_47_5_end;
        if (!(is_player_pressed_once(1, CONTROL_LEFT))) goto event_47_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
    }
    event_47_5_end: ;
}
void Frames::event_func_514()
{
    // event 48_5
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(4)) < (0))) goto event_48_5_end;
        if (!(is_player_pressed_once(1, CONTROL_RIGHT))) goto event_48_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
    }
    event_48_5_end: ;
}
void Frames::event_func_515()
{
    // event 50_5
    {
        // group: Horizontal
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_y()) != (((Active*)get_instance(player_115_instances))->get_y()+16))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_50_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_50_5_0;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 16);
            pos_end_50_5_0: ;
        }
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_50_5_1;
            ((Active*)get_instance(hurtbox_196_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_50_5_1: ;
        }
    }
    event_50_5_end: ;
}
void Frames::event_func_516()
{
    // event 51_5
    {
        // group: Horizontal
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) != (((Active*)get_instance(player_115_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_51_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_51_5_0;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 16);
            pos_end_51_5_0: ;
        }
        {
            FrameObject * parent = ((Active*)get_instance(player_115_instances));
            if (parent == NULL) goto pos_end_51_5_1;
            ((Active*)get_instance(hurtbox_196_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_51_5_1: ;
        }
    }
    event_51_5_end: ;
}
void Frames::event_func_517()
{
    // event 52_5
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(18)) == (0))) goto event_52_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(4)) == (2))) goto event_52_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.add(4, -1); // 'Player'
    }
    event_52_5_end: ;
}
void Frames::event_func_518()
{
    // event 53_5
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(18)) == (0))) goto event_53_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(4)) == (-2))) goto event_53_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.add(4, 1); // 'Player'
    }
    event_53_5_end: ;
}
void Frames::event_func_519()
{
    // event 54_5
    {
        // group: Horizontal
        if (is_player_pressed(1, CONTROL_BUTTON3)) goto event_54_5_end;
        if (!((global_values->get(5)) == (1))) goto event_54_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(19)) == (0))) goto event_54_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
    }
    event_54_5_end: ;
}
void Frames::event_func_520()
{
    // event 56_5
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(19)) > (0))) goto event_56_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.sub(19, 1); // 'Player'
    }
    event_56_5_end: ;
}
void Frames::event_func_521()
{
    // event 57_5
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(4)) != (0))) goto event_57_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(13, 1.2); // 'Player'
    }
    event_57_5_end: ;
}
void Frames::event_func_522()
{
    // event 58_5
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(4)) == (0))) goto event_58_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(12)) == (0))) goto event_58_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(13, 1); // 'Player'
    }
    event_58_5_end: ;
}
void Frames::event_func_523()
{
    // event 59_5
    {
        // group: Animations
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_59_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(8)) == (0))) goto event_59_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(0);
            ((Active*)*it)->alterables->values.set(0, 1); // 'Sprite'
        }
    }
    event_59_5_end: ;
}
void Frames::event_func_524()
{
    // event 60_5
    {
        // group: Animations
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_60_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(8)) == (0))) goto event_60_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(16);
            ((Active*)*it)->alterables->values.set(0, -1); // 'Sprite'
        }
    }
    event_60_5_end: ;
}
void Frames::event_func_525()
{
    // event 61_5
    {
        // group: Animations
        if (is_player_pressed(1, CONTROL_RIGHT)) goto event_61_5_end;
        if (is_player_pressed(1, CONTROL_LEFT)) goto event_61_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 0); // 'Sprite'
        }
    }
    event_61_5_end: ;
}
void Frames::event_func_526()
{
    // event 62_5
    {
        // group: Animations
        if (!(((Active*)get_instance(detector_116_instances))->overlaps_background())) goto event_62_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_62_5_end;
        detector_116_instances.clear_selection();
        if (!check_not_overlap(detector_116_instances, vertdetector_129_instances)) goto event_62_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(22)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_62_5_end;
        if (is_player_pressed(1, CONTROL_DOWN)) goto event_62_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_62_5_end: ;
}
void Frames::event_func_527()
{
    // event 63_5
    {
        // group: Animations
        detector_116_instances.clear_selection();
        tntstatic_153_instances.clear_selection();
        if (!check_overlap(detector_116_instances, tntstatic_153_instances)) goto event_63_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_63_5_end;
        if (!check_not_overlap(detector_116_instances, vertdetector_129_instances)) goto event_63_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_63_5_end: ;
}
void Frames::event_func_528()
{
    // event 64_5
    {
        // group: Animations
        detector_116_instances.clear_selection();
        platform_117_instances.clear_selection();
        if (!check_overlap(detector_116_instances, platform_117_instances)) goto event_64_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_64_5_end;
        if (!check_not_overlap(detector_116_instances, vertdetector_129_instances)) goto event_64_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_64_5_end: ;
}
void Frames::event_func_529()
{
    // event 65_5
    {
        // group: Animations
        detector_116_instances.clear_selection();
        platform2_120_instances.clear_selection();
        if (!check_overlap(detector_116_instances, platform2_120_instances)) goto event_65_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_65_5_end;
        if (!check_not_overlap(detector_116_instances, vertdetector_129_instances)) goto event_65_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_65_5_end: ;
}
void Frames::event_func_530()
{
    // event 68_5
    {
        // group: Animations
        if (!(((Active*)get_instance(detector_116_instances))->overlaps_background())) goto event_68_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_68_5_end;
        detector_116_instances.clear_selection();
        if (!check_not_overlap(detector_116_instances, vertdetector_129_instances)) goto event_68_5_end;
        if (not_always_68_5_0 > loop_count) {
            not_always_68_5_0 = loop_count + 2;
            goto event_68_5_end;
        }
        not_always_68_5_0 = loop_count + 2;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_68_5_end: ;
}
void Frames::event_func_531()
{
    // event 69_5
    {
        // group: Animations
        if (!(is_key_pressed_once(SDLK_w))) goto event_69_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->restore_animation();
            ((Active*)*it)->force_animation(15);
        }
    }
    event_69_5_end: ;
}
void Frames::event_func_532()
{
    // event 70_5
    {
        // group: Animations
        detector_116_instances.clear_selection();
        tntstatic_153_instances.clear_selection();
        if (!check_overlap(detector_116_instances, tntstatic_153_instances)) goto event_70_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_70_5_end;
        if (!check_not_overlap(detector_116_instances, vertdetector_129_instances)) goto event_70_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->restore_animation();
            ((Active*)*it)->force_animation(15);
        }
    }
    event_70_5_end: ;
}
void Frames::event_func_533()
{
    // event 71_5
    {
        // group: Animations
        if (!(((Active*)get_instance(detector_116_instances))->overlaps_background())) goto event_71_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_71_5_end;
        detector_116_instances.clear_selection();
        if (!check_not_overlap(detector_116_instances, vertdetector_129_instances)) goto event_71_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_71_5_end: ;
}
void Frames::event_func_534()
{
    // event 72_5
    {
        // group: Animations
        player_115_instances.clear_selection();
        vertdetector_129_instances.clear_selection();
        if (!check_overlap(player_115_instances, vertdetector_129_instances)) goto event_72_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_72_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_72_5_end: ;
}
void Frames::event_func_535()
{
    // event 73_5
    {
        // group: Animations
        detector_116_instances.clear_selection();
        platform_117_instances.clear_selection();
        if (!check_overlap(detector_116_instances, platform_117_instances)) goto event_73_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) >= (0))) goto event_73_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_73_5_end;
        if (!check_not_overlap(detector_116_instances, vertdetector_129_instances)) goto event_73_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_73_5_end: ;
}
void Frames::event_func_536()
{
    // event 74_5
    {
        // group: Animations
        detector_116_instances.clear_selection();
        tntstatic_153_instances.clear_selection();
        if (!check_overlap(detector_116_instances, tntstatic_153_instances)) goto event_74_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) >= (0))) goto event_74_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_74_5_end;
        if (!check_not_overlap(detector_116_instances, vertdetector_129_instances)) goto event_74_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_74_5_end: ;
}
void Frames::event_func_537()
{
    // event 75_5
    {
        // group: Animations
        detector_116_instances.clear_selection();
        tntconveyor_161_instances.clear_selection();
        if (!check_overlap(detector_116_instances, tntconveyor_161_instances)) goto event_75_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) >= (0))) goto event_75_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_75_5_end;
        if (!check_not_overlap(detector_116_instances, vertdetector_129_instances)) goto event_75_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_75_5_end: ;
}
void Frames::event_func_538()
{
    // event 76_5
    {
        // group: Animations
        detector_116_instances.clear_selection();
        platform2_120_instances.clear_selection();
        if (!check_overlap(detector_116_instances, platform2_120_instances)) goto event_76_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) >= (0))) goto event_76_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_76_5_end;
        if (!check_not_overlap(detector_116_instances, vertdetector_129_instances)) goto event_76_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_76_5_end: ;
}
void Frames::event_func_539()
{
    // event 77_5
    {
        // group: Animations
        if (((Active*)get_instance(detector_116_instances))->overlaps_background()) goto event_77_5_end;
        detector_116_instances.clear_selection();
        if (!check_not_overlap(detector_116_instances, platform2_120_instances)) goto event_77_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) > (0))) goto event_77_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_77_5_end;
        player_115_instances.clear_selection();
        if (!check_not_overlap(player_115_instances, vertdetector_129_instances)) goto event_77_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_77_5_end;
        if (!check_not_overlap(detector_116_instances, dissappear_175_instances)) goto event_77_5_end;
        if (!check_not_overlap(detector_116_instances, objeyeblock_191_instances)) goto event_77_5_end;
        if (!check_not_overlap(detector_116_instances, platform_117_instances)) goto event_77_5_end;
        if (!check_not_overlap(detector_116_instances, tntconveyor_161_instances)) goto event_77_5_end;
        if (!check_not_overlap(detector_116_instances, tntstatic_153_instances)) goto event_77_5_end;
        if (!check_not_overlap(detector_116_instances, objenemygate_257_instances)) goto event_77_5_end;
        if (!check_not_overlap(detector_116_instances, objcogblock_287_instances)) goto event_77_5_end;
        if (!check_not_overlap(detector_116_instances, objjunkblock_288_instances)) goto event_77_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(8);
        }
    }
    event_77_5_end: ;
}
void Frames::event_func_540()
{
    // event 78_5
    {
        // group: Animations
        if (((Active*)get_instance(detector_116_instances))->overlaps_background()) goto event_78_5_end;
        detector_116_instances.clear_selection();
        if (!check_not_overlap(detector_116_instances, platform_117_instances)) goto event_78_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) <= (0))) goto event_78_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_78_5_end;
        player_115_instances.clear_selection();
        if (!check_not_overlap(player_115_instances, vertdetector_129_instances)) goto event_78_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_78_5_end;
        if (!check_not_overlap(detector_116_instances, dissappear_175_instances)) goto event_78_5_end;
        if (!check_not_overlap(detector_116_instances, vertdetector_129_instances)) goto event_78_5_end;
        if (!check_not_overlap(detector_116_instances, objeyeblock_191_instances)) goto event_78_5_end;
        if (!check_not_overlap(detector_116_instances, platform2_120_instances)) goto event_78_5_end;
        if (!check_not_overlap(detector_116_instances, tntconveyor_161_instances)) goto event_78_5_end;
        if (!check_not_overlap(detector_116_instances, tntstatic_153_instances)) goto event_78_5_end;
        if (!check_not_overlap(detector_116_instances, objenemygate_257_instances)) goto event_78_5_end;
        if (!check_not_overlap(detector_116_instances, objcogblock_287_instances)) goto event_78_5_end;
        if (!check_not_overlap(detector_116_instances, objjunkblock_288_instances)) goto event_78_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(7);
        }
    }
    event_78_5_end: ;
}
void Frames::event_func_541()
{
    // event 79_5
    {
        // group: Animations
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_79_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_79_5_end;
        detector_116_instances.clear_selection();
        if (!check_not_overlap(detector_116_instances, vertdetector_129_instances)) goto event_79_5_end;
        if (!((bullet_143_instances.size()) < (3))) goto event_79_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->restore_animation();
            ((Active*)*it)->force_animation(15);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
        }
    }
    event_79_5_end: ;
}
void Frames::event_func_542()
{
    // event 80_5
    {
        // group: Animations
        if (!(((Active*)get_instance(detector_116_instances))->overlaps_background())) goto event_80_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_80_5_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_80_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_80_5_end;
        detector_116_instances.clear_selection();
        if (!check_not_overlap(detector_116_instances, vertdetector_129_instances)) goto event_80_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_80_5_end: ;
}
void Frames::event_func_543()
{
    // event 81_5
    {
        // group: Animations
        platform_117_instances.clear_selection();
        if (!check_overlap(platform_117_instances, platform_117_instances)) goto event_81_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) >= (0))) goto event_81_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_81_5_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_81_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_81_5_end;
        detector_116_instances.clear_selection();
        if (!check_not_overlap(detector_116_instances, vertdetector_129_instances)) goto event_81_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_81_5_end: ;
}
void Frames::event_func_544()
{
    // event 82_5
    {
        // group: Animations
        detector_116_instances.clear_selection();
        platform2_120_instances.clear_selection();
        if (!check_overlap(detector_116_instances, platform2_120_instances)) goto event_82_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) >= (0))) goto event_82_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_82_5_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_82_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_82_5_end;
        if (!check_not_overlap(detector_116_instances, vertdetector_129_instances)) goto event_82_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_82_5_end: ;
}
void Frames::event_func_545()
{
    // event 83_5
    {
        // group: Animations
        detector_116_instances.clear_selection();
        tntstatic_153_instances.clear_selection();
        if (!check_overlap(detector_116_instances, tntstatic_153_instances)) goto event_83_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) >= (0))) goto event_83_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_83_5_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_83_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_83_5_end;
        if (!check_not_overlap(detector_116_instances, vertdetector_129_instances)) goto event_83_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_83_5_end: ;
}
void Frames::event_func_546()
{
    // event 84_5
    {
        // group: Animations
        detector_116_instances.clear_selection();
        tntconveyor_161_instances.clear_selection();
        if (!check_overlap(detector_116_instances, tntconveyor_161_instances)) goto event_84_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) >= (0))) goto event_84_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_84_5_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_84_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_84_5_end;
        if (!check_not_overlap(detector_116_instances, vertdetector_129_instances)) goto event_84_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_84_5_end: ;
}
void Frames::event_func_547()
{
    // event 85_5
    {
        // group: Animations
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_85_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(2, 1); // 'Sprite'
        }
    }
    event_85_5_end: ;
}
void Frames::event_func_548()
{
    // event 86_5
    {
        // group: Animations
        if (!(((Active*)get_instance(detector_116_instances))->overlaps_background())) goto event_86_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_86_5_end;
        detector_116_instances.clear_selection();
        if (!check_not_overlap(detector_116_instances, vertdetector_129_instances)) goto event_86_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_86_5_end: ;
}
void Frames::event_func_549()
{
    // event 87_5
    {
        // group: Animations
        detector_116_instances.clear_selection();
        platform_117_instances.clear_selection();
        if (!check_overlap(detector_116_instances, platform_117_instances)) goto event_87_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) >= (0))) goto event_87_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_87_5_end;
        if (!check_not_overlap(detector_116_instances, vertdetector_129_instances)) goto event_87_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_87_5_end: ;
}
void Frames::event_func_550()
{
    // event 88_5
    {
        // group: Animations
        detector_116_instances.clear_selection();
        tntstatic_153_instances.clear_selection();
        if (!check_overlap(detector_116_instances, tntstatic_153_instances)) goto event_88_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) >= (0))) goto event_88_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_88_5_end;
        if (!check_not_overlap(detector_116_instances, vertdetector_129_instances)) goto event_88_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_88_5_end: ;
}
void Frames::event_func_551()
{
    // event 89_5
    {
        // group: Animations
        detector_116_instances.clear_selection();
        platform2_120_instances.clear_selection();
        if (!check_overlap(detector_116_instances, platform2_120_instances)) goto event_89_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) >= (0))) goto event_89_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_89_5_end;
        if (!check_not_overlap(detector_116_instances, vertdetector_129_instances)) goto event_89_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_89_5_end: ;
}
void Frames::event_func_552()
{
    // event 90_5
    {
        // group: Animations
        if (((Active*)get_instance(detector_116_instances))->overlaps_background()) goto event_90_5_end;
        detector_116_instances.clear_selection();
        if (!check_not_overlap(detector_116_instances, platform_117_instances)) goto event_90_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) > (0))) goto event_90_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_90_5_end;
        if (!check_not_overlap(detector_116_instances, dissappear_175_instances)) goto event_90_5_end;
        if (!check_not_overlap(detector_116_instances, vertdetector_129_instances)) goto event_90_5_end;
        if (!check_not_overlap(detector_116_instances, objeyeblock_191_instances)) goto event_90_5_end;
        if (!check_not_overlap(detector_116_instances, platform2_120_instances)) goto event_90_5_end;
        if (!check_not_overlap(detector_116_instances, tntconveyor_161_instances)) goto event_90_5_end;
        if (!check_not_overlap(detector_116_instances, tntstatic_153_instances)) goto event_90_5_end;
        if (!check_not_overlap(detector_116_instances, objenemygate_257_instances)) goto event_90_5_end;
        if (!check_not_overlap(detector_116_instances, objcogblock_287_instances)) goto event_90_5_end;
        if (!check_not_overlap(detector_116_instances, objjunkblock_288_instances)) goto event_90_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(18);
        }
    }
    event_90_5_end: ;
}
void Frames::event_func_553()
{
    // event 91_5
    {
        // group: Animations
        if (((Active*)get_instance(detector_116_instances))->overlaps_background()) goto event_91_5_end;
        detector_116_instances.clear_selection();
        if (!check_not_overlap(detector_116_instances, platform_117_instances)) goto event_91_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) <= (0))) goto event_91_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_91_5_end;
        if (!check_not_overlap(detector_116_instances, dissappear_175_instances)) goto event_91_5_end;
        if (!check_not_overlap(detector_116_instances, vertdetector_129_instances)) goto event_91_5_end;
        if (!check_not_overlap(detector_116_instances, objeyeblock_191_instances)) goto event_91_5_end;
        if (!check_not_overlap(detector_116_instances, platform2_120_instances)) goto event_91_5_end;
        if (!check_not_overlap(detector_116_instances, tntconveyor_161_instances)) goto event_91_5_end;
        if (!check_not_overlap(detector_116_instances, tntstatic_153_instances)) goto event_91_5_end;
        if (!check_not_overlap(detector_116_instances, objenemygate_257_instances)) goto event_91_5_end;
        if (!check_not_overlap(detector_116_instances, objcogblock_287_instances)) goto event_91_5_end;
        if (!check_not_overlap(detector_116_instances, objjunkblock_288_instances)) goto event_91_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(17);
        }
    }
    event_91_5_end: ;
}
void Frames::event_func_554()
{
    // event 92_5
    {
        // group: Animations
        if (((Active*)get_instance(detector_116_instances))->overlaps_background()) goto event_92_5_end;
        detector_116_instances.clear_selection();
        if (!check_not_overlap(detector_116_instances, platform_117_instances)) goto event_92_5_end;
        if (!check_not_overlap(detector_116_instances, dissappear_175_instances)) goto event_92_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(0)) > (0))) goto event_92_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_92_5_end;
        player_115_instances.clear_selection();
        if (!check_not_overlap(player_115_instances, vertdetector_129_instances)) goto event_92_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_92_5_end;
        if (!check_not_overlap(detector_116_instances, vertdetector_129_instances)) goto event_92_5_end;
        if (!check_not_overlap(detector_116_instances, objeyeblock_191_instances)) goto event_92_5_end;
        if (!check_not_overlap(detector_116_instances, platform2_120_instances)) goto event_92_5_end;
        if (!check_not_overlap(detector_116_instances, tntconveyor_161_instances)) goto event_92_5_end;
        if (!check_not_overlap(detector_116_instances, tntstatic_153_instances)) goto event_92_5_end;
        if (!check_not_overlap(detector_116_instances, objenemygate_257_instances)) goto event_92_5_end;
        if (!check_not_overlap(detector_116_instances, objcogblock_287_instances)) goto event_92_5_end;
        if (!check_not_overlap(detector_116_instances, objjunkblock_288_instances)) goto event_92_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(8);
        }
    }
    event_92_5_end: ;
}
