#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::event_func_655()
{
    // event 245_5
    {
        // group: Sounds
        enemytickbomb_225_instances.clear_selection();
        for (ObjectIterator it(enemytickbomb_225_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (500))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (400))) { it.deselect(); continue; }
        }
        if (!enemytickbomb_225_instances.has_selection()) goto event_245_5_end;
        screen_170_instances.clear_selection();
        if (!check_overlap(enemytickbomb_225_instances, screen_170_instances)) goto event_245_5_end;
        if (not_always_245_5_0 > loop_count) {
            not_always_245_5_0 = loop_count + 2;
            goto event_245_5_end;
        }
        not_always_245_5_0 = loop_count + 2;
        media.play_id(SOUND_TICKBOMB_10, -1, 1);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
    }
    event_245_5_end: ;
}
void Frames::event_func_656()
{
    // event 246_5
    {
        // group: Sounds
        enemychomper_206_instances.clear_selection();
        for (ObjectIterator it(enemychomper_206_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!enemychomper_206_instances.has_selection()) goto event_246_5_end;
        media.play_id(SOUND_CANNON_4_12, -1, 1);
        media.set_sample_volume(SOUND_CANNON_4_12, global_values->get(12)*1.0);
    }
    event_246_5_end: ;
}
void Frames::event_func_657()
{
    // event 248_5
    {
        // group: Sounds
        movingplatform_119_instances.clear_selection();
        detector_116_instances.clear_selection();
        if (!check_overlap(movingplatform_119_instances, detector_116_instances)) goto event_248_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(2)) == (0))) goto event_248_5_end;
        if (not_always_248_5_0 > loop_count) {
            not_always_248_5_0 = loop_count + 2;
            goto event_248_5_end;
        }
        not_always_248_5_0 = loop_count + 2;
        media.play_id(SOUND_GETONGROUND_2, -1, 1);
        media.set_sample_volume(SOUND_GETONGROUND_2, 0.4*global_values->get(12));
    }
    event_248_5_end: ;
}
void Frames::event_func_658()
{
    // event 249_5
    {
        // group: Sounds
        media.set_sample_volume(SOUND_DASH_2_1, 0.5*global_values->get(12));
        media.set_sample_volume(SOUND_GUNSHOT_0, 0.5*global_values->get(12));
        media.set_sample_volume(SOUND_FWOOSH_31, 0.7*global_values->get(12));
        media.set_sample_volume(SOUND_GETONGROUND_2, 0.4*global_values->get(12));
        media.set_sample_volume(SOUND_ENEMYHIT_3, 0.45*global_values->get(12));
        media.set_sample_volume(SOUND_HURT_5, 0.5*global_values->get(12));
        media.set_sample_volume(SOUND_SPRING_4, 0.4*global_values->get(12));
        media.set_sample_volume(SOUND_EXPLOSION_6, 0.25*global_values->get(12));
        media.set_channel_volume(3-1, global_values->get(12)*0.5);
        media.set_channel_volume(4-1, 0.25*global_values->get(12));
        media.set_sample_volume(SOUND_LGSFX1_MIXDOWN_19, 0.3*global_values->get(12));
        media.set_sample_volume(SOUND_ZAP_17, 0.01*global_values->get(12));
        media.set_sample_volume(SOUND_EYEBLOCK_14, 1.0*global_values->get(12));
        media.set_sample_volume(SOUND_CANNON_4_12, global_values->get(12));
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12));
        media.set_sample_volume(SOUND_KEY_11, global_values->get(12));
        media.set_sample_volume(SOUND_SPWNPLAT16MONO_18, 0.5*global_values->get(12));
        media.set_sample_volume(SOUND_BOOM_16, 0.5*global_values->get(12));
        media.set_sample_volume(SOUND_LGSFX1_MIXDOWN_19, global_values->get(12)*0.3);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
        media.set_sample_volume(SOUND_WEUW_24, 0.35*global_values->get(12));
        media.set_sample_volume(SOUND_RICOCHET_25, global_values->get(12)*0.3);
        media.set_sample_volume(SOUND_ROTATE_PWIMP_26, 0.35*global_values->get(12));
        media.set_sample_volume(SOUND_EYEBLOCK_ALT_27, global_values->get(12)*0.18);
        media.set_sample_volume(SOUND_IMPAKT_33, 0.25*global_values->get(12));
        media.set_sample_volume(SOUND_CROOM_43, global_values->get(12)*0.35);
        media.set_sample_volume(SOUND_SPACEINVADER_42, global_values->get(12)*0.4);
        media.set_sample_volume(SOUND_BOINGSHORTENED_49, 0.3*global_values->get(12));
    }
    event_249_5_end: ;
}
void Frames::event_func_659()
{
    // event 250_5
    {
        // group: Sounds
        tntstatic_153_instances.clear_selection();
        for (ObjectIterator it(tntstatic_153_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_animation(12))) { it.deselect(); continue; }
        }
        if (!tntstatic_153_instances.has_selection()) goto event_250_5_end;
        screen_170_instances.clear_selection();
        if (!check_overlap(screen_170_instances, tntstatic_153_instances)) goto event_250_5_end;
        if (not_always_250_5_0 > loop_count) {
            not_always_250_5_0 = loop_count + 2;
            goto event_250_5_end;
        }
        not_always_250_5_0 = loop_count + 2;
        media.stop_sample(SOUND_TICKBOMB_10);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
        media.play_id(SOUND_TICKBOMB_10, -1, 1);
    }
    event_250_5_end: ;
}
void Frames::event_func_660()
{
    // event 251_5
    {
        // group: Sounds
        tntstatic_153_instances.clear_selection();
        for (ObjectIterator it(tntstatic_153_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_animation(12))) { it.deselect(); continue; }
        }
        if (!tntstatic_153_instances.has_selection()) goto event_251_5_end;
        screen_170_instances.clear_selection();
        if (!check_overlap(screen_170_instances, tntstatic_153_instances)) goto event_251_5_end;
        for (ObjectIterator it(tntstatic_153_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(2, 1); // 'TNT-static'
        }
    }
    event_251_5_end: ;
}
void Frames::event_func_661()
{
    // event 252_5
    {
        // group: Sounds
        tntstatic_153_instances.clear_selection();
        for (ObjectIterator it(tntstatic_153_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (40))) { it.deselect(); continue; }
        }
        if (!tntstatic_153_instances.has_selection()) goto event_252_5_end;
        screen_170_instances.clear_selection();
        if (!check_overlap(screen_170_instances, tntstatic_153_instances)) goto event_252_5_end;
        for (ObjectIterator it(tntstatic_153_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 0); // 'TNT-static'
        }
        media.stop_sample(SOUND_TICKBOMB_10);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
        media.play_id(SOUND_TICKBOMB_10, -1, 1);
    }
    event_252_5_end: ;
}
void Frames::event_func_662()
{
    // event 264_5
    {
        // group: Ascending Hit Sound
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.add(14, 1); // 'FrameDataStore'
    }
    event_264_5_end: ;
}
void Frames::event_func_663()
{
    // event 265_5
    {
        // group: Ascending Hit Sound
        if (!((((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(14)) >= (120))) goto event_265_5_end;
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(13, 0); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(14, 0); // 'FrameDataStore'
    }
    event_265_5_end: ;
}
void Frames::event_func_664()
{
    // event 266_5
    {
        // group: Water
        player_115_instances.clear_selection();
        active3_4_instances.clear_selection();
        if (!check_overlap(player_115_instances, active3_4_instances)) goto event_266_5_end;
        if (((Active*)get_instance(detector_116_instances))->overlaps_background()) goto event_266_5_end;
        every_266_5_0 += manager.dt;
        if (every_266_5_0 < 0.05) goto event_266_5_end;
        every_266_5_0 -= 0.05;
        ((Active*)get_instance(player_115_instances))->alterables->values.sub(0, 1); // 'Player'
    }
    event_266_5_end: ;
}
void Frames::event_func_665()
{
    // event 268_5
    {
        // group: Water
        background_151_instances.clear_selection();
        for (ObjectIterator it(background_151_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 0)) { it.deselect(); continue; }
        }
        if (!background_151_instances.has_selection()) goto event_268_5_end;
        for (ObjectIterator it(background_151_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_268_5_end: ;
}
void Frames::event_func_666()
{
    // event 270_5
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(4)) == (0))) goto event_270_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(7)) > (0))) goto event_270_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(5)) == (0))) goto event_270_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.sub(7, 1); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(1, -1); // 'Player'
    }
    event_270_5_end: ;
}
void Frames::event_func_667()
{
    // event 271_5
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(4)) == (0))) goto event_271_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(7)) > (0))) goto event_271_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(5)) == (1))) goto event_271_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.sub(7, 1); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(1, 1); // 'Player'
    }
    event_271_5_end: ;
}
void Frames::event_func_668()
{
    // event 272_5
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(7)) > (0))) goto event_272_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(8, 1); // 'Player'
    }
    event_272_5_end: ;
}
void Frames::event_func_669()
{
    // event 273_5
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(7)) == (0))) goto event_273_5_end;
        if (not_always_273_5_0 > loop_count) {
            not_always_273_5_0 = loop_count + 2;
            goto event_273_5_end;
        }
        not_always_273_5_0 = loop_count + 2;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(8, 0); // 'Player'
    }
    event_273_5_end: ;
}
void Frames::event_func_670()
{
    // event 274_5
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(7)) > (0))) goto event_274_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_274_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(21);
        }
    }
    event_274_5_end: ;
}
void Frames::event_func_671()
{
    // event 275_5
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(7)) > (0))) goto event_275_5_end;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->is_animation_finished(21))) { it.deselect(); continue; }
        }
        if (!sprite_121_instances.has_selection()) goto event_275_5_end;
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(21);
        }
    }
    event_275_5_end: ;
}
void Frames::event_func_672()
{
    // event 276_5
    {
        // group: Hurt
        every_276_5_0 += manager.dt;
        if (every_276_5_0 < 0.01) goto event_276_5_end;
        every_276_5_0 -= 0.01;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(9)) > (0))) goto event_276_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.sub(9, 1); // 'Player'
    }
    event_276_5_end: ;
}
void Frames::event_func_673()
{
    // event 277_5
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(7)) > (0))) goto event_277_5_end;
        if (not_always_277_5_0 > loop_count) {
            not_always_277_5_0 = loop_count + 2;
            goto event_277_5_end;
        }
        not_always_277_5_0 = loop_count + 2;
        sprite_121_instances.clear_selection();
        for (ObjectIterator it(sprite_121_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(21);
        }
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 24); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 24); // 'camera shaker'
    }
    event_277_5_end: ;
}
void Frames::event_func_674()
{
    // event 278_5
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(9)) <= (0))) goto event_278_5_end;
        ((Active*)get_instance(healthbar2_208_instances))->set_x_scale(((Active*)get_instance(healthbar2_208_instances))->x_scale-((((Active*)get_instance(healthbar2_208_instances))->x_scale-((Active*)get_instance(healthbar_166_instances))->x_scale)*0.12));
    }
    event_278_5_end: ;
}
void Frames::event_func_675()
{
    // event 279_5
    {
        // group: Hoverer
        player_115_instances.clear_selection();
        hoverer_158_instances.clear_selection();
        if (!check_overlap(player_115_instances, hoverer_158_instances)) goto event_279_5_end;
        ((Active*)get_instance(player_115_instances))->alterables->values.set(0, -3); // 'Player'
    }
    event_279_5_end: ;
}
void Frames::event_func_676()
{
    // event 286_5
    {
        // group: Crates
        explosion_152_instances.clear_selection();
        for (ObjectIterator it(explosion_152_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 0)) { it.deselect(); continue; }
        }
        if (!explosion_152_instances.has_selection()) goto event_286_5_end;
        for (ObjectIterator it(explosion_152_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_286_5_end: ;
}
void Frames::event_func_677()
{
    // event 287_5
    {
        // group: Crates
        enemyexplosion_200_instances.clear_selection();
        for (ObjectIterator it(enemyexplosion_200_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 0)) { it.deselect(); continue; }
        }
        if (!enemyexplosion_200_instances.has_selection()) goto event_287_5_end;
        for (ObjectIterator it(enemyexplosion_200_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_287_5_end: ;
}
void Frames::event_func_678()
{
    // event 291_5
    {
        // group: Crates
        tntconveyor_161_instances.clear_selection();
        for (ObjectIterator it(tntconveyor_161_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->alterables->values.get(0));
        }
        tntstatic_153_instances.clear_selection();
        for (ObjectIterator it(tntstatic_153_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->alterables->values.get(0));
        }
    }
    event_291_5_end: ;
}
void Frames::event_func_679()
{
    // event 292_5
    {
        // group: Crates
        tntconveyor_161_instances.clear_selection();
        for (ObjectIterator it(tntconveyor_161_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) > (40))) { it.deselect(); continue; }
        }
        if (!tntconveyor_161_instances.has_selection()) goto event_292_5_end;
        for (ObjectIterator it(tntconveyor_161_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(40);
        }
    }
    event_292_5_end: ;
}
void Frames::event_func_680()
{
    // event 293_5
    {
        // group: Crates
        tntstatic_153_instances.clear_selection();
        for (ObjectIterator it(tntstatic_153_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) > (40))) { it.deselect(); continue; }
        }
        if (!tntstatic_153_instances.has_selection()) goto event_293_5_end;
        for (ObjectIterator it(tntstatic_153_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(40);
        }
    }
    event_293_5_end: ;
}
void Frames::event_func_681()
{
    // event 300_5
    {
        // group: Crates
        tntconveyor_161_instances.clear_selection();
        conveyorr_123_instances.clear_selection();
        if (!check_overlap(tntconveyor_161_instances, conveyorr_123_instances)) goto event_300_5_end;
        for (ObjectIterator it(tntconveyor_161_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(0, 2); // 'TNT-conveyor'
            ((Active*)*it)->get_movement()->set_speed(0);
        }
    }
    event_300_5_end: ;
}
void Frames::event_func_682()
{
    // event 301_5
    {
        // group: Crates
        tntstatic_153_instances.clear_selection();
        conveyorr_123_instances.clear_selection();
        if (!check_overlap(tntstatic_153_instances, conveyorr_123_instances)) goto event_301_5_end;
        for (ObjectIterator it(tntstatic_153_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(0, 2); // 'TNT-static'
            ((Active*)*it)->get_movement()->set_speed(0);
        }
    }
    event_301_5_end: ;
}
void Frames::event_func_683()
{
    // event 302_5
    {
        // group: Crates
        tntconveyor_161_instances.clear_selection();
        conveyorl_122_instances.clear_selection();
        if (!check_overlap(tntconveyor_161_instances, conveyorl_122_instances)) goto event_302_5_end;
        for (ObjectIterator it(tntconveyor_161_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 2); // 'TNT-conveyor'
            ((Active*)*it)->get_movement()->set_speed(0);
        }
    }
    event_302_5_end: ;
}
void Frames::event_func_684()
{
    // event 303_5
    {
        // group: Crates
        tntstatic_153_instances.clear_selection();
        conveyorl_122_instances.clear_selection();
        if (!check_overlap(tntstatic_153_instances, conveyorl_122_instances)) goto event_303_5_end;
        for (ObjectIterator it(tntstatic_153_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 2); // 'TNT-static'
            ((Active*)*it)->get_movement()->set_speed(0);
        }
    }
    event_303_5_end: ;
}
void Frames::event_func_685()
{
    // event 306_5
    {
        // group: Crates
        every_306_5_0 += manager.dt;
        if (every_306_5_0 < 1.5) goto event_306_5_end;
        every_306_5_0 -= 1.5;
        screenfar_299_instances.clear_selection();
        pipe_160_instances.clear_selection();
        if (!check_overlap(screenfar_299_instances, pipe_160_instances)) goto event_306_5_end;
        FrameObject * single_instance_306_5_1; single_instance_306_5_1 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(pipe_160_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_tntconveyor_161(parent->x + 0, parent->y + 16), parent->layer);
                if (single_instance_306_5_1 == NULL)
                    single_instance_306_5_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_306_5_1))->alterables->values.set(0, ((Active*)single_instance_306_5_1)->get_x()); // 'TNT-conveyor'
        tntstatic_153_instances.clear_selection();
        for (ObjectIterator it(tntstatic_153_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, ((Active*)*it)->get_x()); // 'TNT-static'
        }
    }
    event_306_5_end: ;
}
void Frames::event_func_686()
{
    // event 307_5
    {
        // group: Crates
        detector_116_instances.clear_selection();
        tntstatic_153_instances.clear_selection();
        if (!check_overlap(detector_116_instances, tntstatic_153_instances)) goto event_307_5_end;
        conveyorr_123_instances.clear_selection();
        if (!check_overlap(tntstatic_153_instances, conveyorr_123_instances)) goto event_307_5_end;
        if (((Active*)get_instance(player_115_instances))->overlaps_background()) goto event_307_5_end;
        ((Active*)get_instance(player_115_instances))->set_x(((Active*)get_instance(player_115_instances))->get_x()+2);
    }
    event_307_5_end: ;
}
void Frames::event_func_687()
{
    // event 308_5
    {
        // group: Crates
        detector_116_instances.clear_selection();
        tntstatic_153_instances.clear_selection();
        if (!check_overlap(detector_116_instances, tntstatic_153_instances)) goto event_308_5_end;
        conveyorl_122_instances.clear_selection();
        if (!check_overlap(tntstatic_153_instances, conveyorl_122_instances)) goto event_308_5_end;
        if (((Active*)get_instance(player_115_instances))->overlaps_background()) goto event_308_5_end;
        ((Active*)get_instance(player_115_instances))->set_x(((Active*)get_instance(player_115_instances))->get_x()-2);
    }
    event_308_5_end: ;
}
void Frames::event_func_688()
{
    // event 309_5
    {
        // group: Crates
        detector_116_instances.clear_selection();
        tntstatic_153_instances.clear_selection();
        if (!check_overlap(detector_116_instances, tntstatic_153_instances)) goto event_309_5_end;
        conveyorl_122_instances.clear_selection();
        if (!check_overlap(tntstatic_153_instances, conveyorl_122_instances)) goto event_309_5_end;
        if (!(((Active*)get_instance(player_115_instances))->overlaps_background())) goto event_309_5_end;
        ((Active*)get_instance(player_115_instances))->set_x(((Active*)get_instance(player_115_instances))->get_x()+2);
    }
    event_309_5_end: ;
}
void Frames::event_func_689()
{
    // event 310_5
    {
        // group: Crates
        detector_116_instances.clear_selection();
        tntstatic_153_instances.clear_selection();
        if (!check_overlap(detector_116_instances, tntstatic_153_instances)) goto event_310_5_end;
        conveyorr_123_instances.clear_selection();
        if (!check_overlap(tntstatic_153_instances, conveyorr_123_instances)) goto event_310_5_end;
        if (!(((Active*)get_instance(player_115_instances))->overlaps_background())) goto event_310_5_end;
        ((Active*)get_instance(player_115_instances))->set_x(((Active*)get_instance(player_115_instances))->get_x()-2);
    }
    event_310_5_end: ;
}
void Frames::event_func_690()
{
    // event 311_5
    {
        // group: Crates
        detector_116_instances.clear_selection();
        tntstatic_153_instances.clear_selection();
        if (!check_overlap(detector_116_instances, tntstatic_153_instances)) goto event_311_5_end;
        for (ObjectIterator it(tntstatic_153_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) > (0))) { it.deselect(); continue; }
        }
        if (!tntstatic_153_instances.has_selection()) goto event_311_5_end;
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_single(tntstatic_153_instances, default_active_instance))->get_y()-36);
        ((Active*)get_instance(detector_116_instances))->set_y(((Active*)get_single(tntstatic_153_instances, default_active_instance))->get_y()-31);
    }
    event_311_5_end: ;
}
void Frames::event_func_691()
{
    // event 312_5
    bool or_result_312_5 = false;
    bool or_temp_result_312_5_0 = false;
    {
        // group: Crates
        player_115_instances.clear_selection();
        tntstatic_153_instances.clear_selection();
        if (!check_overlap(player_115_instances, tntstatic_153_instances)) goto or_event_312_5_0_end;
        or_result_312_5 = true;
        or_temp_result_312_5_0 = true;
    }
    or_event_312_5_0_end: ;
    tntstatic_153_instances.clear_saved_selection();
    player_115_instances.clear_saved_selection();
    if (or_temp_result_312_5_0) {
        tntstatic_153_instances.save_selection();
        player_115_instances.save_selection();
    }
    // event 312_5
    bool or_temp_result_312_5_1 = false;
    {
        // group: Crates
        tntstatic_153_instances.clear_selection();
        detector_116_instances.clear_selection();
        if (!check_overlap(tntstatic_153_instances, detector_116_instances)) goto or_event_312_5_1_end;
        or_result_312_5 = true;
        or_temp_result_312_5_1 = true;
        or_event_312_5_1_end: ;
        detector_116_instances.clear_saved_selection();
        if (or_temp_result_312_5_1) {
            tntstatic_153_instances.save_selection();
            detector_116_instances.save_selection();
        }
        if (!or_result_312_5) goto or_final_or_event_312_5_1_end;
        detector_116_instances.empty_selection();
        player_115_instances.empty_selection();
        tntstatic_153_instances.empty_selection();
        if (or_temp_result_312_5_0 || or_temp_result_312_5_1) {
            tntstatic_153_instances.restore_selection();
        }
        if (or_temp_result_312_5_1) {
            detector_116_instances.restore_selection();
        }
        if (or_temp_result_312_5_0) {
            player_115_instances.restore_selection();
        }
        for (ObjectIterator it(tntstatic_153_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    or_final_or_event_312_5_1_end: ;
}
void Frames::event_func_692()
{
    // event 313_5
    {
        // group: Crates
        tntstatic_153_instances.clear_selection();
        for (ObjectIterator it(tntstatic_153_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!tntstatic_153_instances.has_selection()) goto event_313_5_end;
        for (ObjectIterator it(tntstatic_153_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        FrameObject * single_instance_313_5_0; single_instance_313_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(tntstatic_153_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_152(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_313_5_0 == NULL)
                    single_instance_313_5_0 = new_obj;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 12); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 12); // 'camera shaker'
    }
    event_313_5_end: ;
}
void Frames::event_func_693()
{
    // event 315_5
    {
        // group: Crates
        detector_116_instances.clear_selection();
        tntconveyor_161_instances.clear_selection();
        if (!check_overlap(detector_116_instances, tntconveyor_161_instances)) goto event_315_5_end;
        conveyorr_123_instances.clear_selection();
        if (!check_overlap(tntconveyor_161_instances, conveyorr_123_instances)) goto event_315_5_end;
        if (((Active*)get_instance(player_115_instances))->overlaps_background()) goto event_315_5_end;
        ((Active*)get_instance(player_115_instances))->set_x(((Active*)get_instance(player_115_instances))->get_x()+2);
    }
    event_315_5_end: ;
}
void Frames::event_func_694()
{
    // event 316_5
    {
        // group: Crates
        detector_116_instances.clear_selection();
        tntconveyor_161_instances.clear_selection();
        if (!check_overlap(detector_116_instances, tntconveyor_161_instances)) goto event_316_5_end;
        conveyorl_122_instances.clear_selection();
        if (!check_overlap(tntconveyor_161_instances, conveyorl_122_instances)) goto event_316_5_end;
        if (((Active*)get_instance(player_115_instances))->overlaps_background()) goto event_316_5_end;
        ((Active*)get_instance(player_115_instances))->set_x(((Active*)get_instance(player_115_instances))->get_x()-2);
    }
    event_316_5_end: ;
}
void Frames::event_func_695()
{
    // event 317_5
    {
        // group: Crates
        detector_116_instances.clear_selection();
        tntconveyor_161_instances.clear_selection();
        if (!check_overlap(detector_116_instances, tntconveyor_161_instances)) goto event_317_5_end;
        conveyorl_122_instances.clear_selection();
        if (!check_overlap(tntconveyor_161_instances, conveyorl_122_instances)) goto event_317_5_end;
        if (!(((Active*)get_instance(player_115_instances))->overlaps_background())) goto event_317_5_end;
        ((Active*)get_instance(player_115_instances))->set_x(((Active*)get_instance(player_115_instances))->get_x()+2);
    }
    event_317_5_end: ;
}
void Frames::event_func_696()
{
    // event 318_5
    {
        // group: Crates
        detector_116_instances.clear_selection();
        tntconveyor_161_instances.clear_selection();
        if (!check_overlap(detector_116_instances, tntconveyor_161_instances)) goto event_318_5_end;
        conveyorr_123_instances.clear_selection();
        if (!check_overlap(tntconveyor_161_instances, conveyorr_123_instances)) goto event_318_5_end;
        if (!(((Active*)get_instance(player_115_instances))->overlaps_background())) goto event_318_5_end;
        ((Active*)get_instance(player_115_instances))->set_x(((Active*)get_instance(player_115_instances))->get_x()-2);
    }
    event_318_5_end: ;
}
void Frames::event_func_697()
{
    // event 319_5
    {
        // group: Crates
        detector_116_instances.clear_selection();
        tntconveyor_161_instances.clear_selection();
        if (!check_overlap(detector_116_instances, tntconveyor_161_instances)) goto event_319_5_end;
        for (ObjectIterator it(tntconveyor_161_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) > (0))) { it.deselect(); continue; }
        }
        if (!tntconveyor_161_instances.has_selection()) goto event_319_5_end;
        ((Active*)get_instance(player_115_instances))->set_y(((Active*)get_single(tntconveyor_161_instances, default_active_instance))->get_y()-36);
        ((Active*)get_instance(detector_116_instances))->set_y(((Active*)get_single(tntconveyor_161_instances, default_active_instance))->get_y()-31);
    }
    event_319_5_end: ;
}
void Frames::event_func_698()
{
    // event 325_5
    {
        // group: Crates
        objtntspawner_260_instances.clear_selection();
        for (ObjectIterator it(objtntspawner_260_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (1))) { it.deselect(); continue; }
        }
        if (!objtntspawner_260_instances.has_selection()) goto event_325_5_end;
        for (ObjectIterator it(objtntspawner_260_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_325_5_end: ;
}
void Frames::event_func_699()
{
    // event 329_5
    {
        // group: Health/lives
        if (!((global_values->get(0)) > (100))) goto event_329_5_end;
        global_values->set(0, 100);
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_5();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
    }
    event_329_5_end: ;
}
void Frames::event_func_700()
{
    // event 334_5
    {
        // group: Hoppy Enemy
        enemyhoppy_174_instances.clear_selection();
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemyhoppy_174_instances.has_selection()) goto event_334_5_end;
        FrameObject * single_instance_334_5_0; single_instance_334_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyhoppy_174_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_152(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_334_5_0 == NULL)
                    single_instance_334_5_0 = new_obj;
            }
        }
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)get_single(enemyhoppy_174_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)get_single(enemyhoppy_174_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        {
            loop_debris_running = true;
            int times = int(5);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_5();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 17); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 17); // 'camera shaker'
    }
    event_334_5_end: ;
}
void Frames::event_func_701()
{
    // event 335_5
    {
        // group: Hoppy Enemy
        every_335_5_0 += manager.dt;
        if (every_335_5_0 < 0.01) goto event_335_5_end;
        every_335_5_0 -= 0.01;
        spawnerhoppy_173_instances.clear_selection();
        for (ObjectIterator it(spawnerhoppy_173_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) > (0))) { it.deselect(); continue; }
        }
        if (!spawnerhoppy_173_instances.has_selection()) goto event_335_5_end;
        for (ObjectIterator it(spawnerhoppy_173_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(3, 1); // 'SpawnerHoppy'
        }
    }
    event_335_5_end: ;
}
void Frames::event_func_702()
{
    // event 337_5
    {
        // group: Hoppy Enemy
        enemyhoppy_174_instances.clear_selection();
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->overlaps_background()) { it.deselect(); continue; }
        }
        if (!enemyhoppy_174_instances.has_selection()) goto event_337_5_end;
        if (!check_not_overlap(enemyhoppy_174_instances, objjunkblock_288_instances)) goto event_337_5_end;
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(4, get_ceil(((Active*)*it)->alterables->values.get(6)*-1.0*0.4)+0.2); // 'Enemy-Hoppy'
            ((Active*)*it)->get_movement()->set_speed((((Active*)*it)->alterables->values.get(7)/MathHelper()/2.0)-5.0);
        }
    }
    event_337_5_end: ;
}
void Frames::event_func_703()
{
    // event 338_5
    {
        // group: Hoppy Enemy
        enemyhoppy_174_instances.clear_selection();
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) != (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->overlaps_background()) { it.deselect(); continue; }
        }
        if (!enemyhoppy_174_instances.has_selection()) goto event_338_5_end;
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(6, ((Active*)*it)->alterables->values.get(4)); // 'Enemy-Hoppy'
            ((Active*)*it)->alterables->values.set(7, ((Active*)*it)->get_movement()->get_speed()); // 'Enemy-Hoppy'
        }
    }
    event_338_5_end: ;
}
void Frames::event_func_704()
{
    // event 340_5
    {
        // group: Hoppy Enemy
        enemyhoppy_174_instances.clear_selection();
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            if (((Active*)(*it))->overlaps_background()) { it.deselect(); continue; }
        }
        if (!enemyhoppy_174_instances.has_selection()) goto event_340_5_end;
        if (!check_not_overlap(enemyhoppy_174_instances, objjunkblock_288_instances)) goto event_340_5_end;
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(4, 0.2); // 'Enemy-Hoppy'
            ((Active*)*it)->set_y((((Active*)*it)->get_y()*1.0)+(((Active*)*it)->alterables->values.get(4)*1.0));
        }
    }
    event_340_5_end: ;
}
void Frames::event_func_705()
{
    // event 341_5
    {
        // group: Hoppy Enemy
        enemyhoppy_174_instances.clear_selection();
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->overlaps_background())) { it.deselect(); continue; }
        }
        if (!enemyhoppy_174_instances.has_selection()) goto event_341_5_end;
        {
            loop_hoppyinground_running = true;
            int times = int(5);
            loop_hoppyinground_index = 0;
            while (loop_hoppyinground_index < times) {
                loop_hoppyinground_5();
                if (!loop_hoppyinground_running) break;
                loop_hoppyinground_index++;
            }
        }
    }
    event_341_5_end: ;
}
void Frames::event_func_706()
{
    // event 343_5
    {
        // group: Hoppy Enemy
        enemyhoppy_174_instances.clear_selection();
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            if (((Active*)(*it))->overlaps_background()) { it.deselect(); continue; }
        }
        if (!enemyhoppy_174_instances.has_selection()) goto event_343_5_end;
        if (!(false)) goto event_343_5_end;
            loop_hoppyinground_running = false;
    
    }
    event_343_5_end: ;
}
void Frames::event_func_707()
{
    // event 344_5
    {
        // group: Hoppy Enemy
        enemyhoppy_174_instances.clear_selection();
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(4)) <= (1))) { it.deselect(); continue; }
        }
        if (!enemyhoppy_174_instances.has_selection()) goto event_344_5_end;
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(3, 1); // 'Enemy-Hoppy'
        }
    }
    event_344_5_end: ;
}
void Frames::event_func_708()
{
    // event 345_5
    {
        // group: Hoppy Enemy
        enemyhoppy_174_instances.clear_selection();
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (44))) { it.deselect(); continue; }
        }
        if (!enemyhoppy_174_instances.has_selection()) goto event_345_5_end;
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 0); // 'Enemy-Hoppy'
            ((Active*)*it)->set_direction(get_direction_int(((Active*)*it)->x, ((Active*)*it)->y, ((Active*)get_instance(player_115_instances))->x + 0, ((Active*)get_instance(player_115_instances))->y + 0));
            ((Active*)*it)->get_movement()->set_speed(((get_abs(((Active*)*it)->get_x()-((Active*)get_instance(player_115_instances))->get_x())/MathHelper()/320.0)*43.0)+5.0);
            ((Active*)*it)->alterables->values.sub(4, 5.0); // 'Enemy-Hoppy'
            ((Active*)*it)->alterables->values.set(4, (-1.0*((get_abs(((Active*)*it)->get_x()-((Active*)get_instance(player_115_instances))->get_x())/MathHelper()/320.0))*5.0)-3.0); // 'Enemy-Hoppy'
        }
        FrameObject * single_instance_345_5_0; single_instance_345_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyhoppy_174_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_objgarbagedestroyer_302(parent->x + 0, parent->y + 1), parent->layer);
                if (single_instance_345_5_0 == NULL)
                    single_instance_345_5_0 = new_obj;
            }
        }
    }
    event_345_5_end: ;
}
void Frames::event_func_709()
{
    // event 346_5
    {
        // group: Hoppy Enemy
        enemyhoppy_174_instances.clear_selection();
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) >= (23))) { it.deselect(); continue; }
        }
        if (!enemyhoppy_174_instances.has_selection()) goto event_346_5_end;
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(23);
        }
    }
    event_346_5_end: ;
}
void Frames::event_func_710()
{
    // event 347_5
    {
        // group: Hoppy Enemy
        enemyhoppy_174_instances.clear_selection();
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) < (-5))) { it.deselect(); continue; }
        }
        if (!enemyhoppy_174_instances.has_selection()) goto event_347_5_end;
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(4, -5.0); // 'Enemy-Hoppy'
        }
    }
    event_347_5_end: ;
}
void Frames::event_func_711()
{
    // event 348_5
    {
        // group: Hoppy Enemy
        enemyhoppy_174_instances.clear_selection();
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) == (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(12)) { it.deselect(); continue; }
        }
        if (!enemyhoppy_174_instances.has_selection()) goto event_348_5_end;
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_348_5_end: ;
}
void Frames::event_func_712()
{
    // event 349_5
    {
        // group: Hoppy Enemy
        enemyhoppy_174_instances.clear_selection();
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) != (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(12)) { it.deselect(); continue; }
        }
        if (!enemyhoppy_174_instances.has_selection()) goto event_349_5_end;
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(7);
        }
    }
    event_349_5_end: ;
}
void Frames::event_func_713()
{
    // event 350_5
    {
        // group: Hoppy Enemy
        if (!((((Active*)get_instance(enemyspawnerhoppy_301_instances))->alterables->values.get(5)) >= (200))) goto event_350_5_end;
        screen_170_instances.clear_selection();
        enemyspawnerhoppy_301_instances.clear_selection();
        if (!check_overlap(screen_170_instances, enemyspawnerhoppy_301_instances)) goto event_350_5_end;
        if (not_always_350_5_0 > loop_count) {
            not_always_350_5_0 = loop_count + 2;
            goto event_350_5_end;
        }
        not_always_350_5_0 = loop_count + 2;
        FrameObject * single_instance_350_5_1; single_instance_350_5_1 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(enemyspawnerhoppy_301_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemyhoppy_174(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_350_5_1 == NULL)
                    single_instance_350_5_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_350_5_1))->alterables->values.set(3, 44); // 'Enemy-Hoppy'
        ((Active*)((Active*)single_instance_350_5_1))->alterables->values.set(3, 44); // 'Enemy-Hoppy'
        ((Active*)((Active*)single_instance_350_5_1))->alterables->values.set(3, 44); // 'Enemy-Hoppy'
        ((Active*)get_instance(enemyspawnerhoppy_301_instances))->force_animation(1);
    }
    event_350_5_end: ;
}
void Frames::event_func_714()
{
    // event 352_5
    {
        // group: Hoppy Enemy
        enemyhoppy_174_instances.clear_selection();
        if (!check_not_overlap(enemyhoppy_174_instances, screen_170_instances)) goto event_352_5_end;
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(5, 1); // 'Enemy-Hoppy'
        }
    }
    event_352_5_end: ;
}
void Frames::event_func_715()
{
    // event 353_5
    {
        // group: Hoppy Enemy
        enemyhoppy_174_instances.clear_selection();
        screen_170_instances.clear_selection();
        if (!check_overlap(enemyhoppy_174_instances, screen_170_instances)) goto event_353_5_end;
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(5, 0); // 'Enemy-Hoppy'
        }
    }
    event_353_5_end: ;
}
void Frames::event_func_716()
{
    // event 354_5
    {
        // group: Hoppy Enemy
        enemyhoppy_174_instances.clear_selection();
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) > (100))) { it.deselect(); continue; }
        }
        if (!enemyhoppy_174_instances.has_selection()) goto event_354_5_end;
        for (ObjectIterator it(enemyhoppy_174_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_354_5_end: ;
}
void Frames::event_func_717()
{
    // event 356_5
    {
        // group: More collisions
        enemyhoppy_174_instances.clear_selection();
        objjunkblock_288_instances.clear_selection();
        if (!check_overlap(enemyhoppy_174_instances, objjunkblock_288_instances)) goto event_356_5_end;
        {
            loop_hoppyingarbage_running = true;
            int times = int(5);
            loop_hoppyingarbage_index = 0;
            while (loop_hoppyingarbage_index < times) {
                loop_hoppyingarbage_5();
                if (!loop_hoppyingarbage_running) break;
                loop_hoppyingarbage_index++;
            }
        }
    }
    event_356_5_end: ;
}
void Frames::event_func_718()
{
    // event 358_5
    {
        // group: More collisions
        enemyhoppy_174_instances.clear_selection();
        if (!check_not_overlap(enemyhoppy_174_instances, objjunkblock_288_instances)) goto event_358_5_end;
        if (!(false)) goto event_358_5_end;
            loop_hoppyingarbage_running = false;
    
    }
    event_358_5_end: ;
}
void Frames::event_func_719()
{
    // event 360_5
    {
        // group: More collisions
        objgarbagedestroyer_302_instances.clear_selection();
        for (ObjectIterator it(objgarbagedestroyer_302_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 0)) { it.deselect(); continue; }
        }
        if (!objgarbagedestroyer_302_instances.has_selection()) goto event_360_5_end;
        for (ObjectIterator it(objgarbagedestroyer_302_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_360_5_end: ;
}
void Frames::event_func_720()
{
    // event 372_5
    {
        // group: More collisions
        objgarbagedestroyer_302_instances.clear_selection();
        for (ObjectIterator it(objgarbagedestroyer_302_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(0, 1); // 'obj-garbagedestroyer'
        }
    }
    event_372_5_end: ;
}
void Frames::event_func_721()
{
    // event 373_5
    {
        // group: More collisions
        objgarbagedestroyer_302_instances.clear_selection();
        for (ObjectIterator it(objgarbagedestroyer_302_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) >= (10))) { it.deselect(); continue; }
        }
        if (!objgarbagedestroyer_302_instances.has_selection()) goto event_373_5_end;
        for (ObjectIterator it(objgarbagedestroyer_302_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_373_5_end: ;
}
void Frames::event_func_722()
{
    // event 377_5
    {
        // group: Spike Shooter Test Enemy
        spikeshooter_169_instances.clear_selection();
        for (ObjectIterator it(spikeshooter_169_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) == (0))) { it.deselect(); continue; }
        }
        if (!spikeshooter_169_instances.has_selection()) goto event_377_5_end;
        FrameObject * single_instance_377_5_0; single_instance_377_5_0 = pick_random(spikeshooter_169_instances);
        if (single_instance_377_5_0 == NULL) goto event_377_5_end;
        ((Active*)((Active*)single_instance_377_5_0))->destroy();
        FrameObject * single_instance_377_5_1; single_instance_377_5_1 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_explosion_152(((Active*)single_instance_377_5_0)->x + 0, ((Active*)single_instance_377_5_0)->y + 0), ((Active*)single_instance_377_5_0)->layer);
            if (single_instance_377_5_1 == NULL)
                single_instance_377_5_1 = new_obj;
        }
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)single_instance_377_5_0)->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)single_instance_377_5_0)->get_y()); // 'FrameDataStore'
        {
            loop_debris_running = true;
            int times = int(7);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_5();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_377_5_end: ;
}
void Frames::event_func_723()
{
    // event 378_5
    {
        // group: Spike Shooter Test Enemy
        every_378_5_0 += manager.dt;
        if (every_378_5_0 < 3.0) goto event_378_5_end;
        every_378_5_0 -= 3.0;
        spikeshooter_169_instances.clear_selection();
        for (ObjectIterator it(spikeshooter_169_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    event_378_5_end: ;
}
void Frames::event_func_724()
{
    // event 379_5
    {
        // group: Spike Shooter Test Enemy
        spikeshooter_169_instances.clear_selection();
        for (ObjectIterator it(spikeshooter_169_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_animation(12))) { it.deselect(); continue; }
        }
        if (!spikeshooter_169_instances.has_selection()) goto event_379_5_end;
        for (ObjectIterator it(spikeshooter_169_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->stop(0);
        }
    }
    event_379_5_end: ;
}
void Frames::event_func_725()
{
    // event 380_5
    {
        // group: Spike Shooter Test Enemy
        spikeshooter_169_instances.clear_selection();
        for (ObjectIterator it(spikeshooter_169_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_animation(0))) { it.deselect(); continue; }
        }
        if (!spikeshooter_169_instances.has_selection()) goto event_380_5_end;
        for (ObjectIterator it(spikeshooter_169_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->start();
        }
    }
    event_380_5_end: ;
}
void Frames::event_func_726()
{
    // event 381_5
    {
        // group: Spike Shooter Test Enemy
        spikeshooter_169_instances.clear_selection();
        for (ObjectIterator it(spikeshooter_169_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!spikeshooter_169_instances.has_selection()) goto event_381_5_end;
        FrameObject * single_instance_381_5_0; single_instance_381_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(spikeshooter_169_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active2_172(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_381_5_0 == NULL)
                    single_instance_381_5_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_381_5_0))->set_direction(24);
    }
    event_381_5_end: ;
}
void Frames::event_func_727()
{
    // event 382_5
    {
        // group: Spike Shooter Test Enemy
        spikeshooter_169_instances.clear_selection();
        for (ObjectIterator it(spikeshooter_169_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!spikeshooter_169_instances.has_selection()) goto event_382_5_end;
        FrameObject * single_instance_382_5_0; single_instance_382_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(spikeshooter_169_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active2_172(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_382_5_0 == NULL)
                    single_instance_382_5_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_382_5_0))->set_direction(8);
    }
    event_382_5_end: ;
}
void Frames::event_func_728()
{
    // event 383_5
    {
        // group: Spike Shooter Test Enemy
        spikeshooter_169_instances.clear_selection();
        for (ObjectIterator it(spikeshooter_169_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!spikeshooter_169_instances.has_selection()) goto event_383_5_end;
        FrameObject * single_instance_383_5_0; single_instance_383_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(spikeshooter_169_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active2_172(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_383_5_0 == NULL)
                    single_instance_383_5_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_383_5_0))->set_direction(16);
    }
    event_383_5_end: ;
}
void Frames::event_func_729()
{
    // event 384_5
    {
        // group: Spike Shooter Test Enemy
        spikeshooter_169_instances.clear_selection();
        for (ObjectIterator it(spikeshooter_169_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!spikeshooter_169_instances.has_selection()) goto event_384_5_end;
        FrameObject * single_instance_384_5_0; single_instance_384_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(spikeshooter_169_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active2_172(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_384_5_0 == NULL)
                    single_instance_384_5_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_384_5_0))->set_direction(0);
    }
    event_384_5_end: ;
}
void Frames::event_func_730()
{
    // event 385_5
    {
        // group: Spike Shooter Test Enemy
        spikeshooter_169_instances.clear_selection();
        for (ObjectIterator it(spikeshooter_169_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!spikeshooter_169_instances.has_selection()) goto event_385_5_end;
        FrameObject * single_instance_385_5_0; single_instance_385_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(spikeshooter_169_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active2_172(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_385_5_0 == NULL)
                    single_instance_385_5_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_385_5_0))->set_direction(12);
    }
    event_385_5_end: ;
}
void Frames::event_func_731()
{
    // event 386_5
    {
        // group: Spike Shooter Test Enemy
        spikeshooter_169_instances.clear_selection();
        for (ObjectIterator it(spikeshooter_169_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!spikeshooter_169_instances.has_selection()) goto event_386_5_end;
        FrameObject * single_instance_386_5_0; single_instance_386_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(spikeshooter_169_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active2_172(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_386_5_0 == NULL)
                    single_instance_386_5_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_386_5_0))->set_direction(4);
    }
    event_386_5_end: ;
}
void Frames::event_func_732()
{
    // event 387_5
    {
        // group: Spike Shooter Test Enemy
        spikeshooter_169_instances.clear_selection();
        for (ObjectIterator it(spikeshooter_169_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!spikeshooter_169_instances.has_selection()) goto event_387_5_end;
        FrameObject * single_instance_387_5_0; single_instance_387_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(spikeshooter_169_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active2_172(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_387_5_0 == NULL)
                    single_instance_387_5_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_387_5_0))->set_direction(20);
    }
    event_387_5_end: ;
}
void Frames::event_func_733()
{
    // event 388_5
    {
        // group: Spike Shooter Test Enemy
        spikeshooter_169_instances.clear_selection();
        for (ObjectIterator it(spikeshooter_169_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!spikeshooter_169_instances.has_selection()) goto event_388_5_end;
        FrameObject * single_instance_388_5_0; single_instance_388_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(spikeshooter_169_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active2_172(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_388_5_0 == NULL)
                    single_instance_388_5_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_388_5_0))->set_direction(28);
    }
    event_388_5_end: ;
}
void Frames::event_func_734()
{
    // event 389_5
    {
        // group: Spike Shooter Test Enemy
        screen_170_instances.clear_selection();
        if (!check_not_overlap(screen_170_instances, active2_172_instances)) goto event_389_5_end;
        every_389_5_0 += manager.dt;
        if (every_389_5_0 < 1.0) goto event_389_5_end;
        every_389_5_0 -= 1.0;
        active2_172_instances.clear_selection();
        for (ObjectIterator it(active2_172_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_389_5_end: ;
}
void Frames::event_func_735()
{
    // event 392_5
    {
        // group: Spike Shooter Test Enemy
        spikeshooter_169_instances.clear_selection();
        if (!check_not_overlap(spikeshooter_169_instances, screen_170_instances)) goto event_392_5_end;
        every_392_5_0 += manager.dt;
        if (every_392_5_0 < 0.5) goto event_392_5_end;
        every_392_5_0 -= 0.5;
        for (ObjectIterator it(spikeshooter_169_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_392_5_end: ;
}
void Frames::event_func_736()
{
    // event 394_5
    {
        // group: Floaters
        floaterspawner_188_instances.clear_selection();
        for (ObjectIterator it(floaterspawner_188_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) >= (200))) { it.deselect(); continue; }
        }
        if (!floaterspawner_188_instances.has_selection()) goto event_394_5_end;
        screen_170_instances.clear_selection();
        if (!check_overlap(floaterspawner_188_instances, screen_170_instances)) goto event_394_5_end;
        if (not_always_394_5_0 > loop_count) {
            not_always_394_5_0 = loop_count + 2;
            goto event_394_5_end;
        }
        not_always_394_5_0 = loop_count + 2;
        FrameObject * single_instance_394_5_1; single_instance_394_5_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(floaterspawner_188_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemyfloater_187(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_394_5_1 == NULL)
                    single_instance_394_5_1 = new_obj;
            }
        }
        for (ObjectIterator it(floaterspawner_188_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    event_394_5_end: ;
}
void Frames::event_func_737()
{
    // event 395_5
    {
        // group: Floaters
        enemyfloater_187_instances.clear_selection();
        for (ObjectIterator it(enemyfloater_187_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(get_direction_int(((Active*)*it)->x, ((Active*)*it)->y, ((Active*)get_instance(player_115_instances))->x + 0, ((Active*)get_instance(player_115_instances))->y + 0));
        }
    }
    event_395_5_end: ;
}
void Frames::event_func_738()
{
    // event 397_5
    {
        // group: Floaters
        enemyfloater_187_instances.clear_selection();
        for (ObjectIterator it(enemyfloater_187_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemyfloater_187_instances.has_selection()) goto event_397_5_end;
        FrameObject * single_instance_397_5_0; single_instance_397_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyfloater_187_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_152(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_397_5_0 == NULL)
                    single_instance_397_5_0 = new_obj;
            }
        }
        for (ObjectIterator it(enemyfloater_187_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)get_single(enemyfloater_187_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)get_single(enemyfloater_187_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        {
            loop_debris_running = true;
            int times = int(3);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_5();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 14); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 14); // 'camera shaker'
    }
    event_397_5_end: ;
}
void Frames::event_func_739()
{
    // event 398_5
    {
        // group: Floaters
        active2_172_instances.clear_selection();
        if (!check_not_overlap(active2_172_instances, screen_170_instances)) goto event_398_5_end;
        for (ObjectIterator it(active2_172_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(3, 1); // 'Active 2'
        }
    }
    event_398_5_end: ;
}
void Frames::event_func_740()
{
    // event 399_5
    {
        // group: Floaters
        active2_172_instances.clear_selection();
        screen_170_instances.clear_selection();
        if (!check_overlap(active2_172_instances, screen_170_instances)) goto event_399_5_end;
        for (ObjectIterator it(active2_172_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 0); // 'Active 2'
        }
    }
    event_399_5_end: ;
}
void Frames::event_func_741()
{
    // event 400_5
    {
        // group: Floaters
        active2_172_instances.clear_selection();
        for (ObjectIterator it(active2_172_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) == (60))) { it.deselect(); continue; }
        }
        if (!active2_172_instances.has_selection()) goto event_400_5_end;
        for (ObjectIterator it(active2_172_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_400_5_end: ;
}
void Frames::event_func_742()
{
    // event 401_5
    {
        // group: Floaters
        enemyfloater_187_instances.clear_selection();
        hurtbox_196_instances.clear_selection();
        if (!check_overlap(enemyfloater_187_instances, hurtbox_196_instances)) goto event_401_5_end;
        FrameObject * single_instance_401_5_0; single_instance_401_5_0 = pick_random(enemyfloater_187_instances);
        if (single_instance_401_5_0 == NULL) goto event_401_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(9)) <= (0))) goto event_401_5_end;
        if (not_always_401_5_1 > loop_count) {
            not_always_401_5_1 = loop_count + 2;
            goto event_401_5_end;
        }
        not_always_401_5_1 = loop_count + 2;
        global_values->sub(0, ((Active*)single_instance_401_5_0)->alterables->values.get(0));
        {
            loop_healthupdate_running = true;
            int times = int(2);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_5();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_401_5_end: ;
}
void Frames::event_func_743()
{
    // event 402_5
    {
        // group: Floaters
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.add(7, 1); // 'FrameDataStore'
        floaterspawner_188_instances.clear_selection();
        for (ObjectIterator it(floaterspawner_188_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(1, ((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(7)); // 'Floater-Spawner'
        }
        ((Active*)get_instance(enemyspawnerhoppy_301_instances))->alterables->values.set(5, ((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(7)); // 'enemy-spawner-hoppy'
    }
    event_402_5_end: ;
}
void Frames::event_func_744()
{
    // event 403_5
    {
        // group: Floaters
        if (!((((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(7)) >= (200))) goto event_403_5_end;
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(7, 0); // 'FrameDataStore'
    }
    event_403_5_end: ;
}
void Frames::event_func_745()
{
    // event 404_5
    {
        // group: Floaters
        objjunkblock_288_instances.clear_selection();
        floaterspawner_188_instances.clear_selection();
        if (!check_overlap(objjunkblock_288_instances, floaterspawner_188_instances)) goto event_404_5_end;
        for (ObjectIterator it(floaterspawner_188_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 1); // 'Floater-Spawner'
            ((Active*)*it)->alterables->values.set(1, 0); // 'Floater-Spawner'
        }
    }
    event_404_5_end: ;
}
void Frames::event_func_746()
{
    // event 405_5
    {
        // group: Floaters
        floaterspawner_188_instances.clear_selection();
        if (!check_not_overlap(floaterspawner_188_instances, screen_170_instances)) goto event_405_5_end;
        for (ObjectIterator it(floaterspawner_188_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 1); // 'Floater-Spawner'
            ((Active*)*it)->alterables->values.set(1, 0); // 'Floater-Spawner'
        }
    }
    event_405_5_end: ;
}
void Frames::event_func_747()
{
    // event 406_5
    {
        // group: Floaters
        objjunkblock_288_instances.clear_selection();
        enemyspawnerhoppy_301_instances.clear_selection();
        if (!check_overlap(objjunkblock_288_instances, enemyspawnerhoppy_301_instances)) goto event_406_5_end;
        ((Active*)get_instance(enemyspawnerhoppy_301_instances))->alterables->values.set(5, 0); // 'enemy-spawner-hoppy'
    }
    event_406_5_end: ;
}
void Frames::event_func_748()
{
    // event 407_5
    {
        // group: Floaters
        enemyspawnerhoppy_301_instances.clear_selection();
        if (!check_not_overlap(enemyspawnerhoppy_301_instances, screen_170_instances)) goto event_407_5_end;
        ((Active*)get_instance(enemyspawnerhoppy_301_instances))->alterables->values.set(5, 0); // 'enemy-spawner-hoppy'
    }
    event_407_5_end: ;
}
void Frames::event_func_749()
{
    // event 408_5
    {
        // group: Floaters
        floaterspawner_188_instances.clear_selection();
        for (ObjectIterator it(floaterspawner_188_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_115_instances))->get_x()+33))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_115_instances))->get_x()-33))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_y()) < (((Active*)get_instance(player_115_instances))->get_y()+66))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_y()) > (((Active*)get_instance(player_115_instances))->get_y()-33))) { it.deselect(); continue; }
        }
        if (!floaterspawner_188_instances.has_selection()) goto event_408_5_end;
        for (ObjectIterator it(floaterspawner_188_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 1); // 'Floater-Spawner'
            ((Active*)*it)->alterables->values.set(1, 0); // 'Floater-Spawner'
        }
    }
    event_408_5_end: ;
}
void Frames::event_func_750()
{
    // event 410_5
    {
        // group: Enemy Movers
        enemypath_177_instances.clear_selection();
        enemyup_184_instances.clear_selection();
        if (!check_overlap(enemypath_177_instances, enemyup_184_instances)) goto event_410_5_end;
        for (ObjectIterator it(enemypath_177_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_directions(256)) { it.deselect(); continue; }
        }
        if (!enemypath_177_instances.has_selection()) goto event_410_5_end;
        for (ObjectIterator it(enemypath_177_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(4, 1); // 'enemy-path'
        }
    }
    event_410_5_end: ;
}
void Frames::event_func_751()
{
    // event 411_5
    {
        // group: Enemy Movers
        enemypath_177_instances.clear_selection();
        enemydown_182_instances.clear_selection();
        if (!check_overlap(enemypath_177_instances, enemydown_182_instances)) goto event_411_5_end;
        for (ObjectIterator it(enemypath_177_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_directions(16777216)) { it.deselect(); continue; }
        }
        if (!enemypath_177_instances.has_selection()) goto event_411_5_end;
        for (ObjectIterator it(enemypath_177_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(5, 1); // 'enemy-path'
        }
    }
    event_411_5_end: ;
}
void Frames::event_func_752()
{
    // event 412_5
    {
        // group: Enemy Movers
        enemypath_177_instances.clear_selection();
        enemyleft_183_instances.clear_selection();
        if (!check_overlap(enemypath_177_instances, enemyleft_183_instances)) goto event_412_5_end;
        for (ObjectIterator it(enemypath_177_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_directions(65536)) { it.deselect(); continue; }
        }
        if (!enemypath_177_instances.has_selection()) goto event_412_5_end;
        for (ObjectIterator it(enemypath_177_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(6, 1); // 'enemy-path'
        }
    }
    event_412_5_end: ;
}
void Frames::event_func_753()
{
    // event 413_5
    {
        // group: Enemy Movers
        enemypath_177_instances.clear_selection();
        enemyright_181_instances.clear_selection();
        if (!check_overlap(enemypath_177_instances, enemyright_181_instances)) goto event_413_5_end;
        for (ObjectIterator it(enemypath_177_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_directions(1)) { it.deselect(); continue; }
        }
        if (!enemypath_177_instances.has_selection()) goto event_413_5_end;
        for (ObjectIterator it(enemypath_177_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(7, 1); // 'enemy-path'
        }
    }
    event_413_5_end: ;
}
void Frames::event_func_754()
{
    // event 414_5
    {
        // group: Enemy Movers
        enemypath_177_instances.clear_selection();
        for (ObjectIterator it(enemypath_177_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) >= (17))) { it.deselect(); continue; }
        }
        if (!enemypath_177_instances.has_selection()) goto event_414_5_end;
        enemyup_184_instances.clear_selection();
        if (!check_overlap(enemypath_177_instances, enemyup_184_instances)) goto event_414_5_end;
        for (ObjectIterator it(enemypath_177_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(8);
            ((Active*)*it)->alterables->values.set(4, 0); // 'enemy-path'
            ((Active*)*it)->alterables->values.set(5, 0); // 'enemy-path'
            ((Active*)*it)->alterables->values.set(6, 0); // 'enemy-path'
            ((Active*)*it)->alterables->values.set(7, 0); // 'enemy-path'
        }
        for (ObjectIterator it(enemypath_177_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_single(enemyup_184_instances, it.current_index));
            if (parent == NULL) goto pos_end_414_5_0;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + -1);
            pos_end_414_5_0: ;
        }
    }
    event_414_5_end: ;
}
