#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::event_func_955()
{
    // event 729_5
    {
        // group: Shootythingy
        enemytoolio_282_instances.clear_selection();
        screen_170_instances.clear_selection();
        if (!check_overlap(enemytoolio_282_instances, screen_170_instances)) goto event_729_5_end;
        for (ObjectIterator it(enemytoolio_282_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(0, 1); // 'enemy-toolio'
        }
    }
    event_729_5_end: ;
}
void Frames::event_func_956()
{
    // event 730_5
    {
        // group: Shootythingy
        enemytoolio_282_instances.clear_selection();
        for (ObjectIterator it(enemytoolio_282_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) >= (175))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) >= (((Active*)get_instance(player_115_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!enemytoolio_282_instances.has_selection()) goto event_730_5_end;
        screen_170_instances.clear_selection();
        if (!check_overlap(screen_170_instances, enemytoolio_282_instances)) goto event_730_5_end;
        for (ObjectIterator it(enemytoolio_282_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 0); // 'enemy-toolio'
            ((Active*)*it)->force_animation(1);
        }
        FrameObject * single_instance_730_5_0; single_instance_730_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemytoolio_282_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemyhomingcog_283(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_730_5_0 == NULL)
                    single_instance_730_5_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_730_5_0))->set_direction(16);
    }
    event_730_5_end: ;
}
void Frames::event_func_957()
{
    // event 731_5
    {
        // group: Shootythingy
        enemytoolio_282_instances.clear_selection();
        for (ObjectIterator it(enemytoolio_282_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) >= (175))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) <= (((Active*)get_instance(player_115_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!enemytoolio_282_instances.has_selection()) goto event_731_5_end;
        screen_170_instances.clear_selection();
        if (!check_overlap(screen_170_instances, enemytoolio_282_instances)) goto event_731_5_end;
        for (ObjectIterator it(enemytoolio_282_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 0); // 'enemy-toolio'
            ((Active*)*it)->force_animation(1);
        }
        FrameObject * single_instance_731_5_0; single_instance_731_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemytoolio_282_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemyhomingcog_283(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_731_5_0 == NULL)
                    single_instance_731_5_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_731_5_0))->set_direction(0);
    }
    event_731_5_end: ;
}
void Frames::event_func_958()
{
    // event 732_5
    {
        // group: Shootythingy
        enemytoolio_282_instances.clear_selection();
        for (ObjectIterator it(enemytoolio_282_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) >= (175))) { it.deselect(); continue; }
        }
        if (!enemytoolio_282_instances.has_selection()) goto event_732_5_end;
        for (ObjectIterator it(enemytoolio_282_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 0); // 'enemy-toolio'
        }
    }
    event_732_5_end: ;
}
void Frames::event_func_959()
{
    // event 733_5
    {
        // group: Shootythingy
        enemyhomingcog_283_instances.clear_selection();
        for (ObjectIterator it(enemyhomingcog_283_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_115_instances))->get_x()+5))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_115_instances))->get_x()-5))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_y()) <= (((Active*)get_instance(player_115_instances))->get_y()))) { it.deselect(); continue; }
        }
        if (!enemyhomingcog_283_instances.has_selection()) goto event_733_5_end;
        for (ObjectIterator it(enemyhomingcog_283_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(24);
            ((Active*)*it)->alterables->values.set(0, 1); // 'enemy-homing-cog'
        }
    }
    event_733_5_end: ;
}
void Frames::event_func_960()
{
    // event 734_5
    {
        // group: Shootythingy
        enemyhomingcog_283_instances.clear_selection();
        for (ObjectIterator it(enemyhomingcog_283_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_115_instances))->get_x()+5))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_115_instances))->get_x()-5))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_y()) > (((Active*)get_instance(player_115_instances))->get_y()))) { it.deselect(); continue; }
        }
        if (!enemyhomingcog_283_instances.has_selection()) goto event_734_5_end;
        for (ObjectIterator it(enemyhomingcog_283_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(8);
            ((Active*)*it)->alterables->values.set(0, 1); // 'enemy-homing-cog'
        }
    }
    event_734_5_end: ;
}
void Frames::event_func_961()
{
    // event 736_5
    {
        // group: Shootythingy
        enemytoolio_282_instances.clear_selection();
        for (ObjectIterator it(enemytoolio_282_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemytoolio_282_instances.has_selection()) goto event_736_5_end;
        if (not_always_736_5_0 > loop_count) {
            not_always_736_5_0 = loop_count + 2;
            goto event_736_5_end;
        }
        not_always_736_5_0 = loop_count + 2;
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        FrameObject * single_instance_736_5_1; single_instance_736_5_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemytoolio_282_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_152(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_736_5_1 == NULL)
                    single_instance_736_5_1 = new_obj;
            }
        }
        for (ObjectIterator it(enemytoolio_282_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)get_single(enemytoolio_282_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)get_single(enemytoolio_282_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        {
            loop_debris_running = true;
            int times = int(7);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_5();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 20); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 20); // 'camera shaker'
    }
    event_736_5_end: ;
}
void Frames::event_func_962()
{
    // event 740_5
    {
        // group: Shootythingy
        enemyhomingcog_283_instances.clear_selection();
        if (!check_not_overlap(enemyhomingcog_283_instances, screen_170_instances)) goto event_740_5_end;
        for (ObjectIterator it(enemyhomingcog_283_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_740_5_end: ;
}
void Frames::event_func_963()
{
    // event 742_5
    {
        // group: Shootythingy
        enemyhomingcog_283_instances.clear_selection();
        for (ObjectIterator it(enemyhomingcog_283_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) < (25))) { it.deselect(); continue; }
        }
        if (!enemyhomingcog_283_instances.has_selection()) goto event_742_5_end;
        for (ObjectIterator it(enemyhomingcog_283_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->get_movement()->get_speed()+1);
        }
    }
    event_742_5_end: ;
}
void Frames::event_func_964()
{
    // event 743_5
    {
        // group: Shootythingy
        enemyhomingcog_283_instances.clear_selection();
        for (ObjectIterator it(enemyhomingcog_283_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!enemyhomingcog_283_instances.has_selection()) goto event_743_5_end;
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        FrameObject * single_instance_743_5_0; single_instance_743_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyhomingcog_283_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_152(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_743_5_0 == NULL)
                    single_instance_743_5_0 = new_obj;
            }
        }
        for (ObjectIterator it(enemyhomingcog_283_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)get_single(enemyhomingcog_283_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)get_single(enemyhomingcog_283_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        {
            loop_debris_running = true;
            int times = int(3);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_5();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 8); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 8); // 'camera shaker'
    }
    event_743_5_end: ;
}
void Frames::event_func_965()
{
    // event 744_5
    {
        // group: Shootythingy
        enemyhomingcog_283_instances.clear_selection();
        for (ObjectIterator it(enemyhomingcog_283_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!enemyhomingcog_283_instances.has_selection()) goto event_744_5_end;
        for (ObjectIterator it(enemyhomingcog_283_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_744_5_end: ;
}
void Frames::event_func_966()
{
    // event 746_5
    {
        // group: Shootythingy
        enemytoolio_282_instances.clear_selection();
        for (ObjectIterator it(enemytoolio_282_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(get_direction_int(((Active*)*it)->x, ((Active*)*it)->y, ((Active*)get_instance(player_115_instances))->x + 0, ((Active*)get_instance(player_115_instances))->y + 0));
        }
    }
    event_746_5_end: ;
}
void Frames::event_func_967()
{
    // event 747_5
    {
        // group: Shootythingy
        enemytoolio_282_instances.clear_selection();
        for (ObjectIterator it(enemytoolio_282_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 2)) { it.deselect(); continue; }
        }
        if (!enemytoolio_282_instances.has_selection()) goto event_747_5_end;
        for (ObjectIterator it(enemytoolio_282_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_747_5_end: ;
}
void Frames::event_func_968()
{
    // event 750_5
    {
        // group: Boxman
        enemyboxman_284_instances.clear_selection();
        for (ObjectIterator it(enemyboxman_284_instances); !it.end(); ++it) {
            if (((Active*)(*it))->overlaps_background()) { it.deselect(); continue; }
        }
        if (!enemyboxman_284_instances.has_selection()) goto event_750_5_end;
        if (!((((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(12)) == (0))) goto event_750_5_end;
        for (ObjectIterator it(enemyboxman_284_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(0, 1.0); // 'enemy-boxman'
        }
    }
    event_750_5_end: ;
}
void Frames::event_func_969()
{
    // event 751_5
    {
        // group: Boxman
        enemyboxman_284_instances.clear_selection();
        for (ObjectIterator it(enemyboxman_284_instances); !it.end(); ++it) {
            if (((Active*)(*it))->overlaps_background()) { it.deselect(); continue; }
        }
        if (!enemyboxman_284_instances.has_selection()) goto event_751_5_end;
        for (ObjectIterator it(enemyboxman_284_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+((Active*)*it)->alterables->values.get(0));
        }
    }
    event_751_5_end: ;
}
void Frames::event_func_970()
{
    // event 752_5
    {
        // group: Boxman
        enemyboxman_284_instances.clear_selection();
        for (ObjectIterator it(enemyboxman_284_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->overlaps_background())) { it.deselect(); continue; }
        }
        if (!enemyboxman_284_instances.has_selection()) goto event_752_5_end;
        {
            loop_boxmaninground_running = true;
            int times = int(5);
            loop_boxmaninground_index = 0;
            while (loop_boxmaninground_index < times) {
                loop_boxmaninground_5();
                if (!loop_boxmaninground_running) break;
                loop_boxmaninground_index++;
            }
        }
    }
    event_752_5_end: ;
}
void Frames::event_func_971()
{
    // event 754_5
    {
        // group: Boxman
        enemyboxman_284_instances.clear_selection();
        for (ObjectIterator it(enemyboxman_284_instances); !it.end(); ++it) {
            if (((Active*)(*it))->overlaps_background()) { it.deselect(); continue; }
        }
        if (!enemyboxman_284_instances.has_selection()) goto event_754_5_end;
        if (!(false)) goto event_754_5_end;
            loop_boxmaninground_running = false;
    
    }
    event_754_5_end: ;
}
void Frames::event_func_972()
{
    // event 756_5
    {
        // group: Boxman
        enemyboxman_284_instances.clear_selection();
        for (ObjectIterator it(enemyboxman_284_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) == (0))) { it.deselect(); continue; }
        }
        if (!enemyboxman_284_instances.has_selection()) goto event_756_5_end;
        FrameObject * single_instance_756_5_0; single_instance_756_5_0 = pick_random(enemyboxman_284_instances);
        if (single_instance_756_5_0 == NULL) goto event_756_5_end;
        ((Active*)((Active*)single_instance_756_5_0))->destroy();
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)single_instance_756_5_0)->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)single_instance_756_5_0)->get_y()); // 'FrameDataStore'
        FrameObject * single_instance_756_5_1; single_instance_756_5_1 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_explosion_152(((Active*)single_instance_756_5_0)->get_action_x() - ((Active*)single_instance_756_5_0)->layer->off_x + 0, ((Active*)single_instance_756_5_0)->get_action_y() - ((Active*)single_instance_756_5_0)->layer->off_y + 0), ((Active*)single_instance_756_5_0)->layer);
            if (single_instance_756_5_1 == NULL)
                single_instance_756_5_1 = new_obj;
        }
        {
            loop_debris_running = true;
            int times = int(7);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_5();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_756_5_end: ;
}
void Frames::event_func_973()
{
    // event 758_5
    {
        // group: Boxman
        every_758_5_0 += manager.dt;
        if (every_758_5_0 < 2.2) goto event_758_5_end;
        every_758_5_0 -= 2.2;
        screenfar_299_instances.clear_selection();
        enemyboxspawner_285_instances.clear_selection();
        if (!check_overlap(screenfar_299_instances, enemyboxspawner_285_instances)) goto event_758_5_end;
        for (ObjectIterator it(enemyboxspawner_285_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(15)))) { it.deselect(); continue; }
        }
        if (!enemyboxspawner_285_instances.has_selection()) goto event_758_5_end;
        FrameObject * single_instance_758_5_1; single_instance_758_5_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyboxspawner_285_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemyboxman_284(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_758_5_1 == NULL)
                    single_instance_758_5_1 = new_obj;
            }
        }
    }
    event_758_5_end: ;
}
void Frames::event_func_974()
{
    // event 763_5
    {
        // group: Boxman
        enemyboxspawner_285_instances.clear_selection();
        for (ObjectIterator it(enemyboxspawner_285_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
        }
        if (!enemyboxspawner_285_instances.has_selection()) goto event_763_5_end;
        FrameObject * single_instance_763_5_0; single_instance_763_5_0 = pick_random(enemyboxspawner_285_instances);
        if (single_instance_763_5_0 == NULL) goto event_763_5_end;
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)single_instance_763_5_0)->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)single_instance_763_5_0)->get_y()); // 'FrameDataStore'
        FrameObject * single_instance_763_5_1; single_instance_763_5_1 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_explosion_152(((Active*)single_instance_763_5_0)->get_action_x() - ((Active*)single_instance_763_5_0)->layer->off_x + 15, ((Active*)single_instance_763_5_0)->get_action_y() - ((Active*)single_instance_763_5_0)->layer->off_y + -15), ((Active*)single_instance_763_5_0)->layer);
            if (single_instance_763_5_1 == NULL)
                single_instance_763_5_1 = new_obj;
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        ((Active*)((Active*)single_instance_763_5_0))->destroy();
        {
            loop_debris_running = true;
            int times = int(7);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_5();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
    }
    event_763_5_end: ;
}
void Frames::event_func_975()
{
    // event 764_5
    {
        // group: Boxman
        enemyboxman_284_instances.clear_selection();
        for (ObjectIterator it(enemyboxman_284_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) < (17))) { it.deselect(); continue; }
            if (((Active*)(*it))->overlaps_background()) { it.deselect(); continue; }
        }
        if (!enemyboxman_284_instances.has_selection()) goto event_764_5_end;
        if (!check_not_overlap(enemyboxman_284_instances, objcogblock_287_instances)) goto event_764_5_end;
        for (ObjectIterator it(enemyboxman_284_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(17);
            ((Active*)*it)->get_movement()->start();
        }
    }
    event_764_5_end: ;
}
void Frames::event_func_976()
{
    // event 765_5
    {
        // group: Boxman
        enemyboxspawner_285_instances.clear_selection();
        enemyright_181_instances.clear_selection();
        if (!check_overlap(enemyboxspawner_285_instances, enemyright_181_instances)) goto event_765_5_end;
        for (ObjectIterator it(enemyboxspawner_285_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(16);
        }
    }
    event_765_5_end: ;
}
void Frames::event_func_977()
{
    // event 767_5
    {
        // group: Boxman
        enemyboxman_284_instances.clear_selection();
        for (ObjectIterator it(enemyboxman_284_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(3, 1); // 'enemy-boxman'
        }
    }
    event_767_5_end: ;
}
void Frames::event_func_978()
{
    // event 769_5
    {
        // group: Boxman
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.add(12, 1); // 'FrameDataStore'
    }
    event_769_5_end: ;
}
void Frames::event_func_979()
{
    // event 770_5
    {
        // group: Boxman
        if (!((((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(12)) >= (5))) goto event_770_5_end;
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(12, 0); // 'FrameDataStore'
    }
    event_770_5_end: ;
}
void Frames::event_func_980()
{
    // event 771_5
    {
        // group: Boxman
        enemyboxman_284_instances.clear_selection();
        for (ObjectIterator it(enemyboxman_284_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) < (17))) { it.deselect(); continue; }
        }
        if (!enemyboxman_284_instances.has_selection()) goto event_771_5_end;
        for (ObjectIterator it(enemyboxman_284_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(17);
            ((Active*)*it)->get_movement()->start();
        }
    }
    event_771_5_end: ;
}
void Frames::event_func_981()
{
    // event 772_5
    {
        // group: Boxman
        enemyboxman_284_instances.clear_selection();
        for (ObjectIterator it(enemyboxman_284_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_directions(65537)) { it.deselect(); continue; }
            if (!(((Active*)(*it))->test_directions(16776704))) { it.deselect(); continue; }
        }
        if (!enemyboxman_284_instances.has_selection()) goto event_772_5_end;
        for (ObjectIterator it(enemyboxman_284_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(17);
            ((Active*)*it)->get_movement()->start();
            ((Active*)*it)->set_direction(16);
        }
    }
    event_772_5_end: ;
}
void Frames::event_func_982()
{
    // event 773_5
    {
        // group: Boxman
        enemyboxman_284_instances.clear_selection();
        for (ObjectIterator it(enemyboxman_284_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_directions(65537)) { it.deselect(); continue; }
            if (!(((Active*)(*it))->test_directions(4261413119))) { it.deselect(); continue; }
        }
        if (!enemyboxman_284_instances.has_selection()) goto event_773_5_end;
        for (ObjectIterator it(enemyboxman_284_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(17);
            ((Active*)*it)->get_movement()->start();
            ((Active*)*it)->set_direction(0);
        }
    }
    event_773_5_end: ;
}
void Frames::event_func_983()
{
    // event 774_5
    {
        // group: Boxman
        spawnerboxman_295_instances.clear_selection();
        for (ObjectIterator it(spawnerboxman_295_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) > (0))) { it.deselect(); continue; }
        }
        if (!spawnerboxman_295_instances.has_selection()) goto event_774_5_end;
        for (ObjectIterator it(spawnerboxman_295_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(3, 1); // 'spawner-boxman'
        }
    }
    event_774_5_end: ;
}
void Frames::event_func_984()
{
    // event 775_5
    {
        // group: Boxman
        enemyboxman_284_instances.clear_selection();
        for (ObjectIterator it(enemyboxman_284_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (6))) { it.deselect(); continue; }
        }
        if (!enemyboxman_284_instances.has_selection()) goto event_775_5_end;
        for (ObjectIterator it(enemyboxman_284_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 7); // 'enemy-boxman'
        }
    }
    event_775_5_end: ;
}
void Frames::event_func_985()
{
    // event 777_5
    {
        // group: Cog blocks
        enemyboxman_284_instances.clear_selection();
        objcogblock_287_instances.clear_selection();
        if (!check_overlap(enemyboxman_284_instances, objcogblock_287_instances)) goto event_777_5_end;
        {
            loop_boxmaninground_running = true;
            int times = int(5);
            loop_boxmaninground_index = 0;
            while (loop_boxmaninground_index < times) {
                loop_boxmaninground_5();
                if (!loop_boxmaninground_running) break;
                loop_boxmaninground_index++;
            }
        }
        enemyboxman_284_instances.clear_selection();
        for (ObjectIterator it(enemyboxman_284_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 0); // 'enemy-boxman'
        }
    }
    event_777_5_end: ;
}
void Frames::event_func_986()
{
    // event 779_5
    {
        // group: Cog blocks
        enemyboxman_284_instances.clear_selection();
        if (!check_not_overlap(enemyboxman_284_instances, objcogblock_287_instances)) goto event_779_5_end;
        if (!(false)) goto event_779_5_end;
            loop_boxmaninground_running = false;
    
    }
    event_779_5_end: ;
}
void Frames::event_func_987()
{
    // event 780_5
    {
        // group: Cog blocks
        enemyboxman_284_instances.clear_selection();
        objeyeblock_191_instances.clear_selection();
        if (!check_overlap(enemyboxman_284_instances, objeyeblock_191_instances)) goto event_780_5_end;
        screenfar_299_instances.clear_selection();
        if (!check_overlap(enemyboxman_284_instances, screenfar_299_instances)) goto event_780_5_end;
        FrameObject * single_instance_780_5_0; single_instance_780_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(objeyeblock_191_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active_308(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_780_5_0 == NULL)
                    single_instance_780_5_0 = new_obj;
            }
        }
    }
    event_780_5_end: ;
}
void Frames::event_func_988()
{
    // event 781_5
    {
        // group: Cog blocks
        objeyeblock_191_instances.clear_selection();
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_191_instances.has_selection()) goto event_781_5_end;
        active_1_instances.clear_selection();
        if (!check_overlap(objeyeblock_191_instances, active_1_instances)) goto event_781_5_end;
        for (ObjectIterator it(active_1_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_781_5_end: ;
}
void Frames::event_func_989()
{
    // event 784_5
    {
        // group: Cog blocks
        enemyboxman_284_instances.clear_selection();
        active_1_instances.clear_selection();
        if (!check_overlap(enemyboxman_284_instances, active_1_instances)) goto event_784_5_end;
        {
            loop_boxmaninground_running = true;
            int times = int(5);
            loop_boxmaninground_index = 0;
            while (loop_boxmaninground_index < times) {
                loop_boxmaninground_5();
                if (!loop_boxmaninground_running) break;
                loop_boxmaninground_index++;
            }
        }
    }
    event_784_5_end: ;
}
void Frames::event_func_990()
{
    // event 786_5
    {
        // group: Cog blocks
        enemyboxman_284_instances.clear_selection();
        if (!check_not_overlap(enemyboxman_284_instances, active_1_instances)) goto event_786_5_end;
        if (!(false)) goto event_786_5_end;
            loop_boxmaninground_running = false;
    
    }
    event_786_5_end: ;
}
void Frames::event_func_991()
{
    // event 788_5
    {
        // group: Cog blocks
        enemyboxman_284_instances.clear_selection();
        objcratestopper_258_instances.clear_selection();
        if (!check_overlap(enemyboxman_284_instances, objcratestopper_258_instances)) goto event_788_5_end;
        {
            loop_boxmaninground_running = true;
            int times = int(5);
            loop_boxmaninground_index = 0;
            while (loop_boxmaninground_index < times) {
                loop_boxmaninground_5();
                if (!loop_boxmaninground_running) break;
                loop_boxmaninground_index++;
            }
        }
        enemyboxman_284_instances.clear_selection();
        for (ObjectIterator it(enemyboxman_284_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 0); // 'enemy-boxman'
        }
    }
    event_788_5_end: ;
}
void Frames::event_func_992()
{
    // event 790_5
    {
        // group: Cog blocks
        enemyboxman_284_instances.clear_selection();
        if (!check_not_overlap(enemyboxman_284_instances, objcratestopper_258_instances)) goto event_790_5_end;
        if (!(false)) goto event_790_5_end;
            loop_boxmaninground_running = false;
    
    }
    event_790_5_end: ;
}
void Frames::event_func_993()
{
    // event 791_5
    {
        // group: Cog blocks
        active_1_instances.clear_selection();
        for (ObjectIterator it(active_1_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (13))) { it.deselect(); continue; }
        }
        if (!active_1_instances.has_selection()) goto event_791_5_end;
        for (ObjectIterator it(active_1_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_791_5_end: ;
}
void Frames::event_func_994()
{
    // event 792_5
    {
        // group: Cog blocks
        active_1_instances.clear_selection();
        for (ObjectIterator it(active_1_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(0, 1); // 'Active'
        }
    }
    event_792_5_end: ;
}
void Frames::event_func_995()
{
    // event 801_5
    {
        // group: Bouncer
        enemygearoflaw_286_instances.clear_selection();
        for (ObjectIterator it(enemygearoflaw_286_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
        }
        if (!enemygearoflaw_286_instances.has_selection()) goto event_801_5_end;
        FrameObject * single_instance_801_5_0; single_instance_801_5_0 = pick_random(enemygearoflaw_286_instances);
        if (single_instance_801_5_0 == NULL) goto event_801_5_end;
        FrameObject * single_instance_801_5_1; single_instance_801_5_1 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_explosion_152(((Active*)single_instance_801_5_0)->get_action_x() - ((Active*)single_instance_801_5_0)->layer->off_x + 0, ((Active*)single_instance_801_5_0)->get_action_y() - ((Active*)single_instance_801_5_0)->layer->off_y + 0), ((Active*)single_instance_801_5_0)->layer);
            if (single_instance_801_5_1 == NULL)
                single_instance_801_5_1 = new_obj;
        }
        ((Active*)((Active*)single_instance_801_5_0))->destroy();
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)single_instance_801_5_0)->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)single_instance_801_5_0)->get_y()); // 'FrameDataStore'
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        {
            loop_debris_running = true;
            int times = int(5);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_5();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
    }
    event_801_5_end: ;
}
void Frames::event_func_996()
{
    // event 802_5
    {
        // group: Bouncer
        spawnerbouncycog_293_instances.clear_selection();
        for (ObjectIterator it(spawnerbouncycog_293_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!spawnerbouncycog_293_instances.has_selection()) goto event_802_5_end;
        for (ObjectIterator it(spawnerbouncycog_293_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(2, 1); // 'spawner-bouncycog'
        }
    }
    event_802_5_end: ;
}
void Frames::event_func_997()
{
    // event 805_5
    {
        // group: Bouncer
        enemygearoflaw_286_instances.clear_selection();
        for (ObjectIterator it(enemygearoflaw_286_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(2, 1); // 'enemy-gearoflaw'
        }
    }
    event_805_5_end: ;
}
void Frames::event_func_998()
{
    // event 811_5
    {
        // group: Bouncer
        enemygearoflaw_286_instances.clear_selection();
        objcogblock_287_instances.clear_selection();
        if (!check_overlap(enemygearoflaw_286_instances, objcogblock_287_instances)) goto event_811_5_end;
        for (ObjectIterator it(objcogblock_287_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (1))) { it.deselect(); continue; }
        }
        if (!objcogblock_287_instances.has_selection()) goto event_811_5_end;
        for (ObjectIterator it(enemygearoflaw_286_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 1); // 'enemy-gearoflaw'
        }
    }
    event_811_5_end: ;
}
void Frames::event_func_999()
{
    // event 812_5
    {
        // group: Bouncer
        enemygearoflaw_286_instances.clear_selection();
        for (ObjectIterator it(enemygearoflaw_286_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->get_movement()->is_stopped())) { it.deselect(); continue; }
        }
        if (!enemygearoflaw_286_instances.has_selection()) goto event_812_5_end;
        for (ObjectIterator it(enemygearoflaw_286_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_812_5_end: ;
}
void Frames::event_func_1000()
{
    // event 817_5
    {
        // group: Bouncer
        enemygearoflaw_286_instances.clear_selection();
        for (ObjectIterator it(enemygearoflaw_286_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (2))) { it.deselect(); continue; }
        }
        if (!enemygearoflaw_286_instances.has_selection()) goto event_817_5_end;
        enemyup_184_instances.clear_selection();
        if (!check_overlap(enemygearoflaw_286_instances, enemyup_184_instances)) goto event_817_5_end;
        for (ObjectIterator it(enemygearoflaw_286_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(12);
        }
    }
    event_817_5_end: ;
}
void Frames::event_func_1001()
{
    // event 818_5
    {
        // group: Bouncer
        enemygearoflaw_286_instances.clear_selection();
        for (ObjectIterator it(enemygearoflaw_286_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (2))) { it.deselect(); continue; }
        }
        if (!enemygearoflaw_286_instances.has_selection()) goto event_818_5_end;
        enemyright_181_instances.clear_selection();
        if (!check_overlap(enemygearoflaw_286_instances, enemyright_181_instances)) goto event_818_5_end;
        for (ObjectIterator it(enemygearoflaw_286_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(4);
        }
    }
    event_818_5_end: ;
}
void Frames::event_func_1002()
{
    // event 819_5
    {
        // group: Bouncer
        enemygearoflaw_286_instances.clear_selection();
        for (ObjectIterator it(enemygearoflaw_286_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(65280))) { it.deselect(); continue; }
        }
        if (!enemygearoflaw_286_instances.has_selection()) goto event_819_5_end;
        for (ObjectIterator it(enemygearoflaw_286_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(12);
        }
    }
    event_819_5_end: ;
}
void Frames::event_func_1003()
{
    // event 820_5
    {
        // group: Bouncer
        enemygearoflaw_286_instances.clear_selection();
        for (ObjectIterator it(enemygearoflaw_286_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(255))) { it.deselect(); continue; }
        }
        if (!enemygearoflaw_286_instances.has_selection()) goto event_820_5_end;
        for (ObjectIterator it(enemygearoflaw_286_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(4);
        }
    }
    event_820_5_end: ;
}
void Frames::event_func_1004()
{
    // event 821_5
    {
        // group: Bouncer
        enemygearoflaw_286_instances.clear_selection();
        for (ObjectIterator it(enemygearoflaw_286_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(4278190080))) { it.deselect(); continue; }
        }
        if (!enemygearoflaw_286_instances.has_selection()) goto event_821_5_end;
        for (ObjectIterator it(enemygearoflaw_286_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(28);
        }
    }
    event_821_5_end: ;
}
void Frames::event_func_1005()
{
    // event 822_5
    {
        // group: Bouncer
        enemygearoflaw_286_instances.clear_selection();
        for (ObjectIterator it(enemygearoflaw_286_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(16711680))) { it.deselect(); continue; }
        }
        if (!enemygearoflaw_286_instances.has_selection()) goto event_822_5_end;
        for (ObjectIterator it(enemygearoflaw_286_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(20);
        }
    }
    event_822_5_end: ;
}
void Frames::event_func_1006()
{
    // event 823_5
    {
        // group: Bouncer
        enemygearoflaw_286_instances.clear_selection();
        if (!check_overlap(enemygearoflaw_286_instances, enemygearoflaw_286_instances)) goto event_823_5_end;
        for (ObjectIterator it(enemygearoflaw_286_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 0); // 'enemy-gearoflaw'
        }
    }
    event_823_5_end: ;
}
void Frames::event_func_1007()
{
    // event 824_5
    {
        // group: Bouncer
        enemygearoflaw_286_instances.clear_selection();
        for (ObjectIterator it(enemygearoflaw_286_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(camerachaser_47_instances))->get_x()+520))) { it.deselect(); continue; }
        }
        if (!enemygearoflaw_286_instances.has_selection()) goto event_824_5_end;
        for (ObjectIterator it(enemygearoflaw_286_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_824_5_end: ;
}
void Frames::event_func_1008()
{
    // event 825_5
    {
        // group: Bouncer
        enemygearoflaw_286_instances.clear_selection();
        for (ObjectIterator it(enemygearoflaw_286_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(camerachaser_47_instances))->get_x()-520))) { it.deselect(); continue; }
        }
        if (!enemygearoflaw_286_instances.has_selection()) goto event_825_5_end;
        for (ObjectIterator it(enemygearoflaw_286_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_825_5_end: ;
}
void Frames::event_func_1009()
{
    // event 826_5
    {
        // group: Bouncer
        enemygearoflaw_286_instances.clear_selection();
        for (ObjectIterator it(enemygearoflaw_286_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!enemygearoflaw_286_instances.has_selection()) goto event_826_5_end;
        for (ObjectIterator it(enemygearoflaw_286_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_826_5_end: ;
}
void Frames::event_func_1010()
{
    // event 829_5
    {
        // group: Lonestar New
        enemylonestarnew_300_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            if (((Active*)(*it))->overlaps_background()) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_300_instances.has_selection()) goto event_829_5_end;
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(10, 0.23); // 'enemy-lonestarnew'
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+((Active*)*it)->alterables->values.get(10));
        }
    }
    event_829_5_end: ;
}
void Frames::event_func_1011()
{
    // event 830_5
    {
        // group: Lonestar New
        enemylonestarnew_300_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->overlaps_background())) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(10)) > (0))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_300_instances.has_selection()) goto event_830_5_end;
        {
            loop_lonestaringround_running = true;
            int times = int(5);
            loop_lonestaringround_index = 0;
            while (loop_lonestaringround_index < times) {
                loop_lonestaringround_5();
                if (!loop_lonestaringround_running) break;
                loop_lonestaringround_index++;
            }
        }
        enemylonestarnew_300_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(0);
        }
    }
    event_830_5_end: ;
}
void Frames::event_func_1012()
{
    // event 832_5
    {
        // group: Lonestar New
        enemylonestarnew_300_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            if (((Active*)(*it))->overlaps_background()) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_300_instances.has_selection()) goto event_832_5_end;
        if (!(false)) goto event_832_5_end;
            loop_lonestaringround_running = false;
    
    }
    event_832_5_end: ;
}
void Frames::event_func_1013()
{
    // event 833_5
    {
        // group: Lonestar New
        enemylonestarnew_300_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(10)) <= (1))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_300_instances.has_selection()) goto event_833_5_end;
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(3, 1); // 'enemy-lonestarnew'
        }
    }
    event_833_5_end: ;
}
void Frames::event_func_1014()
{
    // event 834_5
    {
        // group: Lonestar New
        enemylonestarnew_300_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (50))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_300_instances.has_selection()) goto event_834_5_end;
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestarnew'
            ((Active*)*it)->set_direction(get_direction_int(((Active*)*it)->x, ((Active*)*it)->y, ((Active*)get_instance(player_115_instances))->x + 0, ((Active*)get_instance(player_115_instances))->y + 0));
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(11));
            ((Active*)*it)->alterables->values.set(10, ((Active*)*it)->alterables->values.get(12)/MathHelper()/10.0); // 'enemy-lonestarnew'
            ((Active*)*it)->set_direction(((Active*)*it)->get_direction()+(16*((Active*)*it)->alterables->values.get(15)));
            ((Active*)*it)->alterables->values.set(15, 0); // 'enemy-lonestarnew'
        }
        media.play_id(SOUND_SPRING_4, -1, 1);
        media.set_sample_volume(SOUND_SPRING_4, global_values->get(12)*0.5);
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(18, 0); // 'enemy-lonestarnew'
        }
        FrameObject * single_instance_834_5_0; single_instance_834_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemylonestarnew_300_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_objgarbagedestroyer_302(parent->x + 0, parent->y + 1), parent->layer);
                if (single_instance_834_5_0 == NULL)
                    single_instance_834_5_0 = new_obj;
            }
        }
    }
    event_834_5_end: ;
}
void Frames::event_func_1015()
{
    // event 835_5
    {
        // group: Lonestar New
        enemylonestarnew_300_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) >= (28))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_300_instances.has_selection()) goto event_835_5_end;
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(28);
        }
    }
    event_835_5_end: ;
}
void Frames::event_func_1016()
{
    // event 836_5
    {
        // group: Lonestar New
        enemylonestarnew_300_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(10)) < (-5.75))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_300_instances.has_selection()) goto event_836_5_end;
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(10, -5*1.15); // 'enemy-lonestarnew'
        }
    }
    event_836_5_end: ;
}
void Frames::event_func_1017()
{
    // event 837_5
    {
        // group: Lonestar New
        enemylonestarnew_300_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(13, get_abs(((Active*)*it)->get_x()-((Active*)get_instance(player_115_instances))->get_x())); // 'enemy-lonestarnew'
        }
    }
    event_837_5_end: ;
}
void Frames::event_func_1018()
{
    // event 838_5
    {
        // group: Lonestar New
        enemylonestarnew_300_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(13)) > (150))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_300_instances.has_selection()) goto event_838_5_end;
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(11, 27); // 'enemy-lonestarnew'
            ((Active*)*it)->alterables->values.set(12, -45); // 'enemy-lonestarnew'
        }
    }
    event_838_5_end: ;
}
void Frames::event_func_1019()
{
    // event 839_5
    {
        // group: Lonestar New
        enemylonestarnew_300_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(13)) <= (150))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(13)) > (75))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_300_instances.has_selection()) goto event_839_5_end;
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(11, 17); // 'enemy-lonestarnew'
            ((Active*)*it)->alterables->values.set(12, -50); // 'enemy-lonestarnew'
        }
    }
    event_839_5_end: ;
}
void Frames::event_func_1020()
{
    // event 840_5
    {
        // group: Lonestar New
        enemylonestarnew_300_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(13)) <= (75))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(13)) > (0))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_300_instances.has_selection()) goto event_840_5_end;
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(11, 22); // 'enemy-lonestarnew'
            ((Active*)*it)->alterables->values.set(12, -47); // 'enemy-lonestarnew'
            ((Active*)*it)->alterables->values.add(16, 1); // 'enemy-lonestarnew'
        }
    }
    event_840_5_end: ;
}
void Frames::event_func_1021()
{
    // event 841_5
    {
        // group: Lonestar New
        enemylonestarnew_300_instances.clear_selection();
        if (!check_overlap(enemylonestarnew_300_instances, enemylonestarnew_300_instances)) goto event_841_5_end;
        FrameObject * single_instance_841_5_0; single_instance_841_5_0 = pick_random(enemylonestarnew_300_instances);
        if (single_instance_841_5_0 == NULL) goto event_841_5_end;
        if (not_always_841_5_1 > loop_count) {
            not_always_841_5_1 = loop_count + 2;
            goto event_841_5_end;
        }
        not_always_841_5_1 = loop_count + 2;
        ((Active*)((Active*)single_instance_841_5_0))->alterables->values.set(15, 1); // 'enemy-lonestarnew'
        ((Active*)((Active*)single_instance_841_5_0))->alterables->values.set(16, 0); // 'enemy-lonestarnew'
    }
    event_841_5_end: ;
}
void Frames::event_func_1022()
{
    // event 842_5
    {
        // group: Lonestar New
        enemylonestarnew_300_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(17)) < (25))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_300_instances.has_selection()) goto event_842_5_end;
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(3, 1); // 'enemy-lonestarnew'
        }
    }
    event_842_5_end: ;
}
void Frames::event_func_1023()
{
    // event 843_5
    {
        // group: Lonestar New
        enemylonestarnew_300_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(17, 1); // 'enemy-lonestarnew'
        }
    }
    event_843_5_end: ;
}
void Frames::event_func_1024()
{
    // event 844_5
    {
        // group: Lonestar New
        enemylonestarnew_300_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(16)) > (15))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_movement()->get_speed()) == (0))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_300_instances.has_selection()) goto event_844_5_end;
        FrameObject * single_instance_844_5_0; single_instance_844_5_0 = pick_random(enemylonestarnew_300_instances);
        if (single_instance_844_5_0 == NULL) goto event_844_5_end;
        ((Active*)((Active*)single_instance_844_5_0))->alterables->values.set(15, 1); // 'enemy-lonestarnew'
        ((Active*)((Active*)single_instance_844_5_0))->alterables->values.set(16, 0); // 'enemy-lonestarnew'
    }
    event_844_5_end: ;
}
void Frames::event_func_1025()
{
    // event 845_5
    {
        // group: Lonestar New
        enemylonestarnew_300_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(18)) == (0))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_300_instances.has_selection()) goto event_845_5_end;
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(15, 0); // 'enemy-lonestarnew'
            ((Active*)*it)->alterables->values.set(16, 0); // 'enemy-lonestarnew'
        }
    }
    event_845_5_end: ;
}
void Frames::event_func_1026()
{
    // event 846_5
    {
        // group: Lonestar New
        enemylonestarnew_300_instances.clear_selection();
        if (!check_overlap(enemylonestarnew_300_instances, enemylonestarnew_300_instances)) goto event_846_5_end;
        FrameObject * single_instance_846_5_0; single_instance_846_5_0 = pick_random(enemylonestarnew_300_instances);
        if (single_instance_846_5_0 == NULL) goto event_846_5_end;
        ((Active*)((Active*)single_instance_846_5_0))->alterables->values.set(18, 1); // 'enemy-lonestarnew'
    }
    event_846_5_end: ;
}
void Frames::event_func_1027()
{
    // event 847_5
    {
        // group: Lonestar New
        enemylonestarnew_300_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) == (2))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(7)) == (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(15)) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(17)) > (66))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_300_instances.has_selection()) goto event_847_5_end;
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_847_5_end: ;
}
void Frames::event_func_1028()
{
    // event 848_5
    {
        // group: Lonestar New
        enemylonestarnew_300_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) == (2))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(7)) == (1))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(14)) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(17)) > (66))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_300_instances.has_selection()) goto event_848_5_end;
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(17);
        }
    }
    event_848_5_end: ;
}
void Frames::event_func_1029()
{
    // event 849_5
    {
        // group: Lonestar New
        enemylonestarnew_300_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(7)) == (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(15)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(16)) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_300_instances.has_selection()) goto event_849_5_end;
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    event_849_5_end: ;
}
void Frames::event_func_1030()
{
    // event 850_5
    {
        // group: Lonestar New
        enemylonestarnew_300_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(7)) == (1))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(14)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(17)) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_300_instances.has_selection()) goto event_850_5_end;
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(13);
        }
    }
    event_850_5_end: ;
}
void Frames::event_func_1031()
{
    // event 851_5
    {
        // group: Lonestar New
        enemylonestarnew_300_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_115_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_300_instances.has_selection()) goto event_851_5_end;
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(7, 0); // 'enemy-lonestarnew'
        }
    }
    event_851_5_end: ;
}
void Frames::event_func_1032()
{
    // event 852_5
    {
        // group: Lonestar New
        enemylonestarnew_300_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_115_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_300_instances.has_selection()) goto event_852_5_end;
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(7, 1); // 'enemy-lonestarnew'
        }
    }
    event_852_5_end: ;
}
void Frames::event_func_1033()
{
    // event 853_5
    {
        // group: Lonestar New
        enemylonestarnew_300_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_frame()) == (12))) { it.deselect(); continue; }
            if (!(((Active*)(*it))->test_animation(16))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_300_instances.has_selection()) goto event_853_5_end;
        if (not_always_853_5_0 > loop_count) {
            not_always_853_5_0 = loop_count + 2;
            goto event_853_5_end;
        }
        not_always_853_5_0 = loop_count + 2;
        media.stop_sample(SOUND_ZAP_17);
        media.set_sample_volume(SOUND_ZAP_17, global_values->get(12)*0.1);
        media.play_id(SOUND_ZAP_17, -1, 1);
        FrameObject * single_instance_853_5_1; single_instance_853_5_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemylonestarnew_300_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaser_224(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_853_5_1 == NULL)
                    single_instance_853_5_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_853_5_1))->set_direction(get_direction_int(((Active*)single_instance_853_5_1)->x, ((Active*)single_instance_853_5_1)->y, ((Active*)get_instance(player_115_instances))->x + 0, ((Active*)get_instance(player_115_instances))->y + 0));
        ((Active*)((Active*)single_instance_853_5_1))->get_movement()->set_speed(60);
    }
    event_853_5_end: ;
}
void Frames::event_func_1034()
{
    // event 854_5
    {
        // group: Lonestar New
        enemylonestarnew_300_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_frame()) == (12))) { it.deselect(); continue; }
            if (!(((Active*)(*it))->test_animation(17))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_300_instances.has_selection()) goto event_854_5_end;
        if (not_always_854_5_0 > loop_count) {
            not_always_854_5_0 = loop_count + 2;
            goto event_854_5_end;
        }
        not_always_854_5_0 = loop_count + 2;
        media.stop_sample(SOUND_ZAP_17);
        media.set_sample_volume(SOUND_ZAP_17, global_values->get(12)*0.1);
        media.play_id(SOUND_ZAP_17, -1, 1);
        FrameObject * single_instance_854_5_1; single_instance_854_5_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemylonestarnew_300_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaser_224(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_854_5_1 == NULL)
                    single_instance_854_5_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_854_5_1))->set_direction(get_direction_int(((Active*)single_instance_854_5_1)->x, ((Active*)single_instance_854_5_1)->y, ((Active*)get_instance(player_115_instances))->x + 0, ((Active*)get_instance(player_115_instances))->y + 0));
        ((Active*)((Active*)single_instance_854_5_1))->get_movement()->set_speed(60);
    }
    event_854_5_end: ;
}
void Frames::event_func_1035()
{
    // event 857_5
    {
        // group: Lonestar New
        enemylonestarnew_300_instances.clear_selection();
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemylonestarnew_300_instances.has_selection()) goto event_857_5_end;
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)get_single(enemylonestarnew_300_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)get_single(enemylonestarnew_300_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        FrameObject * single_instance_857_5_0; single_instance_857_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemylonestarnew_300_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_152(parent->x + 0, parent->y + -10), parent->layer);
                if (single_instance_857_5_0 == NULL)
                    single_instance_857_5_0 = new_obj;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 20); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 20); // 'camera shaker'
        for (ObjectIterator it(enemylonestarnew_300_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        {
            loop_debris_running = true;
            int times = int(8);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_5();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
    }
    event_857_5_end: ;
}
void Frames::event_func_1036()
{
    // event 860_5
    {
        // group: Sentry
        if (!((((Active*)get_instance(player_115_instances))->get_y()) > (((Active*)get_instance(enemysentry_306_instances))->get_y()-10-16))) goto event_860_5_end;
        if (!((((Active*)get_instance(player_115_instances))->get_y()) < (((Active*)get_instance(enemysentry_306_instances))->get_y()+10-16))) goto event_860_5_end;
        if (!((((Active*)get_instance(enemysentry_306_instances))->alterables->values.get(0)) == (0))) goto event_860_5_end;
        enemysentry_306_instances.clear_selection();
        screen_170_instances.clear_selection();
        if (!check_overlap(enemysentry_306_instances, screen_170_instances)) goto event_860_5_end;
        if (!(((Active*)get_instance(enemysentry_306_instances))->test_directions(1))) goto event_860_5_end;
        if (!((((Active*)get_instance(player_115_instances))->get_x()) > (((Active*)get_instance(enemysentry_306_instances))->get_x()))) goto event_860_5_end;
        if (not_always_860_5_0 > loop_count) {
            not_always_860_5_0 = loop_count + 2;
            goto event_860_5_end;
        }
        not_always_860_5_0 = loop_count + 2;
        ((Active*)get_instance(enemysentry_306_instances))->alterables->values.set(0, 1); // 'enemy-sentry'
    }
    event_860_5_end: ;
}
void Frames::event_func_1037()
{
    // event 861_5
    {
        // group: Sentry
        if (!((((Active*)get_instance(player_115_instances))->get_y()) > (((Active*)get_instance(enemysentry_306_instances))->get_y()-10-16))) goto event_861_5_end;
        if (!((((Active*)get_instance(player_115_instances))->get_y()) < (((Active*)get_instance(enemysentry_306_instances))->get_y()+10-16))) goto event_861_5_end;
        if (!((((Active*)get_instance(enemysentry_306_instances))->alterables->values.get(0)) == (0))) goto event_861_5_end;
        enemysentry_306_instances.clear_selection();
        screen_170_instances.clear_selection();
        if (!check_overlap(enemysentry_306_instances, screen_170_instances)) goto event_861_5_end;
        if (!(((Active*)get_instance(enemysentry_306_instances))->test_directions(65536))) goto event_861_5_end;
        if (!((((Active*)get_instance(player_115_instances))->get_x()) < (((Active*)get_instance(enemysentry_306_instances))->get_x()))) goto event_861_5_end;
        if (not_always_861_5_0 > loop_count) {
            not_always_861_5_0 = loop_count + 2;
            goto event_861_5_end;
        }
        not_always_861_5_0 = loop_count + 2;
        ((Active*)get_instance(enemysentry_306_instances))->alterables->values.set(0, 1); // 'enemy-sentry'
    }
    event_861_5_end: ;
}
void Frames::event_func_1038()
{
    // event 862_5
    {
        // group: Sentry
        if (!((((Active*)get_instance(enemysentry_306_instances))->alterables->values.get(0)) > (48))) goto event_862_5_end;
        ((Active*)get_instance(enemysentry_306_instances))->alterables->values.set(0, -150); // 'enemy-sentry'
        FrameObject * single_instance_862_5_0; single_instance_862_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(enemysentry_306_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaserbean_307(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_862_5_0 == NULL)
                    single_instance_862_5_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_862_5_0))->set_x_scale(20);
        ((Active*)((Active*)single_instance_862_5_0))->set_y_scale(0.75);
        media.play_id(SOUND_LASERCANNON_MIXDOWN_3_45, -1, 1);
        media.set_sample_volume(SOUND_LASERCANNON_MIXDOWN_3_45, global_values->get(12)*0.8);
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 28); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 15); // 'camera shaker'
        ((Active*)((Active*)single_instance_862_5_0))->set_direction(((Active*)get_instance(enemysentry_306_instances))->get_direction());
    }
    event_862_5_end: ;
}
void Frames::event_func_1039()
{
    // event 863_5
    {
        // group: Sentry
        enemylaserbean_307_instances.clear_selection();
        for (ObjectIterator it(enemylaserbean_307_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(0, 1); // 'enemy-laserbean'
        }
    }
    event_863_5_end: ;
}
void Frames::event_func_1040()
{
    // event 864_5
    {
        // group: Sentry
        enemylaserbean_307_instances.clear_selection();
        for (ObjectIterator it(enemylaserbean_307_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 0)) { it.deselect(); continue; }
        }
        if (!enemylaserbean_307_instances.has_selection()) goto event_864_5_end;
        for (ObjectIterator it(enemylaserbean_307_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_864_5_end: ;
}
void Frames::event_func_1041()
{
    // event 865_5
    {
        // group: Sentry
        if (!((((Active*)get_instance(enemysentry_306_instances))->alterables->values.get(0)) < (0))) goto event_865_5_end;
        ((Active*)get_instance(enemysentry_306_instances))->alterables->values.add(0, 1); // 'enemy-sentry'
    }
    event_865_5_end: ;
}
void Frames::event_func_1042()
{
    // event 866_5
    {
        // group: Sentry
        if (!((((Active*)get_instance(enemysentry_306_instances))->alterables->values.get(0)) > (25))) goto event_866_5_end;
        if (not_always_866_5_0 > loop_count) {
            not_always_866_5_0 = loop_count + 2;
            goto event_866_5_end;
        }
        not_always_866_5_0 = loop_count + 2;
        media.play_id(SOUND_BEWAAACHI_44, -1, 1);
        media.set_sample_volume(SOUND_BEWAAACHI_44, 0.35*global_values->get(12));
    }
    event_866_5_end: ;
}
void Frames::event_func_1043()
{
    // event 867_5
    {
        // group: Sentry
        if (!((((Active*)get_instance(enemysentry_306_instances))->alterables->values.get(0)) > (0))) goto event_867_5_end;
        ((Active*)get_instance(enemysentry_306_instances))->alterables->values.add(0, 1); // 'enemy-sentry'
    }
    event_867_5_end: ;
}
void Frames::event_func_1044()
{
    // event 868_5
    {
        // group: Sentry
        enemysentry_306_instances.clear_selection();
        sendleft_180_instances.clear_selection();
        if (!check_overlap(enemysentry_306_instances, sendleft_180_instances)) goto event_868_5_end;
        ((Active*)get_instance(enemysentry_306_instances))->set_direction(16);
        for (ObjectIterator it(sendleft_180_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_868_5_end: ;
}
void Frames::event_func_1045()
{
    // event 870_5
    {
        // group: Sentry
        if (!((((Active*)get_instance(enemysentry_306_instances))->alterables->values.get(0)) > (0))) goto event_870_5_end;
        if (not_always_870_5_0 > loop_count) {
            not_always_870_5_0 = loop_count + 2;
            goto event_870_5_end;
        }
        not_always_870_5_0 = loop_count + 2;
        ((Active*)get_instance(enemysentry_306_instances))->force_animation(1);
    }
    event_870_5_end: ;
}
void Frames::event_func_1046()
{
    // event 871_5
    {
        // group: Sentry
        if (!((((Active*)get_instance(enemysentry_306_instances))->alterables->values.get(0)) < (0))) goto event_871_5_end;
        if (not_always_871_5_0 > loop_count) {
            not_always_871_5_0 = loop_count + 2;
            goto event_871_5_end;
        }
        not_always_871_5_0 = loop_count + 2;
        ((Active*)get_instance(enemysentry_306_instances))->force_animation(6);
    }
    event_871_5_end: ;
}
void Frames::event_func_1047()
{
    // event 874_5
    {
        // group: Shield
        enemyshield_323_instances.clear_selection();
        for (ObjectIterator it(enemyshield_323_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->get_movement()->is_stopped())) { it.deselect(); continue; }
        }
        if (!enemyshield_323_instances.has_selection()) goto event_874_5_end;
        for (ObjectIterator it(enemyshield_323_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(0, 1); // 'enemy-shield'
        }
    }
    event_874_5_end: ;
}
void Frames::event_func_1048()
{
    // event 875_5
    {
        // group: Shield
        enemyshield_323_instances.clear_selection();
        for (ObjectIterator it(enemyshield_323_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (30))) { it.deselect(); continue; }
        }
        if (!enemyshield_323_instances.has_selection()) goto event_875_5_end;
        for (ObjectIterator it(enemyshield_323_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 0); // 'enemy-shield'
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(1));
        }
    }
    event_875_5_end: ;
}
void Frames::event_func_1049()
{
    // event 878_5
    {
        // group: Shield
        enemyshield_323_instances.clear_selection();
        for (ObjectIterator it(enemyshield_323_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!enemyshield_323_instances.has_selection()) goto event_878_5_end;
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)get_single(enemyshield_323_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)get_single(enemyshield_323_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        FrameObject * single_instance_878_5_0; single_instance_878_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyshield_323_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_152(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_878_5_0 == NULL)
                    single_instance_878_5_0 = new_obj;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        for (ObjectIterator it(enemyshield_323_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        {
            loop_debris_running = true;
            int times = int(15);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_5();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
    }
    event_878_5_end: ;
}
void Frames::event_func_1050()
{
    // event 883_5
    {
        // group: Shield
        if (!((((Active*)get_instance(spawnerenemyshield_325_instances))->alterables->values.get(0)) > (0))) goto event_883_5_end;
        ((Active*)get_instance(spawnerenemyshield_325_instances))->alterables->values.sub(0, 1); // 'spawner-enemy-shield'
    }
    event_883_5_end: ;
}
void Frames::event_func_1051()
{
    // event 884_5
    {
        // group: Firebar
        ((Active*)get_instance(enemyfirebar_324_instances))->set_angle(((Active*)get_instance(enemyfirebar_324_instances))->get_angle()+((Active*)get_instance(enemyfirebar_324_instances))->alterables->values.get(0), 0);
    }
    event_884_5_end: ;
}
void Frames::event_func_1052()
{
    // event 887_5
    {
        // group: PitHopper
        screen_170_instances.clear_selection();
        spawnerpithopper_326_instances.clear_selection();
        if (!check_overlap(screen_170_instances, spawnerpithopper_326_instances)) goto event_887_5_end;
        for (ObjectIterator it(spawnerpithopper_326_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 1); // 'spawner-pithopper'
        }
    }
    event_887_5_end: ;
}
void Frames::event_func_1053()
{
    // event 888_5
    {
        // group: PitHopper
        spawnerpithopper_326_instances.clear_selection();
        for (ObjectIterator it(spawnerpithopper_326_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (1))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(1)) == (1))) { it.deselect(); continue; }
        }
        if (!spawnerpithopper_326_instances.has_selection()) goto event_888_5_end;
        for (ObjectIterator it(spawnerpithopper_326_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(2, 1); // 'spawner-pithopper'
        }
    }
    event_888_5_end: ;
}
void Frames::event_func_1054()
{
    // event 889_5
    {
        // group: PitHopper
        spawnerpithopper_326_instances.clear_selection();
        for (ObjectIterator it(spawnerpithopper_326_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) > (49))) { it.deselect(); continue; }
        }
        if (!spawnerpithopper_326_instances.has_selection()) goto event_889_5_end;
        FrameObject * single_instance_889_5_0; single_instance_889_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(spawnerpithopper_326_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemypithopper_327(parent->x + 0, parent->y + 32), parent->layer);
                if (single_instance_889_5_0 == NULL)
                    single_instance_889_5_0 = new_obj;
            }
        }
        for (ObjectIterator it(spawnerpithopper_326_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 0); // 'spawner-pithopper'
        }
    }
    event_889_5_end: ;
}
